~tfardet/#1144258

success

6ff95c6Tanguy Fardet

Catch compile errors and use modern OpenMP with MSVC

Owner
~tfardet
Created
4 months ago
Updated
4 months ago
Build manifest
view manifest »

Tasks

view log »
check view log »
setup view log »
test view log »
doc view log »
go to bottom »
go to top »
setup
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
[#1144258] 2024/02/06 14:00:39 Booting image ubuntu/lts (default) on port 22050
[#1144258] 2024/02/06 14:00:40 Waiting for guest to settle
[#1144258] 2024/02/06 14:00:47 Sending tasks
[#1144258] 2024/02/06 14:00:49 Sending build environment
[#1144258] 2024/02/06 14:00:50 Sending secrets
[#1144258] 2024/02/06 14:00:50 Resolving secret ceb490c3-68b4-41f7-9aa9-eb2e4b91d424
[#1144258] 2024/02/06 14:00:51 Resolving secret 0b249c79-8eaf-4b82-b1d1-f3c38c7eae4b
[#1144258] 2024/02/06 14:00:51 Resolving secret 3a7c042a-24d8-4f53-b75c-f061f7517b65
[#1144258] 2024/02/06 14:00:52 Installing packages
Warning: Permanently added '[localhost]:22050' (ED25519) to the list of known hosts.
Hit:1 http://archive.ubuntu.com/ubuntu jammy InRelease
Get:2 http://archive.ubuntu.com/ubuntu jammy-security InRelease [110 kB]
Get:3 http://archive.ubuntu.com/ubuntu jammy-updates InRelease [119 kB]
Get:4 http://archive.ubuntu.com/ubuntu jammy-backports InRelease [109 kB]
Get:5 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 Packages [1109 kB]
Get:6 http://archive.ubuntu.com/ubuntu jammy-security/main Translation-en [207 kB]
Get:7 http://archive.ubuntu.com/ubuntu jammy-security/restricted amd64 Packages [1313 kB]
Get:8 http://archive.ubuntu.com/ubuntu jammy-security/restricted Translation-en [214 kB]
Get:9 http://archive.ubuntu.com/ubuntu jammy-security/universe amd64 Packages [838 kB]
Get:10 http://archive.ubuntu.com/ubuntu jammy-security/universe Translation-en [160 kB]
Get:11 http://archive.ubuntu.com/ubuntu jammy-security/multiverse amd64 Packages [37.1 kB]
Get:12 http://archive.ubuntu.com/ubuntu jammy-security/multiverse Translation-en [7476 B]
Get:13 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 Packages [1327 kB]
Get:14 http://archive.ubuntu.com/ubuntu jammy-updates/main Translation-en [268 kB]
Get:15 http://archive.ubuntu.com/ubuntu jammy-updates/restricted amd64 Packages [1346 kB]
Get:16 http://archive.ubuntu.com/ubuntu jammy-updates/restricted Translation-en [220 kB]
Get:17 http://archive.ubuntu.com/ubuntu jammy-updates/universe amd64 Packages [1043 kB]
Get:18 http://archive.ubuntu.com/ubuntu jammy-updates/universe Translation-en [235 kB]
Get:19 http://archive.ubuntu.com/ubuntu jammy-updates/multiverse amd64 Packages [42.1 kB]
Get:20 http://archive.ubuntu.com/ubuntu jammy-updates/multiverse Translation-en [10.1 kB]
Get:21 http://archive.ubuntu.com/ubuntu jammy-backports/main amd64 Packages [41.7 kB]
Get:22 http://archive.ubuntu.com/ubuntu jammy-backports/universe amd64 Packages [24.2 kB]
Fetched 8782 kB in 1s (8463 kB/s)
Reading package lists...
Warning: Permanently added '[localhost]:22050' (ED25519) to the list of known hosts.
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  javascript-common libexpat1-dev libjs-jquery libjs-sphinxdoc
  libjs-underscore libpython3-dev libpython3.10 libpython3.10-dev python3-dev
  python3-distutils python3-lib2to3 python3-setuptools python3-wheel
  python3.10-dev zlib1g-dev
Suggested packages:
  apache2 | lighttpd | httpd python-setuptools-doc
The following NEW packages will be installed:
  javascript-common libexpat1-dev libjs-jquery libjs-sphinxdoc
  libjs-underscore libpython3-dev libpython3.10 libpython3.10-dev python3-dev
  python3-distutils python3-lib2to3 python3-pip python3-setuptools
  python3-wheel python3.10-dev zlib1g-dev
0 upgraded, 16 newly installed, 0 to remove and 35 not upgraded.
Need to get 10.0 MB of archives.
After this operation, 40.5 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu jammy/main amd64 javascript-common all 11+nmu1 [5936 B]
Get:2 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libexpat1-dev amd64 2.4.7-1ubuntu0.2 [147 kB]
Get:3 http://archive.ubuntu.com/ubuntu jammy/main amd64 libjs-jquery all 3.6.0+dfsg+~3.5.13-1 [321 kB]
Get:4 http://archive.ubuntu.com/ubuntu jammy/main amd64 libjs-underscore all 1.13.2~dfsg-2 [118 kB]
Get:5 http://archive.ubuntu.com/ubuntu jammy/main amd64 libjs-sphinxdoc all 4.3.2-1 [139 kB]
Get:6 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libpython3.10 amd64 3.10.12-1~22.04.3 [1948 kB]
Get:7 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 zlib1g-dev amd64 1:1.2.11.dfsg-2ubuntu9.2 [164 kB]
Get:8 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libpython3.10-dev amd64 3.10.12-1~22.04.3 [4762 kB]
Get:9 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libpython3-dev amd64 3.10.6-1~22.04 [7166 B]
Get:10 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3.10-dev amd64 3.10.12-1~22.04.3 [507 kB]
Get:11 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3-lib2to3 all 3.10.8-1~22.04 [77.6 kB]
Get:12 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3-distutils all 3.10.8-1~22.04 [139 kB]
Get:13 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3-dev amd64 3.10.6-1~22.04 [26.0 kB]
Get:14 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3-setuptools all 59.6.0-1.2ubuntu0.22.04.1 [339 kB]
Get:15 http://archive.ubuntu.com/ubuntu jammy-security/universe amd64 python3-wheel all 0.37.1-2ubuntu0.22.04.1 [32.0 kB]
Get:16 http://archive.ubuntu.com/ubuntu jammy-security/universe amd64 python3-pip all 22.0.2+dfsg-1ubuntu0.4 [1305 kB]
Fetched 10.0 MB in 1s (8413 kB/s)
Selecting previously unselected package javascript-common.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 38978 files and directories currently installed.)
Preparing to unpack .../00-javascript-common_11+nmu1_all.deb ...
Unpacking javascript-common (11+nmu1) ...
Selecting previously unselected package libexpat1-dev:amd64.
Preparing to unpack .../01-libexpat1-dev_2.4.7-1ubuntu0.2_amd64.deb ...
Unpacking libexpat1-dev:amd64 (2.4.7-1ubuntu0.2) ...
Selecting previously unselected package libjs-jquery.
Preparing to unpack .../02-libjs-jquery_3.6.0+dfsg+~3.5.13-1_all.deb ...
Unpacking libjs-jquery (3.6.0+dfsg+~3.5.13-1) ...
Selecting previously unselected package libjs-underscore.
Preparing to unpack .../03-libjs-underscore_1.13.2~dfsg-2_all.deb ...
Unpacking libjs-underscore (1.13.2~dfsg-2) ...
Selecting previously unselected package libjs-sphinxdoc.
Preparing to unpack .../04-libjs-sphinxdoc_4.3.2-1_all.deb ...
Unpacking libjs-sphinxdoc (4.3.2-1) ...
Selecting previously unselected package libpython3.10:amd64.
Preparing to unpack .../05-libpython3.10_3.10.12-1~22.04.3_amd64.deb ...
Unpacking libpython3.10:amd64 (3.10.12-1~22.04.3) ...
Selecting previously unselected package zlib1g-dev:amd64.
Preparing to unpack .../06-zlib1g-dev_1%3a1.2.11.dfsg-2ubuntu9.2_amd64.deb ...
Unpacking zlib1g-dev:amd64 (1:1.2.11.dfsg-2ubuntu9.2) ...
Selecting previously unselected package libpython3.10-dev:amd64.
Preparing to unpack .../07-libpython3.10-dev_3.10.12-1~22.04.3_amd64.deb ...
Unpacking libpython3.10-dev:amd64 (3.10.12-1~22.04.3) ...
Selecting previously unselected package libpython3-dev:amd64.
Preparing to unpack .../08-libpython3-dev_3.10.6-1~22.04_amd64.deb ...
Unpacking libpython3-dev:amd64 (3.10.6-1~22.04) ...
Selecting previously unselected package python3.10-dev.
Preparing to unpack .../09-python3.10-dev_3.10.12-1~22.04.3_amd64.deb ...
Unpacking python3.10-dev (3.10.12-1~22.04.3) ...
Selecting previously unselected package python3-lib2to3.
Preparing to unpack .../10-python3-lib2to3_3.10.8-1~22.04_all.deb ...
Unpacking python3-lib2to3 (3.10.8-1~22.04) ...
Selecting previously unselected package python3-distutils.
Preparing to unpack .../11-python3-distutils_3.10.8-1~22.04_all.deb ...
Unpacking python3-distutils (3.10.8-1~22.04) ...
Selecting previously unselected package python3-dev.
Preparing to unpack .../12-python3-dev_3.10.6-1~22.04_amd64.deb ...
Unpacking python3-dev (3.10.6-1~22.04) ...
Selecting previously unselected package python3-setuptools.
Preparing to unpack .../13-python3-setuptools_59.6.0-1.2ubuntu0.22.04.1_all.deb ...
Unpacking python3-setuptools (59.6.0-1.2ubuntu0.22.04.1) ...
Selecting previously unselected package python3-wheel.
Preparing to unpack .../14-python3-wheel_0.37.1-2ubuntu0.22.04.1_all.deb ...
Unpacking python3-wheel (0.37.1-2ubuntu0.22.04.1) ...
Selecting previously unselected package python3-pip.
Preparing to unpack .../15-python3-pip_22.0.2+dfsg-1ubuntu0.4_all.deb ...
Unpacking python3-pip (22.0.2+dfsg-1ubuntu0.4) ...
Setting up javascript-common (11+nmu1) ...
Setting up libpython3.10:amd64 (3.10.12-1~22.04.3) ...
Setting up libexpat1-dev:amd64 (2.4.7-1ubuntu0.2) ...
Setting up zlib1g-dev:amd64 (1:1.2.11.dfsg-2ubuntu9.2) ...
Setting up libjs-jquery (3.6.0+dfsg+~3.5.13-1) ...
Setting up python3-lib2to3 (3.10.8-1~22.04) ...
Setting up libjs-underscore (1.13.2~dfsg-2) ...
Setting up python3-distutils (3.10.8-1~22.04) ...
Setting up python3-setuptools (59.6.0-1.2ubuntu0.22.04.1) ...
Setting up python3-wheel (0.37.1-2ubuntu0.22.04.1) ...
Setting up libpython3.10-dev:amd64 (3.10.12-1~22.04.3) ...
Setting up python3-pip (22.0.2+dfsg-1ubuntu0.4) ...
Setting up libjs-sphinxdoc (4.3.2-1) ...
Setting up python3.10-dev (3.10.12-1~22.04.3) ...
Setting up libpython3-dev:amd64 (3.10.6-1~22.04) ...
Setting up python3-dev (3.10.6-1~22.04) ...
Processing triggers for libc-bin (2.35-0ubuntu3.5) ...
[#1144258] 2024/02/06 14:00:58 Cloning repositories
Cloning into 'NNGT'...
+ cd NNGT
+ git checkout -q 6ff95c690aa4e835581e3af33a66c5a40d6fe8b7
+ cd NNGT
+ git submodule update --init --recursive
Submodule 'nngt/geometry' (https://github.com/SENeC-Initiative/PyNCulture.git) registered for path 'nngt/geometry'
Submodule 'nngt/plot/chord_diag' (https://codeberg.org/tfardet/mpl_chord_diagram.git) registered for path 'nngt/plot/chord_diag'
Cloning into '/home/build/NNGT/nngt/geometry'...
Cloning into '/home/build/NNGT/nngt/plot/chord_diag'...
Submodule path 'nngt/geometry': checked out '33a9455bebd2400e66db2cc2a58799f42ae563ad'
Submodule path 'nngt/plot/chord_diag': checked out 'bebf3026554aeed7b64842c117545e9c0cc41860'
[#1144258] 2024/02/06 14:01:00 Running task check
[#1144258] 2024/02/06 14:01:04 Running task setup
[#1144258] 2024/02/06 14:03:05 Running task test
[#1144258] 2024/02/06 14:12:11 Running task doc
check
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
+ export PATH=/home/build/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+ PATH=/home/build/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+ cd NNGT
+ python3 extra/check_headers.py
+ pip3 install reuse
Defaulting to user installation because normal site-packages is not writeable
Collecting reuse
  Downloading reuse-3.0.1.tar.gz (269 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 269.7/269.7 KB 13.4 MB/s eta 0:00:00
  Installing build dependencies: started
  Installing build dependencies: finished with status 'done'
  Getting requirements to build wheel: started
  Getting requirements to build wheel: finished with status 'done'
  Preparing metadata (pyproject.toml): started
  Preparing metadata (pyproject.toml): finished with status 'done'
Collecting license-expression>=1.0
  Downloading license_expression-30.2.0-py3-none-any.whl (107 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 107.3/107.3 KB 59.7 MB/s eta 0:00:00
Collecting binaryornot<0.5.0,>=0.4.4
  Downloading binaryornot-0.4.4-py2.py3-none-any.whl (9.0 kB)
Collecting boolean.py>=3.8
  Downloading boolean.py-4.0-py3-none-any.whl (25 kB)
Collecting python-debian!=0.1.45,!=0.1.46,!=0.1.47,<0.2.0,>=0.1.34
  Downloading python_debian-0.1.49-py3-none-any.whl (132 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 132.5/132.5 KB 78.2 MB/s eta 0:00:00
Collecting Jinja2<4.0.0,>=3.0.0
  Downloading Jinja2-3.1.3-py3-none-any.whl (133 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 133.2/133.2 KB 73.5 MB/s eta 0:00:00
Collecting chardet>=3.0.2
  Downloading chardet-5.2.0-py3-none-any.whl (199 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 199.4/199.4 KB 97.2 MB/s eta 0:00:00
Collecting MarkupSafe>=2.0
  Downloading MarkupSafe-2.1.5-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (25 kB)
Building wheels for collected packages: reuse
  Building wheel for reuse (pyproject.toml): started
  Building wheel for reuse (pyproject.toml): finished with status 'done'
  Created wheel for reuse: filename=reuse-3.0.1-cp310-cp310-manylinux_2_35_x86_64.whl size=119651 sha256=0e6cfb692dc3bf53322122460456bf777c4f0a0b69fddf68ca53723ee29870c8
  Stored in directory: /home/build/.cache/pip/wheels/55/f8/83/e60ce3c9e2ef3fe37c4343c66e0c40f8655055d5fff168d337
Successfully built reuse
Installing collected packages: boolean.py, MarkupSafe, license-expression, chardet, python-debian, Jinja2, binaryornot, reuse
Successfully installed Jinja2-3.1.3 MarkupSafe-2.1.5 binaryornot-0.4.4 boolean.py-4.0 chardet-5.2.0 license-expression-30.2.0 python-debian-0.1.49 reuse-3.0.1
+ reuse lint

# SUMMARY

* Bad licenses: 0
* Deprecated licenses: 0
* Licenses without file extension: 0
* Missing licenses: 0
* Unused licenses: 0
* Used licenses: CC-BY-SA-4.0, BSD-2-Clause, Python-2.0, GPL-3.0-or-later, CC0-1.0
* Read errors: 0
* files with copyright information: 183 / 183
* files with license information: 183 / 183

Congratulations! Your project is compliant with version 3.0 of the REUSE Specification :-)
setup


1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
843
844
845
846
847
848
849
850
851
852
853
854
855
856
857
858
859
860
861
862
863
864
865
866
867
868
869
870
871
872
873
874
875
876
877
878
879
880
881
882
883
884
885
886
887
888
889
890
891
892
893
894
895
896
897
898
899
900
901
902
903
904
905
906
907
908
909
910
911
912
913
914
915
916
917
918
919
920
921
922
923
924
925
926
927
928
929
930
931
932
933
934
935
936
937
938
939
940
941
942
943
944
945
946
947
948
949
950
951
952
953
954
955
956
957
958
959
960
961
962
963
964
965
966
967
968
969
970
971
972
973
974
975
976
977
978
979
980
981
982
983
984
985
986
987
988
989
990
991
992
993
994
995
996
997
998
999
1000
1001
1002
1003
1004
1005
1006
1007
1008
1009
1010
1011
1012
1013
1014
1015
1016
1017
1018
1019
1020
1021
1022
1023
1024
1025
1026
1027
1028
1029
1030
1031
1032
1033
1034
1035
1036
1037
1038
1039
1040
1041
1042
1043
1044
1045
1046
1047
1048
1049
1050
1051
1052
1053
1054
1055
1056
1057
1058
1059
1060
1061
1062
1063
1064
1065
1066
1067
1068
1069
1070
1071
1072
1073
1074
1075
1076
1077
1078
1079
1080
1081
1082
1083
1084
1085
1086
1087
1088
1089
1090
1091
1092
1093
1094
1095
1096
1097
1098
1099
1100
1101
1102
1103
1104
1105
1106
1107
1108
1109
1110
1111
1112
1113
1114
1115
1116
1117
1118
1119
1120
1121
1122
1123
1124
1125
1126
1127
1128
1129
1130
1131
1132
1133
1134
1135
1136
1137
1138
1139
1140
1141
1142
1143
1144
1145
1146
1147
1148
1149
1150
1151
1152
1153
1154
1155
1156
1157
1158
1159
1160
1161
1162
1163
1164
1165
1166
1167
1168
1169
1170
1171
1172
1173
1174
1175
1176
1177
1178
1179
1180
1181
1182
1183
1184
1185
1186
1187
1188
1189
1190
1191
1192
1193
1194
1195
1196
1197
1198
1199
1200
1201
1202
1203
1204
1205
1206
1207
1208
1209
1210
1211
1212
1213
1214
1215
1216
1217
1218
1219
1220
1221
1222
1223
1224
1225
1226
1227
1228
1229
1230
1231
1232
1233
1234
1235
1236
1237
1238
1239
1240
1241
1242
1243
1244
1245
1246
1247
1248
1249
1250
1251
1252
1253
1254
1255
1256
1257
1258
1259
1260
1261
1262
1263
1264
1265
1266
1267
1268
1269
1270
1271
1272
1273
1274
1275
1276
1277
1278
1279
1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
1301
1302
1303
1304
1305
1306
1307
1308
1309
1310
1311
1312
1313
1314
1315
1316
1317
1318
1319
1320
1321
1322
1323
1324
1325
1326
1327
1328
1329
1330
1331
1332
1333
1334
1335
1336
1337
1338
1339
1340
1341
1342
1343
1344
1345
1346
1347
1348
1349
1350
1351
1352
1353
1354
1355
1356
1357
1358
1359
1360
1361
1362
1363
1364
1365
1366
1367
1368
1369
1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
1380
1381
1382
1383
1384
1385
1386
1387
1388
1389
1390
1391
1392
1393
1394
1395
1396
1397
1398
1399
1400
1401
1402
1403
1404
1405
1406
1407
1408
1409
1410
1411
1412
1413
1414
1415
1416
1417
1418
1419
1420
1421
1422
1423
1424
1425
1426
1427
1428
1429
1430
1431
1432
1433
1434
1435
1436
1437
1438
1439
1440
1441
1442
1443
1444
1445
1446
1447
1448
1449
1450
1451
1452
1453
1454
1455
1456
1457
1458
1459
1460
1461
1462
1463
1464
1465
1466
1467
1468
1469
1470
1471
1472
1473
1474
1475
1476
1477
1478
1479
1480
1481
1482
1483
1484
1485
1486
1487
1488
1489
1490
1491
1492
1493
1494
1495
1496
1497
1498
1499
1500
1501
1502
1503
1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
1526
1527
1528
1529
1530
1531
1532
1533
1534
1535
1536
1537
1538
1539
1540
1541
1542
1543
1544
1545
1546
1547
1548
1549
1550
1551
1552
1553
1554
1555
1556
1557
1558
1559
1560
1561
1562
1563
1564
1565
1566
1567
1568
1569
1570
1571
1572
1573
1574
1575
1576
1577
1578
1579
1580
1581
1582
1583
1584
1585
1586
1587
1588
1589
1590
1591
1592
1593
1594
1595
1596
1597
1598
1599
1600
1601
1602
1603
1604
1605
1606
1607
1608
1609
1610
1611
1612
1613
1614
1615
1616
1617
1618
1619
1620
1621
1622
1623
1624
1625
1626
1627
1628
1629
1630
1631
1632
1633
1634
1635
1636
1637
1638
1639
1640
1641
1642
1643
1644
1645
1646
1647
1648
1649
1650
1651
1652
1653
1654
1655
1656
1657
1658
1659
1660
1661
1662
1663
1664
1665
1666
1667
1668
1669
1670
1671
1672
1673
1674
1675
1676
1677
1678
1679
1680
1681
1682
1683
1684
1685
1686
1687
1688
1689
1690
1691
1692
1693
1694
1695
1696
1697
1698
1699
1700
1701
1702
1703
1704
1705
1706
1707
1708
1709
1710
1711
1712
1713
1714
1715
1716
1717
1718
1719
1720
1721
1722
1723
1724
1725
1726
1727
1728
1729
1730
1731
1732
1733
1734
1735
1736
1737
1738
1739
1740
1741
1742
1743
1744
1745
1746
1747
1748
1749
1750
1751
1752
1753
1754
1755
1756
1757
1758
1759
1760
1761
1762
1763
1764
1765
1766
1767
1768
1769
1770
1771
1772
1773
1774
1775
1776
1777
1778
1779
1780
1781
1782
1783
1784
1785
1786
1787
1788
1789
1790
1791
1792
1793
1794
1795
1796
1797
1798
1799
1800
1801
1802
1803
1804
1805
1806
1807
1808
1809
1810
1811
1812
1813
1814
1815
1816
1817
1818
1819
1820
1821
1822
1823
1824
1825
1826
1827
1828
1829
1830
1831
1832
1833
1834
1835
1836
1837
1838
1839
1840
1841
1842
1843
1844
1845
1846
1847
1848
1849
1850
1851
1852
1853
1854
1855
1856
1857
1858
1859
1860
1861
1862
1863
1864
1865
1866
1867
1868
1869
1870
1871
1872
1873
1874
1875
1876
1877
1878
1879
1880
1881
1882
1883
1884
1885
1886
1887
1888
1889
1890
1891
1892
1893
1894
1895
1896
1897
1898
1899
1900
1901
1902
1903
1904
1905
1906
1907
1908
1909
1910
1911
1912
1913
1914
1915
1916
1917
1918
1919
1920
1921
1922
1923
1924
1925
1926
1927
1928
1929
1930
1931
1932
1933
1934
1935
1936
1937
1938
1939
1940
1941
1942
1943
1944
1945
1946
1947
1948
1949
1950
1951
1952
1953
1954
1955
1956
1957
1958
1959
1960
1961
1962
1963
1964
1965
1966
1967
1968
1969
1970
1971
1972
1973
1974
1975
1976
1977
1978
1979
1980
1981
1982
1983
1984
1985
1986
1987
1988
1989
1990
1991
1992
1993
1994
1995
1996
1997
1998
1999
2000
2001
2002
2003
2004
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
2023
2024
2025
2026
2027
2028
2029
2030
2031
2032
2033
2034
2035
2036
2037
2038
2039
2040
2041
2042
2043
2044
2045
2046
2047
2048
2049
2050
2051
2052
2053
2054
2055
2056
2057
2058
2059
2060
2061
2062
2063
2064
2065
2066
2067
2068
2069
2070
2071
2072
2073
2074
2075
2076
2077
2078
2079
2080
2081
2082
2083
2084
2085
2086
2087
2088
2089
2090
2091
2092
2093
2094
2095
2096
2097
2098
2099
2100
2101
2102
2103
2104
2105
2106
2107
2108
2109
2110
2111
2112
2113
2114
2115
2116
2117
2118
2119
2120
2121
2122
2123
2124
2125
2126
2127
2128
2129
2130
2131
2132
2133
2134
2135
2136
2137
2138
2139
2140
2141
2142
2143
2144
2145
2146
2147
2148
2149
2150
2151
2152
2153
2154
2155
2156
2157
2158
2159
2160
2161
2162
2163
2164
2165
2166
2167
2168
2169
2170
2171
2172
2173
2174
2175
2176
2177
2178
2179
2180
2181
2182
2183
2184
2185
2186
2187
2188
2189
2190
2191
2192
2193
2194
2195
2196
2197
2198
2199
2200
2201
2202
2203
2204
2205
2206
2207
2208
2209
2210
2211
2212
2213
2214
2215
2216
2217
2218
2219
2220
2221
2222
2223
2224
2225
2226
2227
2228
2229
2230
2231
2232
2233
2234
2235
2236
2237
2238
2239
2240
2241
2242
2243
2244
2245
2246
2247
2248
2249
2250
2251
2252
2253
2254
2255
2256
2257
2258
2259
2260
2261
2262
2263
2264
2265
2266
2267
2268
2269
2270
2271
2272
2273
2274
2275
2276
2277
2278
2279
2280
2281
2282
2283
2284
2285
2286
2287
2288
2289
2290
2291
2292
2293
2294
2295
2296
2297
2298
2299
2300
2301
2302
2303
2304
2305
2306
2307
2308
2309
2310
2311
2312
2313
2314
2315
2316
2317
2318
2319
2320
2321
2322
2323
2324
2325
2326
2327
2328
2329
2330
2331
2332
2333
2334
2335
2336
2337
2338
2339
2340
2341
2342
2343
2344
2345
2346
2347
2348
2349
2350
2351
2352
2353
2354
2355
2356
2357
2358
2359
2360
2361
2362
2363
2364
2365
2366
2367
2368
2369
2370
2371
2372
2373
2374
2375
2376
2377
2378
2379
2380
2381
2382
2383
2384
2385
2386
2387
2388
2389
2390
2391
2392
2393
2394
2395
2396
2397
2398
2399
2400
2401
2402
2403
2404
2405
2406
2407
2408
2409
2410
2411
2412
2413
2414
2415
2416
2417
2418
2419
2420
2421
2422
2423
2424
2425
2426
2427
2428
2429
2430
2431
2432
2433
2434
2435
2436
2437
2438
2439
2440
2441
2442
2443
2444
2445
2446
2447
2448
2449
2450
2451
2452
2453
2454
2455
2456
2457
2458
2459
2460
2461
2462
2463
2464
2465
2466
2467
2468
2469
2470
2471
2472
2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
2491
2492
2493
2494
2495
2496
2497
2498
2499
2500
2501
2502
2503
2504
2505
2506
2507
2508
2509
2510
2511
2512
2513
2514
2515
2516
2517
2518
2519
2520
2521
2522
2523
2524
2525
2526
2527
2528
2529
2530
2531
2532
2533
2534
2535
2536
2537
2538
2539
2540
2541
2542
2543
2544
2545
2546
2547
2548
2549
2550
2551
2552
2553
2554
2555
2556
2557
2558
2559
2560
2561
2562
2563
2564
2565
2566
2567
2568
2569
2570
2571
2572
2573
2574
2575
2576
2577
2578
2579
2580
2581
2582
2583
2584
2585
2586
2587
2588
2589
2590
2591
2592
2593
2594
2595
2596
2597
2598
2599
2600
2601
2602
2603
2604
2605
2606
2607
2608
2609
2610
2611
2612
2613
2614
2615
2616
2617
2618
2619
2620
2621
2622
2623
2624
2625
2626
2627
2628
2629
2630
2631
2632
2633
2634
2635
2636
2637
2638
2639
2640
2641
2642
2643
2644
2645
2646
2647
2648
2649
2650
2651
2652
2653
2654
2655
2656
2657
2658
2659
2660
2661
2662
2663
2664
2665
2666
2667
2668
2669
2670
2671
2672
2673
2674
2675
2676
2677
2678
2679
2680
2681
2682
2683
2684
2685
2686
2687
2688
2689
2690
2691
2692
2693
2694
2695
2696
2697
2698
2699
2700
2701
2702
2703
2704
2705
2706
2707
2708
2709
2710
2711
2712
2713
2714
2715
2716
2717
2718
2719
2720
2721
2722
2723
2724
2725
2726
2727
2728
2729
2730
2731
2732
2733
2734
2735
2736
2737
2738
2739
2740
2741
2742
2743
2744
2745
2746
2747
2748
2749
2750
2751
2752
2753
2754
2755
2756
2757
2758
2759
2760
2761
2762
2763
2764
2765
2766
2767
2768
2769
2770
2771
2772
2773
2774
2775
2776
2777
2778
2779
2780
2781
2782
2783
2784
2785
2786
2787
2788
2789
2790
2791
2792
2793
2794
2795
2796
2797
2798
2799
2800
2801
2802
2803
2804
2805
2806
2807
2808
2809
2810
2811
2812
2813
2814
2815
2816
2817
2818
2819
2820
2821
2822
2823
2824
2825
2826
2827
2828
2829
2830
2831
2832
2833
2834
2835
2836
2837
2838
2839
2840
2841
2842
2843
2844
2845
2846
2847
2848
2849
2850
2851
2852
2853
2854
2855
2856
2857
2858
2859
2860
2861
2862
2863
2864
2865
2866
2867
2868
2869
2870
2871
2872
2873
2874
2875
2876
2877
2878
2879
2880
2881
2882
2883
2884
2885
2886
2887
2888
2889
2890
2891
2892
2893
2894
2895
2896
2897
2898
2899
2900
2901
2902
2903
2904
2905
2906
2907
2908
2909
2910
2911
2912
2913
2914
2915
2916
2917
2918
2919
2920
2921
2922
2923
2924
2925
2926
2927
2928
2929
2930
2931
2932
2933
2934
2935
2936
2937
2938
2939
2940
2941
2942
2943
2944
2945
2946
2947
2948
2949
2950
2951
2952
2953
2954
2955
2956
2957
2958
2959
2960
2961
2962
2963
2964
2965
2966
2967
2968
2969
2970
2971
2972
2973
2974
2975
2976
2977
2978
2979
2980
2981
2982
2983
2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
2996
2997
2998
2999
3000
3001
3002
3003
3004
3005
3006
3007
3008
3009
3010
3011
3012
3013
3014
3015
3016
3017
3018
3019
3020
3021
3022
3023
3024
3025
3026
3027
3028
3029
3030
3031
3032
3033
3034
3035
3036
3037
3038
3039
3040
3041
3042
3043
3044
3045
3046
3047
3048
3049
3050
3051
3052
3053
3054
3055
3056
3057
3058
3059
3060
3061
3062
3063
3064
3065
3066
3067
3068
3069
3070
3071
3072
3073
3074
3075
3076
3077
3078
3079
3080
3081
3082
3083
3084
3085
3086
3087
3088
3089
3090
3091
3092
3093
3094
3095
3096
3097
3098
3099
3100
3101
3102
3103
3104
3105
3106
3107
3108
3109
3110
3111
3112
3113
3114
3115
3116
3117
3118
3119
3120
3121
3122
3123
3124
3125
3126
3127
3128
3129
3130
3131
3132
3133
3134
3135
3136
3137
3138
3139
3140
3141
3142
3143
3144
3145
3146
3147
3148
3149
3150
3151
3152
3153
3154
3155
3156
3157
3158
3159
3160
3161
3162
3163
3164
3165
3166
3167
3168
3169
3170
3171
3172
3173
3174
3175
3176
3177
3178
3179
This is a big file! Only the last 128KiB is shown. Click here to download the full log.

Get:140 http://archive.ubuntu.com/ubuntu jammy/main amd64 libnuma-dev amd64 2.0.14-3ubuntu2 [35.9 kB]
Get:141 http://archive.ubuntu.com/ubuntu jammy-updates/universe amd64 libhwloc-dev amd64 2.7.0-2ubuntu1 [256 kB]
Get:142 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libpmix-dev amd64 4.1.2-2ubuntu1 [805 kB]
Get:143 http://archive.ubuntu.com/ubuntu jammy/universe amd64 proj-data all 8.2.1-1 [10.0 MB]
Get:144 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libproj22 amd64 8.2.1-1 [1257 kB]
Get:145 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libqhull-r8.0 amd64 2020.2-4 [196 kB]
Get:146 http://archive.ubuntu.com/ubuntu jammy/main amd64 libraqm0 amd64 0.7.0-4ubuntu1 [11.7 kB]
Get:147 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libsqlite3-dev amd64 3.37.2-2ubuntu0.3 [846 kB]
Get:148 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libtbbmalloc2 amd64 2021.5.0-7ubuntu2 [49.6 kB]
Get:149 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libtbb12 amd64 2021.5.0-7ubuntu2 [84.8 kB]
Get:150 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libjbig-dev amd64 2.1-3.1ubuntu0.22.04.1 [27.4 kB]
Get:151 http://archive.ubuntu.com/ubuntu jammy/main amd64 liblzma-dev amd64 5.2.5-2ubuntu1 [159 kB]
Get:152 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libtiffxx5 amd64 4.3.0-6ubuntu0.7 [5736 B]
Get:153 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libtiff-dev amd64 4.3.0-6ubuntu0.7 [315 kB]
Get:154 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libtinfo-dev amd64 6.3-2ubuntu0.1 [780 B]
Get:155 http://archive.ubuntu.com/ubuntu jammy/main amd64 libtool all 2.4.6-15build2 [164 kB]
Get:156 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libwebpdemux2 amd64 1.2.2-2ubuntu0.22.04.2 [9964 B]
Get:157 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libwebpmux3 amd64 1.2.2-2ubuntu0.22.04.2 [20.5 kB]
Get:158 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libxml2-dev amd64 2.9.13+dfsg-1ubuntu0.3 [804 kB]
Get:159 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libxsimd-dev amd64 7.6.0-2 [108 kB]
Get:160 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libxslt1.1 amd64 1.1.34-4ubuntu0.22.04.1 [164 kB]
Get:161 http://archive.ubuntu.com/ubuntu jammy/universe amd64 llvm-11-runtime amd64 1:11.1.0-6 [186 kB]
Get:162 http://archive.ubuntu.com/ubuntu jammy/universe amd64 llvm-11-linker-tools amd64 1:11.1.0-6 [1275 kB]
Get:163 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpfm4 amd64 4.11.1+git32-gd0b85fb-1ubuntu0.1 [345 kB]
Get:164 http://archive.ubuntu.com/ubuntu jammy/universe amd64 llvm-11 amd64 1:11.1.0-6 [9118 kB]
Get:165 http://archive.ubuntu.com/ubuntu jammy/main amd64 libffi-dev amd64 3.4.2-4 [63.7 kB]
Get:166 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-pygments all 2.11.2+dfsg-2 [750 kB]
Get:167 http://archive.ubuntu.com/ubuntu jammy/universe amd64 llvm-11-tools amd64 1:11.1.0-6 [359 kB]
Get:168 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libz3-4 amd64 4.8.12-1 [5766 kB]
Get:169 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libz3-dev amd64 4.8.12-1 [72.2 kB]
Get:170 http://archive.ubuntu.com/ubuntu jammy/universe amd64 llvm-11-dev amd64 1:11.1.0-6 [29.9 MB]
Get:171 http://archive.ubuntu.com/ubuntu jammy/main amd64 mailcap all 3.70+nmu1ubuntu1 [23.8 kB]
Get:172 http://archive.ubuntu.com/ubuntu jammy/main amd64 mime-support all 3.66 [3696 B]
Get:173 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3-numpy amd64 1:1.21.5-1ubuntu22.04.1 [3467 kB]
Get:174 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-dateutil all 2.8.1-6 [78.4 kB]
Get:175 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 python3-tz all 2022.1-1ubuntu0.22.04.1 [30.7 kB]
Get:176 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-pandas-lib amd64 1.3.5+dfsg-3 [3735 kB]
Get:177 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-pandas all 1.3.5+dfsg-3 [2680 kB]
Get:178 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-decorator all 4.4.2-0ubuntu1 [10.3 kB]
Get:179 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-gast all 0.5.2-2 [9394 B]
Get:180 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-beniget all 0.4.1-2 [9904 B]
Get:181 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-ply all 3.11-5 [47.5 kB]
Get:182 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-pythran amd64 0.10.0+ds2-1 [423 kB]
Get:183 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-scipy amd64 1.8.0-1exp2ubuntu1 [14.7 MB]
Get:184 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python-matplotlib-data all 3.5.1-2build1 [2942 kB]
Get:185 http://archive.ubuntu.com/ubuntu jammy/main amd64 libopenjp2-7 amd64 2.4.0-6 [158 kB]
Get:186 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3-pil amd64 9.0.1-1ubuntu0.2 [419 kB]
Get:187 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3-tk amd64 3.10.8-1~22.04 [110 kB]
Get:188 http://archive.ubuntu.com/ubuntu jammy-security/universe amd64 python3-pil.imagetk amd64 9.0.1-1ubuntu0.2 [9616 B]
Get:189 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-cycler all 0.11.0-1 [8156 B]
Get:190 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-brotli amd64 1.0.9-2build6 [319 kB]
Get:191 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-attr all 21.2.0-1 [44.0 kB]
Get:192 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-ufolib2 all 0.13.1+dfsg1-1 [32.2 kB]
Get:193 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-mpmath all 1.2.1-2 [419 kB]
Get:194 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-sympy all 1.9-1 [4312 kB]
Get:195 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-appdirs all 1.4.4-2 [11.4 kB]
Get:196 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-fs all 2.4.12-1 [84.9 kB]
Get:197 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-lxml amd64 4.8.0-1build1 [1150 kB]
Get:198 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-lz4 amd64 3.1.3+dfsg-1build3 [33.3 kB]
Get:199 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-unicodedata2 amd64 14.0.0+ds-8 [376 kB]
Get:200 http://archive.ubuntu.com/ubuntu jammy/universe amd64 unicode-data all 14.0.0-1.1 [8206 kB]
Get:201 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-fonttools amd64 4.29.1-2build1 [810 kB]
Get:202 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-kiwisolver amd64 1.3.2-1build1 [48.0 kB]
Get:203 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-packaging all 21.3-1 [30.7 kB]
Get:204 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-matplotlib amd64 3.5.1-2build1 [5937 kB]
Get:205 http://archive.ubuntu.com/ubuntu jammy/universe amd64 mpi-default-bin amd64 1.14 [2898 B]
Get:206 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-mpi4py amd64 3.1.3-1build2 [465 kB]
Get:207 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-h5py-serial amd64 3.6.0-2build1 [872 kB]
Get:208 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-h5py all 3.6.0-2build1 [4740 B]
Get:209 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-pydot all 1.4.2-1build1 [25.8 kB]
Get:210 http://archive.ubuntu.com/ubuntu jammy/main amd64 sphinx-rtd-theme-common all 1.0.0+dfsg-1 [991 kB]
Get:211 http://archive.ubuntu.com/ubuntu jammy/universe amd64 numba-doc all 0.55.1-0ubuntu2 [737 kB]
Get:212 http://archive.ubuntu.com/ubuntu jammy/main amd64 python-babel-localedata all 2.8.0+dfsg.1-7 [4982 kB]
Get:213 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python-odf-doc all 1.4.2-1 [222 kB]
Get:214 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-defusedxml all 0.7.1-1 [43.2 kB]
Get:215 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-odf all 1.4.2-1 [79.3 kB]
Get:216 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python-odf-tools all 1.4.2-1 [27.3 kB]
Get:217 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python-tables-data all 3.7.0-2build1 [47.6 kB]
Get:218 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-babel all 2.8.0+dfsg.1-7 [85.1 kB]
Get:219 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-bottleneck amd64 1.3.2+ds1-2build1 [82.9 kB]
Get:220 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-soupsieve all 2.3.1-1 [33.0 kB]
Get:221 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-bs4 all 4.10.0-2 [79.1 kB]
Get:222 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-chardet all 4.0.0-1 [98.0 kB]
Get:223 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-et-xmlfile all 1.0.1-2.1 [9224 B]
Get:224 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-webencodings all 0.5.1-4 [11.8 kB]
Get:225 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-html5lib all 1.1-3 [87.0 kB]
Get:226 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-iniconfig all 1.1.1-2 [6024 B]
Get:227 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-jdcal all 1.0-1.3 [7944 B]
Get:228 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-markupsafe amd64 2.0.1-2build1 [12.7 kB]
Get:229 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 python3-jinja2 all 3.0.3-1ubuntu0.1 [108 kB]
Get:230 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-llvmlite amd64 0.38.0-1 [126 kB]
Get:231 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-numba amd64 0.55.1-0ubuntu2 [1588 kB]
Get:232 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-numexpr amd64 2.8.1-1build1 [86.0 kB]
Get:233 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-olefile all 0.46-3 [33.8 kB]
Get:234 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-openpyxl all 3.0.9-1 [148 kB]
Get:235 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-pluggy all 0.13.0-7.1 [19.0 kB]
Get:236 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-py all 1.10.0-1 [71.9 kB]
Get:237 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-toml all 0.10.2-1 [16.5 kB]
Get:238 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-pytest all 6.2.5-1ubuntu2 [214 kB]
Get:239 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-tables-lib amd64 3.7.0-2build1 [427 kB]
Get:240 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-tables all 3.7.0-2build1 [333 kB]
Get:241 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-xlwt all 1.3.0-3 [83.7 kB]
Get:242 http://archive.ubuntu.com/ubuntu jammy/main amd64 libibverbs-dev amd64 39.0-1 [628 kB]
Get:243 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libopenmpi-dev amd64 4.1.2-2ubuntu1 [867 kB]
Get:244 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libproj-dev amd64 8.2.1-1 [1594 kB]
Get:245 http://archive.ubuntu.com/ubuntu jammy/universe amd64 proj-bin amd64 8.2.1-1 [154 kB]
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin: 
Fetched 278 MB in 11s (25.2 MB/s)
Selecting previously unselected package fonts-lato.

(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 41243 files and directories currently installed.)

Preparing to unpack .../fonts-lato_2.0-2.1_all.deb ...

Unpacking fonts-lato (2.0-2.1) ...

Preparing to unpack .../libssl3_3.0.2-0ubuntu1.14_amd64.deb ...

Unpacking libssl3:amd64 (3.0.2-0ubuntu1.14) over (3.0.2-0ubuntu1.12) ...

Setting up libssl3:amd64 (3.0.2-0ubuntu1.14) ...

debconf: unable to initialize frontend: Dialog

debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)

debconf: falling back to frontend: Readline

Selecting previously unselected package libmagic-mgc.

(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 41266 files and directories currently installed.)

Preparing to unpack .../000-libmagic-mgc_1%3a5.41-3ubuntu0.1_amd64.deb ...

Unpacking libmagic-mgc (1:5.41-3ubuntu0.1) ...

Selecting previously unselected package libmagic1:amd64.

Preparing to unpack .../001-libmagic1_1%3a5.41-3ubuntu0.1_amd64.deb ...

Unpacking libmagic1:amd64 (1:5.41-3ubuntu0.1) ...

Selecting previously unselected package file.

Preparing to unpack .../002-file_1%3a5.41-3ubuntu0.1_amd64.deb ...

Unpacking file (1:5.41-3ubuntu0.1) ...

Selecting previously unselected package libnuma1:amd64.

Preparing to unpack .../003-libnuma1_2.0.14-3ubuntu2_amd64.deb ...

Unpacking libnuma1:amd64 (2.0.14-3ubuntu2) ...

Selecting previously unselected package libpipeline1:amd64.

Preparing to unpack .../004-libpipeline1_1.5.5-1_amd64.deb ...

Unpacking libpipeline1:amd64 (1.5.5-1) ...

Selecting previously unselected package libsigsegv2:amd64.

Preparing to unpack .../005-libsigsegv2_2.13-1ubuntu3_amd64.deb ...

Unpacking libsigsegv2:amd64 (2.13-1ubuntu3) ...

Selecting previously unselected package m4.

Preparing to unpack .../006-m4_1.4.18-5ubuntu2_amd64.deb ...

Unpacking m4 (1.4.18-5ubuntu2) ...

Selecting previously unselected package autoconf.

Preparing to unpack .../007-autoconf_2.71-2_all.deb ...

Unpacking autoconf (2.71-2) ...

Selecting previously unselected package autotools-dev.

Preparing to unpack .../008-autotools-dev_20220109.1_all.deb ...

Unpacking autotools-dev (20220109.1) ...

Selecting previously unselected package automake.

Preparing to unpack .../009-automake_1%3a1.16.5-1.3_all.deb ...

Unpacking automake (1:1.16.5-1.3) ...

Selecting previously unselected package binfmt-support.

Preparing to unpack .../010-binfmt-support_2.2.1-2_amd64.deb ...

Unpacking binfmt-support (2.2.1-2) ...

Selecting previously unselected package libtcl8.6:amd64.

Preparing to unpack .../011-libtcl8.6_8.6.12+dfsg-1build1_amd64.deb ...

Unpacking libtcl8.6:amd64 (8.6.12+dfsg-1build1) ...

Selecting previously unselected package libxrender1:amd64.

Preparing to unpack .../012-libxrender1_1%3a0.9.10-1build4_amd64.deb ...

Unpacking libxrender1:amd64 (1:0.9.10-1build4) ...

Selecting previously unselected package libxft2:amd64.

Preparing to unpack .../013-libxft2_2.3.4-1_amd64.deb ...

Unpacking libxft2:amd64 (2.3.4-1) ...

Selecting previously unselected package x11-common.

Preparing to unpack .../014-x11-common_1%3a7.7+23ubuntu2_all.deb ...

Unpacking x11-common (1:7.7+23ubuntu2) ...

Selecting previously unselected package libxss1:amd64.

Preparing to unpack .../015-libxss1_1%3a1.2.3-1build2_amd64.deb ...

Unpacking libxss1:amd64 (1:1.2.3-1build2) ...

Selecting previously unselected package libtk8.6:amd64.

Preparing to unpack .../016-libtk8.6_8.6.12-1build1_amd64.deb ...

Unpacking libtk8.6:amd64 (8.6.12-1build1) ...

Selecting previously unselected package tk8.6-blt2.5.

Preparing to unpack .../017-tk8.6-blt2.5_2.5.3+dfsg-4.1build2_amd64.deb ...

Unpacking tk8.6-blt2.5 (2.5.3+dfsg-4.1build2) ...

Selecting previously unselected package blt.

Preparing to unpack .../018-blt_2.5.3+dfsg-4.1build2_amd64.deb ...

Unpacking blt (2.5.3+dfsg-4.1build2) ...

Selecting previously unselected package cython3.

Preparing to unpack .../019-cython3_0.29.28-1ubuntu3_amd64.deb ...

Unpacking cython3 (0.29.28-1ubuntu3) ...

Selecting previously unselected package dh-python.

Preparing to unpack .../020-dh-python_5.20220403_all.deb ...

Unpacking dh-python (5.20220403) ...

Selecting previously unselected package fontconfig.

Preparing to unpack .../021-fontconfig_2.13.1-4.2ubuntu5_amd64.deb ...

Unpacking fontconfig (2.13.1-4.2ubuntu5) ...

Selecting previously unselected package fonts-font-awesome.

Preparing to unpack .../022-fonts-font-awesome_5.0.10+really4.7.0~dfsg-4.1_all.deb ...

Unpacking fonts-font-awesome (5.0.10+really4.7.0~dfsg-4.1) ...

Selecting previously unselected package fonts-liberation.

Preparing to unpack .../023-fonts-liberation_1%3a1.07.4-11_all.deb ...

Unpacking fonts-liberation (1:1.07.4-11) ...

Selecting previously unselected package fonts-lyx.

Preparing to unpack .../024-fonts-lyx_2.3.6-1_all.deb ...

Unpacking fonts-lyx (2.3.6-1) ...

Selecting previously unselected package libgfortran5:amd64.

Preparing to unpack .../025-libgfortran5_12.3.0-1ubuntu1~22.04_amd64.deb ...

Unpacking libgfortran5:amd64 (12.3.0-1ubuntu1~22.04) ...

Selecting previously unselected package libgfortran-11-dev:amd64.

Preparing to unpack .../026-libgfortran-11-dev_11.4.0-1ubuntu1~22.04_amd64.deb ...

Unpacking libgfortran-11-dev:amd64 (11.4.0-1ubuntu1~22.04) ...

Selecting previously unselected package gfortran-11.

Preparing to unpack .../027-gfortran-11_11.4.0-1ubuntu1~22.04_amd64.deb ...

Unpacking gfortran-11 (11.4.0-1ubuntu1~22.04) ...

Selecting previously unselected package gfortran.

Preparing to unpack .../028-gfortran_4%3a11.2.0-1ubuntu1_amd64.deb ...

Unpacking gfortran (4:11.2.0-1ubuntu1) ...

Selecting previously unselected package libann0.

Preparing to unpack .../029-libann0_1.1.2+doc-7build1_amd64.deb ...

Unpacking libann0 (1.1.2+doc-7build1) ...

Selecting previously unselected package libcdt5:amd64.

Preparing to unpack .../030-libcdt5_2.42.2-6_amd64.deb ...

Unpacking libcdt5:amd64 (2.42.2-6) ...

Selecting previously unselected package libcgraph6:amd64.

Preparing to unpack .../031-libcgraph6_2.42.2-6_amd64.deb ...

Unpacking libcgraph6:amd64 (2.42.2-6) ...

Selecting previously unselected package libgts-0.7-5:amd64.

Preparing to unpack .../032-libgts-0.7-5_0.7.6+darcs121130-5_amd64.deb ...

Unpacking libgts-0.7-5:amd64 (0.7.6+darcs121130-5) ...

Selecting previously unselected package libpixman-1-0:amd64.

Preparing to unpack .../033-libpixman-1-0_0.40.0-1ubuntu0.22.04.1_amd64.deb ...

Unpacking libpixman-1-0:amd64 (0.40.0-1ubuntu0.22.04.1) ...

Selecting previously unselected package libxcb-render0:amd64.

Preparing to unpack .../034-libxcb-render0_1.14-3ubuntu3_amd64.deb ...

Unpacking libxcb-render0:amd64 (1.14-3ubuntu3) ...

Selecting previously unselected package libxcb-shm0:amd64.

Preparing to unpack .../035-libxcb-shm0_1.14-3ubuntu3_amd64.deb ...

Unpacking libxcb-shm0:amd64 (1.14-3ubuntu3) ...

Selecting previously unselected package libcairo2:amd64.

Preparing to unpack .../036-libcairo2_1.16.0-5ubuntu2_amd64.deb ...

Unpacking libcairo2:amd64 (1.16.0-5ubuntu2) ...

Selecting previously unselected package libltdl7:amd64.

Preparing to unpack .../037-libltdl7_2.4.6-15build2_amd64.deb ...

Unpacking libltdl7:amd64 (2.4.6-15build2) ...

Selecting previously unselected package libgraphite2-3:amd64.

Preparing to unpack .../038-libgraphite2-3_1.3.14-1build2_amd64.deb ...

Unpacking libgraphite2-3:amd64 (1.3.14-1build2) ...

Selecting previously unselected package libharfbuzz0b:amd64.

Preparing to unpack .../039-libharfbuzz0b_2.7.4-1ubuntu3.1_amd64.deb ...

Unpacking libharfbuzz0b:amd64 (2.7.4-1ubuntu3.1) ...

Selecting previously unselected package libthai-data.

Preparing to unpack .../040-libthai-data_0.1.29-1build1_all.deb ...

Unpacking libthai-data (0.1.29-1build1) ...

Selecting previously unselected package libdatrie1:amd64.

Preparing to unpack .../041-libdatrie1_0.2.13-2_amd64.deb ...

Unpacking libdatrie1:amd64 (0.2.13-2) ...

Selecting previously unselected package libthai0:amd64.

Preparing to unpack .../042-libthai0_0.1.29-1build1_amd64.deb ...

Unpacking libthai0:amd64 (0.1.29-1build1) ...

Selecting previously unselected package libpango-1.0-0:amd64.

Preparing to unpack .../043-libpango-1.0-0_1.50.6+ds-2ubuntu1_amd64.deb ...

Unpacking libpango-1.0-0:amd64 (1.50.6+ds-2ubuntu1) ...

Selecting previously unselected package libpangoft2-1.0-0:amd64.

Preparing to unpack .../044-libpangoft2-1.0-0_1.50.6+ds-2ubuntu1_amd64.deb ...

Unpacking libpangoft2-1.0-0:amd64 (1.50.6+ds-2ubuntu1) ...

Selecting previously unselected package libpangocairo-1.0-0:amd64.

Preparing to unpack .../045-libpangocairo-1.0-0_1.50.6+ds-2ubuntu1_amd64.deb ...

Unpacking libpangocairo-1.0-0:amd64 (1.50.6+ds-2ubuntu1) ...

Selecting previously unselected package libpathplan4:amd64.

Preparing to unpack .../046-libpathplan4_2.42.2-6_amd64.deb ...

Unpacking libpathplan4:amd64 (2.42.2-6) ...

Selecting previously unselected package libgvc6.

Preparing to unpack .../047-libgvc6_2.42.2-6_amd64.deb ...

Unpacking libgvc6 (2.42.2-6) ...

Selecting previously unselected package libgvpr2:amd64.

Preparing to unpack .../048-libgvpr2_2.42.2-6_amd64.deb ...

Unpacking libgvpr2:amd64 (2.42.2-6) ...

Selecting previously unselected package liblab-gamut1:amd64.

Preparing to unpack .../049-liblab-gamut1_2.42.2-6_amd64.deb ...

Unpacking liblab-gamut1:amd64 (2.42.2-6) ...

Selecting previously unselected package libice6:amd64.

Preparing to unpack .../050-libice6_2%3a1.0.10-1build2_amd64.deb ...

Unpacking libice6:amd64 (2:1.0.10-1build2) ...

Selecting previously unselected package libsm6:amd64.

Preparing to unpack .../051-libsm6_2%3a1.2.3-1build2_amd64.deb ...

Unpacking libsm6:amd64 (2:1.2.3-1build2) ...

Selecting previously unselected package libxt6:amd64.

Preparing to unpack .../052-libxt6_1%3a1.2.1-1_amd64.deb ...

Unpacking libxt6:amd64 (1:1.2.1-1) ...

Selecting previously unselected package libxmu6:amd64.

Preparing to unpack .../053-libxmu6_2%3a1.1.3-3_amd64.deb ...

Unpacking libxmu6:amd64 (2:1.1.3-3) ...

Selecting previously unselected package libxaw7:amd64.

Preparing to unpack .../054-libxaw7_2%3a1.0.14-1_amd64.deb ...

Unpacking libxaw7:amd64 (2:1.0.14-1) ...

Selecting previously unselected package graphviz.

Preparing to unpack .../055-graphviz_2.42.2-6_amd64.deb ...

Unpacking graphviz (2.42.2-6) ...

Selecting previously unselected package hdf5-helpers.

Preparing to unpack .../056-hdf5-helpers_1.10.7+repack-4ubuntu2_amd64.deb ...

Unpacking hdf5-helpers (1.10.7+repack-4ubuntu2) ...

Selecting previously unselected package libnl-3-200:amd64.

Preparing to unpack .../057-libnl-3-200_3.5.0-0.1_amd64.deb ...

Unpacking libnl-3-200:amd64 (3.5.0-0.1) ...

Selecting previously unselected package libnl-route-3-200:amd64.

Preparing to unpack .../058-libnl-route-3-200_3.5.0-0.1_amd64.deb ...

Unpacking libnl-route-3-200:amd64 (3.5.0-0.1) ...

Selecting previously unselected package libibverbs1:amd64.

Preparing to unpack .../059-libibverbs1_39.0-1_amd64.deb ...

Unpacking libibverbs1:amd64 (39.0-1) ...

Selecting previously unselected package ibverbs-providers:amd64.

Preparing to unpack .../060-ibverbs-providers_39.0-1_amd64.deb ...

Unpacking ibverbs-providers:amd64 (39.0-1) ...

Selecting previously unselected package icu-devtools.

Preparing to unpack .../061-icu-devtools_70.1-2_amd64.deb ...

Unpacking icu-devtools (70.1-2) ...

Selecting previously unselected package libonig5:amd64.

Preparing to unpack .../062-libonig5_6.9.7.1-2build1_amd64.deb ...

Unpacking libonig5:amd64 (6.9.7.1-2build1) ...

Selecting previously unselected package libjq1:amd64.

Preparing to unpack .../063-libjq1_1.6-2.1ubuntu3_amd64.deb ...

Unpacking libjq1:amd64 (1.6-2.1ubuntu3) ...

Selecting previously unselected package jq.

Preparing to unpack .../064-jq_1.6-2.1ubuntu3_amd64.deb ...

Unpacking jq (1.6-2.1ubuntu3) ...

Selecting previously unselected package libaec0:amd64.

Preparing to unpack .../065-libaec0_1.0.6-1_amd64.deb ...

Unpacking libaec0:amd64 (1.0.6-1) ...

Selecting previously unselected package libblas3:amd64.

Preparing to unpack .../066-libblas3_3.10.0-2ubuntu1_amd64.deb ...

Unpacking libblas3:amd64 (3.10.0-2ubuntu1) ...

Selecting previously unselected package libsnappy1v5:amd64.

Preparing to unpack .../067-libsnappy1v5_1.1.8-1build3_amd64.deb ...

Unpacking libsnappy1v5:amd64 (1.1.8-1build3) ...

Selecting previously unselected package libblosc1:amd64.

Preparing to unpack .../068-libblosc1_1.21.1+ds2-2_amd64.deb ...

Unpacking libblosc1:amd64 (1.21.1+ds2-2) ...

Selecting previously unselected package libboost1.74-dev:amd64.

Preparing to unpack .../069-libboost1.74-dev_1.74.0-14ubuntu3_amd64.deb ...

Unpacking libboost1.74-dev:amd64 (1.74.0-14ubuntu3) ...

Selecting previously unselected package libboost-dev:amd64.

Preparing to unpack .../070-libboost-dev_1.74.0.3ubuntu7_amd64.deb ...

Unpacking libboost-dev:amd64 (1.74.0.3ubuntu7) ...

Selecting previously unselected package libevent-core-2.1-7:amd64.

Preparing to unpack .../071-libevent-core-2.1-7_2.1.12-stable-1build3_amd64.deb ...

Unpacking libevent-core-2.1-7:amd64 (2.1.12-stable-1build3) ...

Selecting previously unselected package libevent-pthreads-2.1-7:amd64.

Preparing to unpack .../072-libevent-pthreads-2.1-7_2.1.12-stable-1build3_amd64.deb ...

Unpacking libevent-pthreads-2.1-7:amd64 (2.1.12-stable-1build3) ...

Selecting previously unselected package libpsm-infinipath1.

Preparing to unpack .../073-libpsm-infinipath1_3.3+20.604758e7-6.1_amd64.deb ...

Unpacking libpsm-infinipath1 (3.3+20.604758e7-6.1) ...

Selecting previously unselected package libpsm2-2.

Preparing to unpack .../074-libpsm2-2_11.2.185-1_amd64.deb ...

Unpacking libpsm2-2 (11.2.185-1) ...

Selecting previously unselected package librdmacm1:amd64.

Preparing to unpack .../075-librdmacm1_39.0-1_amd64.deb ...

Unpacking librdmacm1:amd64 (39.0-1) ...

Selecting previously unselected package libfabric1:amd64.

Preparing to unpack .../076-libfabric1_1.11.0-3_amd64.deb ...

Unpacking libfabric1:amd64 (1.11.0-3) ...

Selecting previously unselected package libhwloc15:amd64.

Preparing to unpack .../077-libhwloc15_2.7.0-2ubuntu1_amd64.deb ...

Unpacking libhwloc15:amd64 (2.7.0-2ubuntu1) ...

Selecting previously unselected package libpciaccess0:amd64.

Preparing to unpack .../078-libpciaccess0_0.16-3_amd64.deb ...

Unpacking libpciaccess0:amd64 (0.16-3) ...

Selecting previously unselected package libxnvctrl0:amd64.

Preparing to unpack .../079-libxnvctrl0_510.47.03-0ubuntu1_amd64.deb ...

Unpacking libxnvctrl0:amd64 (510.47.03-0ubuntu1) ...

Selecting previously unselected package ocl-icd-libopencl1:amd64.

Preparing to unpack .../080-ocl-icd-libopencl1_2.2.14-3_amd64.deb ...

Unpacking ocl-icd-libopencl1:amd64 (2.2.14-3) ...

Selecting previously unselected package libhwloc-plugins:amd64.

Preparing to unpack .../081-libhwloc-plugins_2.7.0-2ubuntu1_amd64.deb ...

Unpacking libhwloc-plugins:amd64 (2.7.0-2ubuntu1) ...

Selecting previously unselected package libpmix2:amd64.

Preparing to unpack .../082-libpmix2_4.1.2-2ubuntu1_amd64.deb ...

Unpacking libpmix2:amd64 (4.1.2-2ubuntu1) ...

Selecting previously unselected package libucx0:amd64.

Preparing to unpack .../083-libucx0_1.12.1~rc2-1_amd64.deb ...

Unpacking libucx0:amd64 (1.12.1~rc2-1) ...

Selecting previously unselected package libopenmpi3:amd64.

Preparing to unpack .../084-libopenmpi3_4.1.2-2ubuntu1_amd64.deb ...

Unpacking libopenmpi3:amd64 (4.1.2-2ubuntu1) ...

Selecting previously unselected package libcaf-openmpi-3:amd64.

Preparing to unpack .../085-libcaf-openmpi-3_2.9.2-3_amd64.deb ...

Unpacking libcaf-openmpi-3:amd64 (2.9.2-3) ...

Selecting previously unselected package libllvm11:amd64.

Preparing to unpack .../086-libllvm11_1%3a11.1.0-6_amd64.deb ...

Unpacking libllvm11:amd64 (1:11.1.0-6) ...

Selecting previously unselected package libclang-cpp11.

Preparing to unpack .../087-libclang-cpp11_1%3a11.1.0-6_amd64.deb ...

Unpacking libclang-cpp11 (1:11.1.0-6) ...

Selecting previously unselected package libcoarrays-dev:amd64.

Preparing to unpack .../088-libcoarrays-dev_2.9.2-3_amd64.deb ...

Unpacking libcoarrays-dev:amd64 (2.9.2-3) ...

Selecting previously unselected package openmpi-common.

Preparing to unpack .../089-openmpi-common_4.1.2-2ubuntu1_all.deb ...

Unpacking openmpi-common (4.1.2-2ubuntu1) ...

Selecting previously unselected package openmpi-bin.

Preparing to unpack .../090-openmpi-bin_4.1.2-2ubuntu1_amd64.deb ...

Unpacking openmpi-bin (4.1.2-2ubuntu1) ...

Selecting previously unselected package libcoarrays-openmpi-dev:amd64.

Preparing to unpack .../091-libcoarrays-openmpi-dev_2.9.2-3_amd64.deb ...

Unpacking libcoarrays-openmpi-dev:amd64 (2.9.2-3) ...

Selecting previously unselected package libcurl4-gnutls-dev:amd64.

Preparing to unpack .../092-libcurl4-gnutls-dev_7.81.0-1ubuntu1.15_amd64.deb ...

Unpacking libcurl4-gnutls-dev:amd64 (7.81.0-1ubuntu1.15) ...

Selecting previously unselected package libdeflate-dev:amd64.

Preparing to unpack .../093-libdeflate-dev_1.10-2_amd64.deb ...

Unpacking libdeflate-dev:amd64 (1.10-2) ...

Selecting previously unselected package libevent-2.1-7:amd64.

Preparing to unpack .../094-libevent-2.1-7_2.1.12-stable-1build3_amd64.deb ...

Unpacking libevent-2.1-7:amd64 (2.1.12-stable-1build3) ...

Selecting previously unselected package libevent-extra-2.1-7:amd64.

Preparing to unpack .../095-libevent-extra-2.1-7_2.1.12-stable-1build3_amd64.deb ...

Unpacking libevent-extra-2.1-7:amd64 (2.1.12-stable-1build3) ...

Selecting previously unselected package libevent-openssl-2.1-7:amd64.

Preparing to unpack .../096-libevent-openssl-2.1-7_2.1.12-stable-1build3_amd64.deb ...

Unpacking libevent-openssl-2.1-7:amd64 (2.1.12-stable-1build3) ...

Selecting previously unselected package libevent-dev.

Preparing to unpack .../097-libevent-dev_2.1.12-stable-1build3_amd64.deb ...

Unpacking libevent-dev (2.1.12-stable-1build3) ...

Selecting previously unselected package libgeos3.10.2:amd64.

Preparing to unpack .../098-libgeos3.10.2_3.10.2-1_amd64.deb ...

Unpacking libgeos3.10.2:amd64 (3.10.2-1) ...

Selecting previously unselected package libgeos-c1v5:amd64.

Preparing to unpack .../099-libgeos-c1v5_3.10.2-1_amd64.deb ...

Unpacking libgeos-c1v5:amd64 (3.10.2-1) ...

Selecting previously unselected package libgeos-dev.

Preparing to unpack .../100-libgeos-dev_3.10.2-1_amd64.deb ...

Unpacking libgeos-dev (3.10.2-1) ...

Selecting previously unselected package libgmpxx4ldbl:amd64.

Preparing to unpack .../101-libgmpxx4ldbl_2%3a6.2.1+dfsg-3ubuntu1_amd64.deb ...

Unpacking libgmpxx4ldbl:amd64 (2:6.2.1+dfsg-3ubuntu1) ...

Selecting previously unselected package libgmp-dev:amd64.

Preparing to unpack .../102-libgmp-dev_2%3a6.2.1+dfsg-3ubuntu1_amd64.deb ...

Unpacking libgmp-dev:amd64 (2:6.2.1+dfsg-3ubuntu1) ...

Selecting previously unselected package libgslcblas0:amd64.

Preparing to unpack .../103-libgslcblas0_2.7.1+dfsg-3_amd64.deb ...

Unpacking libgslcblas0:amd64 (2.7.1+dfsg-3) ...

Selecting previously unselected package libgsl27:amd64.

Preparing to unpack .../104-libgsl27_2.7.1+dfsg-3_amd64.deb ...

Unpacking libgsl27:amd64 (2.7.1+dfsg-3) ...

Selecting previously unselected package libgsl-dev.

Preparing to unpack .../105-libgsl-dev_2.7.1+dfsg-3_amd64.deb ...

Unpacking libgsl-dev (2.7.1+dfsg-3) ...

Selecting previously unselected package libgts-bin.

Preparing to unpack .../106-libgts-bin_0.7.6+darcs121130-5_amd64.deb ...

Unpacking libgts-bin (0.7.6+darcs121130-5) ...

Selecting previously unselected package libsz2:amd64.

Preparing to unpack .../107-libsz2_1.0.6-1_amd64.deb ...

Unpacking libsz2:amd64 (1.0.6-1) ...

Selecting previously unselected package libhdf5-103-1:amd64.

Preparing to unpack .../108-libhdf5-103-1_1.10.7+repack-4ubuntu2_amd64.deb ...

Unpacking libhdf5-103-1:amd64 (1.10.7+repack-4ubuntu2) ...

Selecting previously unselected package libhdf5-cpp-103-1:amd64.

Preparing to unpack .../109-libhdf5-cpp-103-1_1.10.7+repack-4ubuntu2_amd64.deb ...

Unpacking libhdf5-cpp-103-1:amd64 (1.10.7+repack-4ubuntu2) ...

Selecting previously unselected package libhdf5-fortran-102:amd64.

Preparing to unpack .../110-libhdf5-fortran-102_1.10.7+repack-4ubuntu2_amd64.deb ...

Unpacking libhdf5-fortran-102:amd64 (1.10.7+repack-4ubuntu2) ...

Selecting previously unselected package libhdf5-hl-100:amd64.

Preparing to unpack .../111-libhdf5-hl-100_1.10.7+repack-4ubuntu2_amd64.deb ...

Unpacking libhdf5-hl-100:amd64 (1.10.7+repack-4ubuntu2) ...

Selecting previously unselected package libhdf5-hl-fortran-100:amd64.

Preparing to unpack .../112-libhdf5-hl-fortran-100_1.10.7+repack-4ubuntu2_amd64.deb ...

Unpacking libhdf5-hl-fortran-100:amd64 (1.10.7+repack-4ubuntu2) ...

Selecting previously unselected package libhdf5-hl-cpp-100:amd64.

Preparing to unpack .../113-libhdf5-hl-cpp-100_1.10.7+repack-4ubuntu2_amd64.deb ...

Unpacking libhdf5-hl-cpp-100:amd64 (1.10.7+repack-4ubuntu2) ...

Selecting previously unselected package libjpeg-turbo8-dev:amd64.

Preparing to unpack .../114-libjpeg-turbo8-dev_2.1.2-0ubuntu1_amd64.deb ...

Unpacking libjpeg-turbo8-dev:amd64 (2.1.2-0ubuntu1) ...

Selecting previously unselected package libjpeg8-dev:amd64.

Preparing to unpack .../115-libjpeg8-dev_8c-2ubuntu10_amd64.deb ...

Unpacking libjpeg8-dev:amd64 (8c-2ubuntu10) ...

Selecting previously unselected package libjpeg-dev:amd64.

Preparing to unpack .../116-libjpeg-dev_8c-2ubuntu10_amd64.deb ...

Unpacking libjpeg-dev:amd64 (8c-2ubuntu10) ...

Selecting previously unselected package libaec-dev:amd64.

Preparing to unpack .../117-libaec-dev_1.0.6-1_amd64.deb ...

Unpacking libaec-dev:amd64 (1.0.6-1) ...

Selecting previously unselected package libssl-dev:amd64.

Preparing to unpack .../118-libssl-dev_3.0.2-0ubuntu1.14_amd64.deb ...

Unpacking libssl-dev:amd64 (3.0.2-0ubuntu1.14) ...

Selecting previously unselected package libhdf5-dev.

Preparing to unpack .../119-libhdf5-dev_1.10.7+repack-4ubuntu2_amd64.deb ...

Unpacking libhdf5-dev (1.10.7+repack-4ubuntu2) ...

Selecting previously unselected package libicu-dev:amd64.

Preparing to unpack .../120-libicu-dev_70.1-2_amd64.deb ...

Unpacking libicu-dev:amd64 (70.1-2) ...

Selecting previously unselected package libimagequant0:amd64.

Preparing to unpack .../121-libimagequant0_2.17.0-1_amd64.deb ...

Unpacking libimagequant0:amd64 (2.17.0-1) ...

Selecting previously unselected package libjs-jquery-ui.

Preparing to unpack .../122-libjs-jquery-ui_1.13.1+dfsg-1_all.deb ...

Unpacking libjs-jquery-ui (1.13.1+dfsg-1) ...

Selecting previously unselected package libopenblas0-pthread:amd64.

Preparing to unpack .../123-libopenblas0-pthread_0.3.20+ds-1_amd64.deb ...

Unpacking libopenblas0-pthread:amd64 (0.3.20+ds-1) ...

Selecting previously unselected package liblapack3:amd64.

Preparing to unpack .../124-liblapack3_3.10.0-2ubuntu1_amd64.deb ...

Unpacking liblapack3:amd64 (3.10.0-2ubuntu1) ...

Selecting previously unselected package liblbfgsb0:amd64.

Preparing to unpack .../125-liblbfgsb0_3.0+dfsg.3-10_amd64.deb ...

Unpacking liblbfgsb0:amd64 (3.0+dfsg.3-10) ...

Selecting previously unselected package liblcms2-2:amd64.

Preparing to unpack .../126-liblcms2-2_2.12~rc1-2build2_amd64.deb ...

Unpacking liblcms2-2:amd64 (2.12~rc1-2build2) ...

Selecting previously unselected package libltdl-dev:amd64.

Preparing to unpack .../127-libltdl-dev_2.4.6-15build2_amd64.deb ...

Unpacking libltdl-dev:amd64 (2.4.6-15build2) ...

Selecting previously unselected package liblzf1:amd64.

Preparing to unpack .../128-liblzf1_3.6-3_amd64.deb ...

Unpacking liblzf1:amd64 (3.6-3) ...

Selecting previously unselected package liblzo2-2:amd64.

Preparing to unpack .../129-liblzo2-2_2.10-2build3_amd64.deb ...

Unpacking liblzo2-2:amd64 (2.10-2build3) ...

Selecting previously unselected package libncurses-dev:amd64.

Preparing to unpack .../130-libncurses-dev_6.3-2ubuntu0.1_amd64.deb ...

Unpacking libncurses-dev:amd64 (6.3-2ubuntu0.1) ...

Selecting previously unselected package libnl-3-dev:amd64.

Preparing to unpack .../131-libnl-3-dev_3.5.0-0.1_amd64.deb ...

Unpacking libnl-3-dev:amd64 (3.5.0-0.1) ...

Selecting previously unselected package libnl-route-3-dev:amd64.

Preparing to unpack .../132-libnl-route-3-dev_3.5.0-0.1_amd64.deb ...

Unpacking libnl-route-3-dev:amd64 (3.5.0-0.1) ...

Selecting previously unselected package libopenblas0:amd64.

Preparing to unpack .../133-libopenblas0_0.3.20+ds-1_amd64.deb ...

Unpacking libopenblas0:amd64 (0.3.20+ds-1) ...

Selecting previously unselected package libopenblas-pthread-dev:amd64.

Preparing to unpack .../134-libopenblas-pthread-dev_0.3.20+ds-1_amd64.deb ...

Unpacking libopenblas-pthread-dev:amd64 (0.3.20+ds-1) ...

Selecting previously unselected package libopenblas-dev:amd64.

Preparing to unpack .../135-libopenblas-dev_0.3.20+ds-1_amd64.deb ...

Unpacking libopenblas-dev:amd64 (0.3.20+ds-1) ...

Selecting previously unselected package libnuma-dev:amd64.

Preparing to unpack .../136-libnuma-dev_2.0.14-3ubuntu2_amd64.deb ...

Unpacking libnuma-dev:amd64 (2.0.14-3ubuntu2) ...

Selecting previously unselected package libhwloc-dev:amd64.

Preparing to unpack .../137-libhwloc-dev_2.7.0-2ubuntu1_amd64.deb ...

Unpacking libhwloc-dev:amd64 (2.7.0-2ubuntu1) ...

Selecting previously unselected package libpmix-dev:amd64.

Preparing to unpack .../138-libpmix-dev_4.1.2-2ubuntu1_amd64.deb ...

Unpacking libpmix-dev:amd64 (4.1.2-2ubuntu1) ...

Selecting previously unselected package proj-data.

Preparing to unpack .../139-proj-data_8.2.1-1_all.deb ...

Unpacking proj-data (8.2.1-1) ...

Selecting previously unselected package libproj22:amd64.

Preparing to unpack .../140-libproj22_8.2.1-1_amd64.deb ...

Unpacking libproj22:amd64 (8.2.1-1) ...

Selecting previously unselected package libqhull-r8.0:amd64.

Preparing to unpack .../141-libqhull-r8.0_2020.2-4_amd64.deb ...

Unpacking libqhull-r8.0:amd64 (2020.2-4) ...

Selecting previously unselected package libraqm0:amd64.

Preparing to unpack .../142-libraqm0_0.7.0-4ubuntu1_amd64.deb ...

Unpacking libraqm0:amd64 (0.7.0-4ubuntu1) ...

Selecting previously unselected package libsqlite3-dev:amd64.

Preparing to unpack .../143-libsqlite3-dev_3.37.2-2ubuntu0.3_amd64.deb ...

Unpacking libsqlite3-dev:amd64 (3.37.2-2ubuntu0.3) ...

Selecting previously unselected package libtbbmalloc2:amd64.

Preparing to unpack .../144-libtbbmalloc2_2021.5.0-7ubuntu2_amd64.deb ...

Unpacking libtbbmalloc2:amd64 (2021.5.0-7ubuntu2) ...

Selecting previously unselected package libtbb12:amd64.

Preparing to unpack .../145-libtbb12_2021.5.0-7ubuntu2_amd64.deb ...

Unpacking libtbb12:amd64 (2021.5.0-7ubuntu2) ...

Selecting previously unselected package libjbig-dev:amd64.

Preparing to unpack .../146-libjbig-dev_2.1-3.1ubuntu0.22.04.1_amd64.deb ...

Unpacking libjbig-dev:amd64 (2.1-3.1ubuntu0.22.04.1) ...

Selecting previously unselected package liblzma-dev:amd64.

Preparing to unpack .../147-liblzma-dev_5.2.5-2ubuntu1_amd64.deb ...

Unpacking liblzma-dev:amd64 (5.2.5-2ubuntu1) ...

Selecting previously unselected package libtiffxx5:amd64.

Preparing to unpack .../148-libtiffxx5_4.3.0-6ubuntu0.7_amd64.deb ...

Unpacking libtiffxx5:amd64 (4.3.0-6ubuntu0.7) ...

Selecting previously unselected package libtiff-dev:amd64.

Preparing to unpack .../149-libtiff-dev_4.3.0-6ubuntu0.7_amd64.deb ...

Unpacking libtiff-dev:amd64 (4.3.0-6ubuntu0.7) ...

Selecting previously unselected package libtinfo-dev:amd64.

Preparing to unpack .../150-libtinfo-dev_6.3-2ubuntu0.1_amd64.deb ...

Unpacking libtinfo-dev:amd64 (6.3-2ubuntu0.1) ...

Selecting previously unselected package libtool.

Preparing to unpack .../151-libtool_2.4.6-15build2_all.deb ...

Unpacking libtool (2.4.6-15build2) ...

Selecting previously unselected package libwebpdemux2:amd64.

Preparing to unpack .../152-libwebpdemux2_1.2.2-2ubuntu0.22.04.2_amd64.deb ...

Unpacking libwebpdemux2:amd64 (1.2.2-2ubuntu0.22.04.2) ...

Selecting previously unselected package libwebpmux3:amd64.

Preparing to unpack .../153-libwebpmux3_1.2.2-2ubuntu0.22.04.2_amd64.deb ...

Unpacking libwebpmux3:amd64 (1.2.2-2ubuntu0.22.04.2) ...

Selecting previously unselected package libxml2-dev:amd64.

Preparing to unpack .../154-libxml2-dev_2.9.13+dfsg-1ubuntu0.3_amd64.deb ...

Unpacking libxml2-dev:amd64 (2.9.13+dfsg-1ubuntu0.3) ...

Selecting previously unselected package libxsimd-dev:amd64.

Preparing to unpack .../155-libxsimd-dev_7.6.0-2_amd64.deb ...

Unpacking libxsimd-dev:amd64 (7.6.0-2) ...

Selecting previously unselected package libxslt1.1:amd64.

Preparing to unpack .../156-libxslt1.1_1.1.34-4ubuntu0.22.04.1_amd64.deb ...

Unpacking libxslt1.1:amd64 (1.1.34-4ubuntu0.22.04.1) ...

Selecting previously unselected package llvm-11-runtime.

Preparing to unpack .../157-llvm-11-runtime_1%3a11.1.0-6_amd64.deb ...

Unpacking llvm-11-runtime (1:11.1.0-6) ...

Selecting previously unselected package llvm-11-linker-tools.

Preparing to unpack .../158-llvm-11-linker-tools_1%3a11.1.0-6_amd64.deb ...

Unpacking llvm-11-linker-tools (1:11.1.0-6) ...

Selecting previously unselected package libpfm4:amd64.

Preparing to unpack .../159-libpfm4_4.11.1+git32-gd0b85fb-1ubuntu0.1_amd64.deb ...

Unpacking libpfm4:amd64 (4.11.1+git32-gd0b85fb-1ubuntu0.1) ...

Selecting previously unselected package llvm-11.

Preparing to unpack .../160-llvm-11_1%3a11.1.0-6_amd64.deb ...

Unpacking llvm-11 (1:11.1.0-6) ...

Selecting previously unselected package libffi-dev:amd64.

Preparing to unpack .../161-libffi-dev_3.4.2-4_amd64.deb ...

Unpacking libffi-dev:amd64 (3.4.2-4) ...

Selecting previously unselected package python3-pygments.

Preparing to unpack .../162-python3-pygments_2.11.2+dfsg-2_all.deb ...

Unpacking python3-pygments (2.11.2+dfsg-2) ...

Selecting previously unselected package llvm-11-tools.

Preparing to unpack .../163-llvm-11-tools_1%3a11.1.0-6_amd64.deb ...

Unpacking llvm-11-tools (1:11.1.0-6) ...

Selecting previously unselected package libz3-4:amd64.

Preparing to unpack .../164-libz3-4_4.8.12-1_amd64.deb ...

Unpacking libz3-4:amd64 (4.8.12-1) ...

Selecting previously unselected package libz3-dev:amd64.

Preparing to unpack .../165-libz3-dev_4.8.12-1_amd64.deb ...

Unpacking libz3-dev:amd64 (4.8.12-1) ...

Selecting previously unselected package llvm-11-dev.

Preparing to unpack .../166-llvm-11-dev_1%3a11.1.0-6_amd64.deb ...

Unpacking llvm-11-dev (1:11.1.0-6) ...

Selecting previously unselected package mailcap.

Preparing to unpack .../167-mailcap_3.70+nmu1ubuntu1_all.deb ...

Unpacking mailcap (3.70+nmu1ubuntu1) ...

Selecting previously unselected package mime-support.

Preparing to unpack .../168-mime-support_3.66_all.deb ...

Unpacking mime-support (3.66) ...

Selecting previously unselected package python3-numpy.

Preparing to unpack .../169-python3-numpy_1%3a1.21.5-1ubuntu22.04.1_amd64.deb ...

Unpacking python3-numpy (1:1.21.5-1ubuntu22.04.1) ...

Selecting previously unselected package python3-dateutil.

Preparing to unpack .../170-python3-dateutil_2.8.1-6_all.deb ...

Unpacking python3-dateutil (2.8.1-6) ...

Selecting previously unselected package python3-tz.

Preparing to unpack .../171-python3-tz_2022.1-1ubuntu0.22.04.1_all.deb ...

Unpacking python3-tz (2022.1-1ubuntu0.22.04.1) ...

Selecting previously unselected package python3-pandas-lib:amd64.

Preparing to unpack .../172-python3-pandas-lib_1.3.5+dfsg-3_amd64.deb ...

Unpacking python3-pandas-lib:amd64 (1.3.5+dfsg-3) ...

Selecting previously unselected package python3-pandas.

Preparing to unpack .../173-python3-pandas_1.3.5+dfsg-3_all.deb ...

Unpacking python3-pandas (1.3.5+dfsg-3) ...

Selecting previously unselected package python3-decorator.

Preparing to unpack .../174-python3-decorator_4.4.2-0ubuntu1_all.deb ...

Unpacking python3-decorator (4.4.2-0ubuntu1) ...

Selecting previously unselected package python3-gast.

Preparing to unpack .../175-python3-gast_0.5.2-2_all.deb ...

Unpacking python3-gast (0.5.2-2) ...

Selecting previously unselected package python3-beniget.

Preparing to unpack .../176-python3-beniget_0.4.1-2_all.deb ...

Unpacking python3-beniget (0.4.1-2) ...

Selecting previously unselected package python3-ply.

Preparing to unpack .../177-python3-ply_3.11-5_all.deb ...

Unpacking python3-ply (3.11-5) ...

Selecting previously unselected package python3-pythran.

Preparing to unpack .../178-python3-pythran_0.10.0+ds2-1_amd64.deb ...

Unpacking python3-pythran (0.10.0+ds2-1) ...

Selecting previously unselected package python3-scipy.

Preparing to unpack .../179-python3-scipy_1.8.0-1exp2ubuntu1_amd64.deb ...

Unpacking python3-scipy (1.8.0-1exp2ubuntu1) ...

Selecting previously unselected package python-matplotlib-data.

Preparing to unpack .../180-python-matplotlib-data_3.5.1-2build1_all.deb ...

Unpacking python-matplotlib-data (3.5.1-2build1) ...

Selecting previously unselected package libopenjp2-7:amd64.

Preparing to unpack .../181-libopenjp2-7_2.4.0-6_amd64.deb ...

Unpacking libopenjp2-7:amd64 (2.4.0-6) ...

Selecting previously unselected package python3-pil:amd64.

Preparing to unpack .../182-python3-pil_9.0.1-1ubuntu0.2_amd64.deb ...

Unpacking python3-pil:amd64 (9.0.1-1ubuntu0.2) ...

Selecting previously unselected package python3-tk:amd64.

Preparing to unpack .../183-python3-tk_3.10.8-1~22.04_amd64.deb ...

Unpacking python3-tk:amd64 (3.10.8-1~22.04) ...

Selecting previously unselected package python3-pil.imagetk:amd64.

Preparing to unpack .../184-python3-pil.imagetk_9.0.1-1ubuntu0.2_amd64.deb ...

Unpacking python3-pil.imagetk:amd64 (9.0.1-1ubuntu0.2) ...

Selecting previously unselected package python3-cycler.

Preparing to unpack .../185-python3-cycler_0.11.0-1_all.deb ...

Unpacking python3-cycler (0.11.0-1) ...

Selecting previously unselected package python3-brotli.

Preparing to unpack .../186-python3-brotli_1.0.9-2build6_amd64.deb ...

Unpacking python3-brotli (1.0.9-2build6) ...

Selecting previously unselected package python3-attr.

Preparing to unpack .../187-python3-attr_21.2.0-1_all.deb ...

Unpacking python3-attr (21.2.0-1) ...

Selecting previously unselected package python3-ufolib2.

Preparing to unpack .../188-python3-ufolib2_0.13.1+dfsg1-1_all.deb ...

Unpacking python3-ufolib2 (0.13.1+dfsg1-1) ...

Selecting previously unselected package python3-mpmath.

Preparing to unpack .../189-python3-mpmath_1.2.1-2_all.deb ...

Unpacking python3-mpmath (1.2.1-2) ...

Selecting previously unselected package python3-sympy.

Preparing to unpack .../190-python3-sympy_1.9-1_all.deb ...

Unpacking python3-sympy (1.9-1) ...

Selecting previously unselected package python3-appdirs.

Preparing to unpack .../191-python3-appdirs_1.4.4-2_all.deb ...

Unpacking python3-appdirs (1.4.4-2) ...

Selecting previously unselected package python3-fs.

Preparing to unpack .../192-python3-fs_2.4.12-1_all.deb ...

Unpacking python3-fs (2.4.12-1) ...

Selecting previously unselected package python3-lxml:amd64.

Preparing to unpack .../193-python3-lxml_4.8.0-1build1_amd64.deb ...

Unpacking python3-lxml:amd64 (4.8.0-1build1) ...

Selecting previously unselected package python3-lz4.

Preparing to unpack .../194-python3-lz4_3.1.3+dfsg-1build3_amd64.deb ...

Unpacking python3-lz4 (3.1.3+dfsg-1build3) ...

Selecting previously unselected package python3-unicodedata2.

Preparing to unpack .../195-python3-unicodedata2_14.0.0+ds-8_amd64.deb ...

Unpacking python3-unicodedata2 (14.0.0+ds-8) ...

Selecting previously unselected package unicode-data.

Preparing to unpack .../196-unicode-data_14.0.0-1.1_all.deb ...

Unpacking unicode-data (14.0.0-1.1) ...

Selecting previously unselected package python3-fonttools.

Preparing to unpack .../197-python3-fonttools_4.29.1-2build1_amd64.deb ...

Unpacking python3-fonttools (4.29.1-2build1) ...

Selecting previously unselected package python3-kiwisolver.

Preparing to unpack .../198-python3-kiwisolver_1.3.2-1build1_amd64.deb ...

Unpacking python3-kiwisolver (1.3.2-1build1) ...

Selecting previously unselected package python3-packaging.

Preparing to unpack .../199-python3-packaging_21.3-1_all.deb ...

Unpacking python3-packaging (21.3-1) ...

Selecting previously unselected package python3-matplotlib.

Preparing to unpack .../200-python3-matplotlib_3.5.1-2build1_amd64.deb ...

Unpacking python3-matplotlib (3.5.1-2build1) ...

Selecting previously unselected package mpi-default-bin.

Preparing to unpack .../201-mpi-default-bin_1.14_amd64.deb ...

Unpacking mpi-default-bin (1.14) ...

Selecting previously unselected package python3-mpi4py.

Preparing to unpack .../202-python3-mpi4py_3.1.3-1build2_amd64.deb ...

Unpacking python3-mpi4py (3.1.3-1build2) ...

Selecting previously unselected package python3-h5py-serial.

Preparing to unpack .../203-python3-h5py-serial_3.6.0-2build1_amd64.deb ...

Unpacking python3-h5py-serial (3.6.0-2build1) ...

Selecting previously unselected package python3-h5py.

Preparing to unpack .../204-python3-h5py_3.6.0-2build1_all.deb ...

Unpacking python3-h5py (3.6.0-2build1) ...

Selecting previously unselected package python3-pydot.

Preparing to unpack .../205-python3-pydot_1.4.2-1build1_all.deb ...

Unpacking python3-pydot (1.4.2-1build1) ...

Selecting previously unselected package nest.

Preparing to unpack .../206-nest_3.6-2ubuntu1ppa1-1512~202311160928~ubuntu22.04.1_amd64.deb ...

Unpacking nest (3.6-2ubuntu1ppa1-1512~202311160928~ubuntu22.04.1) ...

Selecting previously unselected package sphinx-rtd-theme-common.

Preparing to unpack .../207-sphinx-rtd-theme-common_1.0.0+dfsg-1_all.deb ...

Unpacking sphinx-rtd-theme-common (1.0.0+dfsg-1) ...

Selecting previously unselected package numba-doc.

Preparing to unpack .../208-numba-doc_0.55.1-0ubuntu2_all.deb ...

Unpacking numba-doc (0.55.1-0ubuntu2) ...

Selecting previously unselected package python-babel-localedata.

Preparing to unpack .../209-python-babel-localedata_2.8.0+dfsg.1-7_all.deb ...

Unpacking python-babel-localedata (2.8.0+dfsg.1-7) ...

Selecting previously unselected package python-odf-doc.

Preparing to unpack .../210-python-odf-doc_1.4.2-1_all.deb ...

Unpacking python-odf-doc (1.4.2-1) ...

Selecting previously unselected package python3-defusedxml.

Preparing to unpack .../211-python3-defusedxml_0.7.1-1_all.deb ...

Unpacking python3-defusedxml (0.7.1-1) ...

Selecting previously unselected package python3-odf.

Preparing to unpack .../212-python3-odf_1.4.2-1_all.deb ...

Unpacking python3-odf (1.4.2-1) ...

Selecting previously unselected package python-odf-tools.

Preparing to unpack .../213-python-odf-tools_1.4.2-1_all.deb ...

Unpacking python-odf-tools (1.4.2-1) ...

Selecting previously unselected package python-tables-data.

Preparing to unpack .../214-python-tables-data_3.7.0-2build1_all.deb ...

Unpacking python-tables-data (3.7.0-2build1) ...

Selecting previously unselected package python3-babel.

Preparing to unpack .../215-python3-babel_2.8.0+dfsg.1-7_all.deb ...

Unpacking python3-babel (2.8.0+dfsg.1-7) ...

Selecting previously unselected package python3-bottleneck.

Preparing to unpack .../216-python3-bottleneck_1.3.2+ds1-2build1_amd64.deb ...

Unpacking python3-bottleneck (1.3.2+ds1-2build1) ...

Selecting previously unselected package python3-soupsieve.

Preparing to unpack .../217-python3-soupsieve_2.3.1-1_all.deb ...

Unpacking python3-soupsieve (2.3.1-1) ...

Selecting previously unselected package python3-bs4.

Preparing to unpack .../218-python3-bs4_4.10.0-2_all.deb ...

Unpacking python3-bs4 (4.10.0-2) ...

Selecting previously unselected package python3-chardet.

Preparing to unpack .../219-python3-chardet_4.0.0-1_all.deb ...

Unpacking python3-chardet (4.0.0-1) ...

Selecting previously unselected package python3-et-xmlfile.

Preparing to unpack .../220-python3-et-xmlfile_1.0.1-2.1_all.deb ...

Unpacking python3-et-xmlfile (1.0.1-2.1) ...

Selecting previously unselected package python3-webencodings.

Preparing to unpack .../221-python3-webencodings_0.5.1-4_all.deb ...

Unpacking python3-webencodings (0.5.1-4) ...

Selecting previously unselected package python3-html5lib.

Preparing to unpack .../222-python3-html5lib_1.1-3_all.deb ...

Unpacking python3-html5lib (1.1-3) ...

Selecting previously unselected package python3-iniconfig.

Preparing to unpack .../223-python3-iniconfig_1.1.1-2_all.deb ...

Unpacking python3-iniconfig (1.1.1-2) ...

Selecting previously unselected package python3-jdcal.

Preparing to unpack .../224-python3-jdcal_1.0-1.3_all.deb ...

Unpacking python3-jdcal (1.0-1.3) ...

Selecting previously unselected package python3-markupsafe.

Preparing to unpack .../225-python3-markupsafe_2.0.1-2build1_amd64.deb ...

Unpacking python3-markupsafe (2.0.1-2build1) ...

Selecting previously unselected package python3-jinja2.

Preparing to unpack .../226-python3-jinja2_3.0.3-1ubuntu0.1_all.deb ...

Unpacking python3-jinja2 (3.0.3-1ubuntu0.1) ...

Selecting previously unselected package python3-llvmlite.

Preparing to unpack .../227-python3-llvmlite_0.38.0-1_amd64.deb ...

Unpacking python3-llvmlite (0.38.0-1) ...

Selecting previously unselected package python3-numba.

Preparing to unpack .../228-python3-numba_0.55.1-0ubuntu2_amd64.deb ...

Unpacking python3-numba (0.55.1-0ubuntu2) ...

Selecting previously unselected package python3-numexpr.

Preparing to unpack .../229-python3-numexpr_2.8.1-1build1_amd64.deb ...

Unpacking python3-numexpr (2.8.1-1build1) ...

Selecting previously unselected package python3-olefile.

Preparing to unpack .../230-python3-olefile_0.46-3_all.deb ...

Unpacking python3-olefile (0.46-3) ...

Selecting previously unselected package python3-openpyxl.

Preparing to unpack .../231-python3-openpyxl_3.0.9-1_all.deb ...

Unpacking python3-openpyxl (3.0.9-1) ...

Selecting previously unselected package python3-pluggy.

Preparing to unpack .../232-python3-pluggy_0.13.0-7.1_all.deb ...

Unpacking python3-pluggy (0.13.0-7.1) ...

Selecting previously unselected package python3-py.

Preparing to unpack .../233-python3-py_1.10.0-1_all.deb ...

Unpacking python3-py (1.10.0-1) ...

Selecting previously unselected package python3-toml.

Preparing to unpack .../234-python3-toml_0.10.2-1_all.deb ...

Unpacking python3-toml (0.10.2-1) ...

Selecting previously unselected package python3-pytest.

Preparing to unpack .../235-python3-pytest_6.2.5-1ubuntu2_all.deb ...

Unpacking python3-pytest (6.2.5-1ubuntu2) ...

Selecting previously unselected package python3-tables-lib.

Preparing to unpack .../236-python3-tables-lib_3.7.0-2build1_amd64.deb ...

Unpacking python3-tables-lib (3.7.0-2build1) ...

Selecting previously unselected package python3-tables.

Preparing to unpack .../237-python3-tables_3.7.0-2build1_all.deb ...

Unpacking python3-tables (3.7.0-2build1) ...

Selecting previously unselected package python3-xlwt.

Preparing to unpack .../238-python3-xlwt_1.3.0-3_all.deb ...

Unpacking python3-xlwt (1.3.0-3) ...

Selecting previously unselected package libibverbs-dev:amd64.

Preparing to unpack .../239-libibverbs-dev_39.0-1_amd64.deb ...

Unpacking libibverbs-dev:amd64 (39.0-1) ...

Selecting previously unselected package libopenmpi-dev:amd64.

Preparing to unpack .../240-libopenmpi-dev_4.1.2-2ubuntu1_amd64.deb ...

Unpacking libopenmpi-dev:amd64 (4.1.2-2ubuntu1) ...

Selecting previously unselected package libproj-dev:amd64.

Preparing to unpack .../241-libproj-dev_8.2.1-1_amd64.deb ...

Unpacking libproj-dev:amd64 (8.2.1-1) ...

Selecting previously unselected package proj-bin.

Preparing to unpack .../242-proj-bin_8.2.1-1_amd64.deb ...

Unpacking proj-bin (8.2.1-1) ...

Setting up dh-python (5.20220403) ...

Setting up libpipeline1:amd64 (1.5.5-1) ...

Setting up libgraphite2-3:amd64 (1.3.14-1build2) ...

Setting up liblcms2-2:amd64 (2.12~rc1-2build2) ...

Setting up python3-iniconfig (1.1.1-2) ...

Setting up libtbbmalloc2:amd64 (2021.5.0-7ubuntu2) ...

Setting up libpixman-1-0:amd64 (0.40.0-1ubuntu0.22.04.1) ...

Setting up python3-attr (21.2.0-1) ...

Setting up libgeos3.10.2:amd64 (3.10.2-1) ...

Setting up libpciaccess0:amd64 (0.16-3) ...

Setting up fontconfig (2.13.1-4.2ubuntu5) ...

Regenerating fonts cache... done.

Setting up libjpeg-turbo8-dev:amd64 (2.1.2-0ubuntu1) ...

Setting up libncurses-dev:amd64 (6.3-2ubuntu0.1) ...

Setting up libboost1.74-dev:amd64 (1.74.0-14ubuntu3) ...

Setting up fonts-lato (2.0-2.1) ...

Setting up proj-data (8.2.1-1) ...

Setting up hdf5-helpers (1.10.7+repack-4ubuntu2) ...

Setting up libxrender1:amd64 (1:0.9.10-1build4) ...

Setting up python3-py (1.10.0-1) ...

Setting up libdatrie1:amd64 (0.2.13-2) ...

Setting up python3-jdcal (1.0-1.3) ...

Setting up libgslcblas0:amd64 (2.7.1+dfsg-3) ...

Setting up libmagic-mgc (1:5.41-3ubuntu0.1) ...

Setting up python3-lz4 (3.1.3+dfsg-1build3) ...

Setting up libxcb-render0:amd64 (1.14-3ubuntu3) ...

Setting up python3-defusedxml (0.7.1-1) ...

Setting up python3-unicodedata2 (14.0.0+ds-8) ...

Setting up fonts-lyx (2.3.6-1) ...

Setting up python3-olefile (0.46-3) ...

Setting up libwebpdemux2:amd64 (1.2.2-2ubuntu0.22.04.2) ...

Setting up python3-ply (3.11-5) ...

Setting up liblab-gamut1:amd64 (2.42.2-6) ...

Setting up x11-common (1:7.7+23ubuntu2) ...

debconf: unable to initialize frontend: Dialog

debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)

debconf: falling back to frontend: Readline

Setting up libmagic1:amd64 (1:5.41-3ubuntu0.1) ...

Setting up python3-gast (0.5.2-2) ...

Setting up libjbig-dev:amd64 (2.1-3.1ubuntu0.22.04.1) ...

Setting up libgsl27:amd64 (2.7.1+dfsg-3) ...

Setting up libqhull-r8.0:amd64 (2020.2-4) ...

Setting up liblzo2-2:amd64 (2.10-2build3) ...

Setting up libtbb12:amd64 (2021.5.0-7ubuntu2) ...

Setting up libxcb-shm0:amd64 (1.14-3ubuntu3) ...

Setting up file (1:5.41-3ubuntu0.1) ...

Setting up libproj22:amd64 (8.2.1-1) ...

Setting up libcurl4-gnutls-dev:amd64 (7.81.0-1ubuntu1.15) ...

Setting up libffi-dev:amd64 (3.4.2-4) ...

Setting up python3-markupsafe (2.0.1-2build1) ...

Setting up python3-webencodings (0.5.1-4) ...

Setting up libcairo2:amd64 (1.16.0-5ubuntu2) ...

Setting up libaec0:amd64 (1.0.6-1) ...

Setting up python3-tz (2022.1-1ubuntu0.22.04.1) ...

Setting up python-babel-localedata (2.8.0+dfsg.1-7) ...

Setting up libsnappy1v5:amd64 (1.1.8-1build3) ...

Setting up libxnvctrl0:amd64 (510.47.03-0ubuntu1) ...

Setting up unicode-data (14.0.0-1.1) ...

Setting up libgts-0.7-5:amd64 (0.7.6+darcs121130-5) ...

Setting up python3-beniget (0.4.1-2) ...

Setting up libxsimd-dev:amd64 (7.6.0-2) ...

Setting up python3-decorator (4.4.2-0ubuntu1) ...

Setting up autotools-dev (20220109.1) ...

Setting up python3-pygments (2.11.2+dfsg-2) ...

Setting up libz3-4:amd64 (4.8.12-1) ...

Setting up libblas3:amd64 (3.10.0-2ubuntu1) ...

update-alternatives: using /usr/lib/x86_64-linux-gnu/blas/libblas.so.3 to provide /usr/lib/x86_64-linux-gnu/libblas.so.3 (libblas.so.3-x86_64-linux-gnu) in auto mode

Setting up python3-packaging (21.3-1) ...

Setting up libgmpxx4ldbl:amd64 (2:6.2.1+dfsg-3ubuntu1) ...

Setting up libpfm4:amd64 (4.11.1+git32-gd0b85fb-1ubuntu0.1) ...

Setting up python3-chardet (4.0.0-1) ...

Setting up libllvm11:amd64 (1:11.1.0-6) ...

Setting up libjs-jquery-ui (1.13.1+dfsg-1) ...

Setting up libsqlite3-dev:amd64 (3.37.2-2ubuntu0.3) ...

Setting up libpathplan4:amd64 (2.42.2-6) ...

Setting up python3-brotli (1.0.9-2build6) ...

Setting up libann0 (1.1.2+doc-7build1) ...

Setting up liblzf1:amd64 (3.6-3) ...

Setting up libsigsegv2:amd64 (2.13-1ubuntu3) ...

Setting up python3-cycler (0.11.0-1) ...

Setting up python-odf-doc (1.4.2-1) ...

Setting up libimagequant0:amd64 (2.17.0-1) ...

Setting up libssl-dev:amd64 (3.0.2-0ubuntu1.14) ...

Setting up python3-kiwisolver (1.3.2-1build1) ...

Setting up libhwloc15:amd64 (2.7.0-2ubuntu1) ...

Setting up python3-xlwt (1.3.0-3) ...

Setting up libevent-core-2.1-7:amd64 (2.1.12-stable-1build3) ...

Setting up libevent-2.1-7:amd64 (2.1.12-stable-1build3) ...

Setting up cython3 (0.29.28-1ubuntu3) ...

Setting up libtcl8.6:amd64 (8.6.12+dfsg-1build1) ...

Setting up binfmt-support (2.2.1-2) ...

update-binfmts: warning: python3.10 already enabled in kernel.

Created symlink /etc/systemd/system/multi-user.target.wants/binfmt-support.service → /lib/systemd/system/binfmt-support.service.

Setting up icu-devtools (70.1-2) ...

Setting up libgeos-c1v5:amd64 (3.10.2-1) ...

Setting up python3-html5lib (1.1-3) ...

Setting up libltdl7:amd64 (2.4.6-15build2) ...

Setting up python3-toml (0.10.2-1) ...

Setting up libgfortran5:amd64 (12.3.0-1ubuntu1~22.04) ...

Setting up python3-pluggy (0.13.0-7.1) ...

Setting up llvm-11-linker-tools (1:11.1.0-6) ...

Setting up liblzma-dev:amd64 (5.2.5-2ubuntu1) ...

Setting up libnuma1:amd64 (2.0.14-3ubuntu2) ...

Setting up ocl-icd-libopencl1:amd64 (2.2.14-3) ...

Setting up libxslt1.1:amd64 (1.1.34-4ubuntu0.22.04.1) ...

Setting up libblosc1:amd64 (1.21.1+ds2-2) ...

Setting up fonts-liberation (1:1.07.4-11) ...

Setting up libnl-3-200:amd64 (3.5.0-0.1) ...

Setting up python3-et-xmlfile (1.0.1-2.1) ...

Setting up libpsm2-2 (11.2.185-1) ...

Setting up openmpi-common (4.1.2-2ubuntu1) ...

Setting up libopenjp2-7:amd64 (2.4.0-6) ...

Setting up libharfbuzz0b:amd64 (2.7.4-1ubuntu3.1) ...

Setting up libthai-data (0.1.29-1build1) ...

Setting up python3-dateutil (2.8.1-6) ...

Setting up libcdt5:amd64 (2.42.2-6) ...

Setting up libcgraph6:amd64 (2.42.2-6) ...

Setting up libboost-dev:amd64 (1.74.0.3ubuntu7) ...

Setting up libxss1:amd64 (1:1.2.3-1build2) ...

Setting up libpsm-infinipath1 (3.3+20.604758e7-6.1) ...

update-alternatives: using /usr/lib/libpsm1/libpsm_infinipath.so.1.16 to provide /usr/lib/x86_64-linux-gnu/libpsm_infinipath.so.1 (libpsm_infinipath.so.1) in auto mode

Setting up libjpeg8-dev:amd64 (8c-2ubuntu10) ...

Setting up python3-mpmath (1.2.1-2) ...

Setting up python-matplotlib-data (3.5.1-2build1) ...

Setting up libwebpmux3:amd64 (1.2.2-2ubuntu0.22.04.2) ...

Setting up libdeflate-dev:amd64 (1.10-2) ...

Setting up python3-appdirs (1.4.4-2) ...

Setting up mailcap (3.70+nmu1ubuntu1) ...

Setting up libicu-dev:amd64 (70.1-2) ...

Setting up python3-soupsieve (2.3.1-1) ...

Setting up python-tables-data (3.7.0-2build1) ...

Setting up fonts-font-awesome (5.0.10+really4.7.0~dfsg-4.1) ...

Setting up sphinx-rtd-theme-common (1.0.0+dfsg-1) ...

Setting up libonig5:amd64 (6.9.7.1-2build1) ...

Setting up libsz2:amd64 (1.0.6-1) ...

Setting up libtiffxx5:amd64 (4.3.0-6ubuntu0.7) ...

Setting up python3-odf (1.4.2-1) ...

Setting up libevent-pthreads-2.1-7:amd64 (2.1.12-stable-1build3) ...

Setting up python3-sympy (1.9-1) ...

Setting up libtinfo-dev:amd64 (6.3-2ubuntu0.1) ...

Setting up libgts-bin (0.7.6+darcs121130-5) ...

Setting up libz3-dev:amd64 (4.8.12-1) ...

Setting up libice6:amd64 (2:1.0.10-1build2) ...

Setting up libevent-extra-2.1-7:amd64 (2.1.12-stable-1build3) ...

Setting up liblapack3:amd64 (3.10.0-2ubuntu1) ...

update-alternatives: using /usr/lib/x86_64-linux-gnu/lapack/liblapack.so.3 to provide /usr/lib/x86_64-linux-gnu/liblapack.so.3 (liblapack.so.3-x86_64-linux-gnu) in auto mode

Setting up libxft2:amd64 (2.3.4-1) ...

Setting up llvm-11-runtime (1:11.1.0-6) ...

Setting up libgsl-dev (2.7.1+dfsg-3) ...

Setting up libopenblas0-pthread:amd64 (0.3.20+ds-1) ...

update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/libblas.so.3 to provide /usr/lib/x86_64-linux-gnu/libblas.so.3 (libblas.so.3-x86_64-linux-gnu) in auto mode

update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/liblapack.so.3 to provide /usr/lib/x86_64-linux-gnu/liblapack.so.3 (liblapack.so.3-x86_64-linux-gnu) in auto mode

update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/libopenblas.so.0 to provide /usr/lib/x86_64-linux-gnu/libopenblas.so.0 (libopenblas.so.0-x86_64-linux-gnu) in auto mode

Setting up libgmp-dev:amd64 (2:6.2.1+dfsg-3ubuntu1) ...

Setting up mime-support (3.66) ...

Setting up libtool (2.4.6-15build2) ...

Setting up python3-babel (2.8.0+dfsg.1-7) ...

update-alternatives: using /usr/bin/pybabel-python3 to provide /usr/bin/pybabel (pybabel) in auto mode

Setting up libjq1:amd64 (1.6-2.1ubuntu3) ...

Setting up llvm-11-tools (1:11.1.0-6) ...

Setting up libgfortran-11-dev:amd64 (11.4.0-1ubuntu1~22.04) ...

Setting up python3-pytest (6.2.5-1ubuntu2) ...

Setting up libtk8.6:amd64 (8.6.12-1build1) ...

Setting up libaec-dev:amd64 (1.0.6-1) ...

Setting up libjpeg-dev:amd64 (8c-2ubuntu10) ...

Setting up python-odf-tools (1.4.2-1) ...

Setting up libevent-openssl-2.1-7:amd64 (2.1.12-stable-1build3) ...

Setting up proj-bin (8.2.1-1) ...

Setting up m4 (1.4.18-5ubuntu2) ...

Setting up llvm-11 (1:11.1.0-6) ...

Setting up libhwloc-plugins:amd64 (2.7.0-2ubuntu1) ...

Setting up python3-bs4 (4.10.0-2) ...

Setting up libnuma-dev:amd64 (2.0.14-3ubuntu2) ...

Setting up libnl-route-3-200:amd64 (3.5.0-0.1) ...

Setting up python3-fs (2.4.12-1) ...

Setting up libclang-cpp11 (1:11.1.0-6) ...

Setting up libthai0:amd64 (0.1.29-1build1) ...

Setting up python3-llvmlite (0.38.0-1) ...

Setting up python3-jinja2 (3.0.3-1ubuntu0.1) ...

Setting up libxml2-dev:amd64 (2.9.13+dfsg-1ubuntu0.3) ...

Setting up libtiff-dev:amd64 (4.3.0-6ubuntu0.7) ...

Setting up libgeos-dev (3.10.2-1) ...

Setting up libraqm0:amd64 (0.7.0-4ubuntu1) ...

Setting up libevent-dev (2.1.12-stable-1build3) ...

Setting up libproj-dev:amd64 (8.2.1-1) ...

Setting up python3-numpy (1:1.21.5-1ubuntu22.04.1) ...

Setting up gfortran-11 (11.4.0-1ubuntu1~22.04) ...

Setting up autoconf (2.71-2) ...

Setting up libgvpr2:amd64 (2.42.2-6) ...

Setting up libhdf5-103-1:amd64 (1.10.7+repack-4ubuntu2) ...

Setting up libnl-3-dev:amd64 (3.5.0-0.1) ...

Setting up libopenblas0:amd64 (0.3.20+ds-1) ...

Setting up python3-lxml:amd64 (4.8.0-1build1) ...

Setting up jq (1.6-2.1ubuntu3) ...

Setting up libhdf5-cpp-103-1:amd64 (1.10.7+repack-4ubuntu2) ...

Setting up numba-doc (0.55.1-0ubuntu2) ...

Setting up libsm6:amd64 (2:1.2.3-1build2) ...

Setting up liblbfgsb0:amd64 (3.0+dfsg.3-10) ...

Setting up libhdf5-hl-100:amd64 (1.10.7+repack-4ubuntu2) ...

Setting up automake (1:1.16.5-1.3) ...

update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode

Setting up libopenblas-pthread-dev:amd64 (0.3.20+ds-1) ...

update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/libblas.so to provide /usr/lib/x86_64-linux-gnu/libblas.so (libblas.so-x86_64-linux-gnu) in auto mode

update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/liblapack.so to provide /usr/lib/x86_64-linux-gnu/liblapack.so (liblapack.so-x86_64-linux-gnu) in auto mode

update-alternatives: using /usr/lib/x86_64-linux-gnu/openblas-pthread/libopenblas.so to provide /usr/lib/x86_64-linux-gnu/libopenblas.so (libopenblas.so-x86_64-linux-gnu) in auto mode

Setting up libibverbs1:amd64 (39.0-1) ...

Setting up tk8.6-blt2.5 (2.5.3+dfsg-4.1build2) ...

Setting up llvm-11-dev (1:11.1.0-6) ...

Setting up libpmix2:amd64 (4.1.2-2ubuntu1) ...

Setting up ibverbs-providers:amd64 (39.0-1) ...

Setting up python3-tables-lib (3.7.0-2build1) ...

Setting up blt (2.5.3+dfsg-4.1build2) ...

Setting up python3-pandas-lib:amd64 (1.3.5+dfsg-3) ...

Setting up libpango-1.0-0:amd64 (1.50.6+ds-2ubuntu1) ...

Setting up python3-h5py-serial (3.6.0-2build1) ...

Setting up python3-tk:amd64 (3.10.8-1~22.04) ...

Setting up gfortran (4:11.2.0-1ubuntu1) ...

update-alternatives: using /usr/bin/gfortran to provide /usr/bin/f95 (f95) in auto mode

update-alternatives: using /usr/bin/gfortran to provide /usr/bin/f77 (f77) in auto mode

Setting up libnl-route-3-dev:amd64 (3.5.0-0.1) ...

Setting up libltdl-dev:amd64 (2.4.6-15build2) ...

Setting up python3-pil:amd64 (9.0.1-1ubuntu0.2) ...

Setting up libopenblas-dev:amd64 (0.3.20+ds-1) ...

Setting up libhdf5-hl-cpp-100:amd64 (1.10.7+repack-4ubuntu2) ...

Setting up python3-pandas (1.3.5+dfsg-3) ...

Setting up python3-pil.imagetk:amd64 (9.0.1-1ubuntu0.2) ...

Setting up python3-openpyxl (3.0.9-1) ...

Setting up python3-h5py (3.6.0-2build1) ...

Setting up python3-bottleneck (1.3.2+ds1-2build1) ...

Setting up libhdf5-fortran-102:amd64 (1.10.7+repack-4ubuntu2) ...

Setting up python3-numexpr (2.8.1-1build1) ...

Setting up libxt6:amd64 (1:1.2.1-1) ...

Setting up python3-pythran (0.10.0+ds2-1) ...

Setting up libhdf5-hl-fortran-100:amd64 (1.10.7+repack-4ubuntu2) ...

Setting up libhwloc-dev:amd64 (2.7.0-2ubuntu1) ...

Setting up libpangoft2-1.0-0:amd64 (1.50.6+ds-2ubuntu1) ...

Setting up libpmix-dev:amd64 (4.1.2-2ubuntu1) ...

Setting up libpangocairo-1.0-0:amd64 (1.50.6+ds-2ubuntu1) ...

Setting up librdmacm1:amd64 (39.0-1) ...

Setting up libucx0:amd64 (1.12.1~rc2-1) ...

Setting up libxmu6:amd64 (2:1.1.3-3) ...

Setting up python3-scipy (1.8.0-1exp2ubuntu1) ...

Setting up libcoarrays-dev:amd64 (2.9.2-3) ...

Setting up libxaw7:amd64 (2:1.0.14-1) ...

Setting up python3-tables (3.7.0-2build1) ...

Setting up libibverbs-dev:amd64 (39.0-1) ...

Setting up python3-numba (0.55.1-0ubuntu2) ...

update-alternatives: using /usr/share/python3-numba/numba to provide /usr/bin/numba (numba) in auto mode

Setting up libhdf5-dev (1.10.7+repack-4ubuntu2) ...

update-alternatives: using /usr/lib/x86_64-linux-gnu/pkgconfig/hdf5-serial.pc to provide /usr/lib/x86_64-linux-gnu/pkgconfig/hdf5.pc (hdf5.pc) in auto mode

Setting up libgvc6 (2.42.2-6) ...

Setting up graphviz (2.42.2-6) ...

Setting up libfabric1:amd64 (1.11.0-3) ...

Setting up python3-pydot (1.4.2-1build1) ...

Setting up libopenmpi3:amd64 (4.1.2-2ubuntu1) ...

Setting up libcaf-openmpi-3:amd64 (2.9.2-3) ...

Setting up openmpi-bin (4.1.2-2ubuntu1) ...

update-alternatives: using /usr/bin/mpirun.openmpi to provide /usr/bin/mpirun (mpirun) in auto mode

update-alternatives: using /usr/bin/mpicc.openmpi to provide /usr/bin/mpicc (mpi) in auto mode

Setting up mpi-default-bin (1.14) ...

Setting up python3-mpi4py (3.1.3-1build2) ...

Setting up libcoarrays-openmpi-dev:amd64 (2.9.2-3) ...

update-alternatives: using /usr/lib/x86_64-linux-gnu/open-coarrays/openmpi/bin/caf to provide /usr/bin/caf.openmpi (caf-openmpi) in auto mode

update-alternatives: using /usr/bin/caf.openmpi to provide /usr/bin/caf (caf) in auto mode

Setting up libopenmpi-dev:amd64 (4.1.2-2ubuntu1) ...

update-alternatives: using /usr/lib/x86_64-linux-gnu/openmpi/include to provide /usr/include/x86_64-linux-gnu/mpi (mpi-x86_64-linux-gnu) in auto mode

Setting up python3-fonttools (4.29.1-2build1) ...

Setting up python3-ufolib2 (0.13.1+dfsg1-1) ...

Setting up python3-matplotlib (3.5.1-2build1) ...

Setting up nest (3.6-2ubuntu1ppa1-1512~202311160928~ubuntu22.04.1) ...

Processing triggers for libc-bin (2.35-0ubuntu3.5) ...

+ sudo apt install -y python3-pip python3-tk libigraph-dev python3-graph-tool python3-cairo python3-cairocffi

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Reading package lists...
Building dependency tree...
Reading state information...
python3-tk is already the newest version (3.10.8-1~22.04).
python3-tk set to manually installed.
python3-pip is already the newest version (22.0.2+dfsg-1ubuntu0.4).
The following additional packages will be installed:
  adwaita-icon-theme at-spi2-core dbus-user-session dconf-gsettings-backend
  dconf-service gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0
  gir1.2-gtk-3.0 gir1.2-harfbuzz-0.0 gir1.2-pango-1.0
  gsettings-desktop-schemas gtk-update-icon-cache hicolor-icon-theme
  humanity-icon-theme libamd2 libarpack2 libatk-bridge2.0-0 libatk1.0-0
  libatk1.0-data libatspi2.0-0 libavahi-client3 libavahi-common-data
  libavahi-common3 libboost-context1.74.0 libboost-iostreams1.74.0
  libboost-python1.74.0 libboost-regex1.74.0 libcairo-gobject2
  libcairomm-1.0-1v5 libcolamd2 libcolord2 libcups2 libcxsparse3 libdconf1
  libepoxy0 libgdk-pixbuf-2.0-0 libgdk-pixbuf2.0-bin libgdk-pixbuf2.0-common
  libglpk40 libgtk-3-0 libgtk-3-bin libgtk-3-common libigraph2
  libpangoxft-1.0-0 libplfit0 librsvg2-2 librsvg2-common libsigc++-2.0-0v5
  libsuitesparseconfig5 libwayland-client0 libwayland-cursor0 libwayland-egl1
  libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxi6 libxinerama1
  libxkbcommon0 libxrandr2 libxtst6 python3-cffi python3-pycparser
  python3-xcffib session-migration ubuntu-mono
Suggested packages:
  colord cups-common libiodbc2-dev default-libmysqlclient-dev gvfs
  libigraph-doc pkg-config plfit plfit-doc librsvg2-bin python-cairocffi-doc
Recommended packages:
  libgv-python python-matplotlib python-cairo python-gi-cairo python-gi
The following NEW packages will be installed:
  adwaita-icon-theme at-spi2-core dbus-user-session dconf-gsettings-backend
  dconf-service gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0
  gir1.2-gtk-3.0 gir1.2-harfbuzz-0.0 gir1.2-pango-1.0
  gsettings-desktop-schemas gtk-update-icon-cache hicolor-icon-theme
  humanity-icon-theme libamd2 libarpack2 libatk-bridge2.0-0 libatk1.0-0
  libatk1.0-data libatspi2.0-0 libavahi-client3 libavahi-common-data
  libavahi-common3 libboost-context1.74.0 libboost-iostreams1.74.0
  libboost-python1.74.0 libboost-regex1.74.0 libcairo-gobject2
  libcairomm-1.0-1v5 libcolamd2 libcolord2 libcups2 libcxsparse3 libdconf1
  libepoxy0 libgdk-pixbuf-2.0-0 libgdk-pixbuf2.0-bin libgdk-pixbuf2.0-common
  libglpk40 libgtk-3-0 libgtk-3-bin libgtk-3-common libigraph-dev libigraph2
  libpangoxft-1.0-0 libplfit0 librsvg2-2 librsvg2-common libsigc++-2.0-0v5
  libsuitesparseconfig5 libwayland-client0 libwayland-cursor0 libwayland-egl1
  libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxi6 libxinerama1
  libxkbcommon0 libxrandr2 libxtst6 python3-cairo python3-cairocffi
  python3-cffi python3-graph-tool python3-pycparser python3-xcffib
  session-migration ubuntu-mono
0 upgraded, 71 newly installed, 0 to remove and 34 not upgraded.
Need to get 67.7 MB of archives.
After this operation, 451 MB of additional disk space will be used.
Get:1 https://downloads.skewed.de/apt jammy/main amd64 python3-graph-tool amd64 2.59 [51.2 MB]
Get:2 http://archive.ubuntu.com/ubuntu jammy/main amd64 hicolor-icon-theme all 0.17-2 [9976 B]
Get:3 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libgdk-pixbuf2.0-common all 2.42.8+dfsg-1ubuntu0.2 [5530 B]
Get:4 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libgdk-pixbuf-2.0-0 amd64 2.42.8+dfsg-1ubuntu0.2 [148 kB]
Get:5 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gtk-update-icon-cache amd64 3.24.33-1ubuntu2 [31.4 kB]
Get:6 http://archive.ubuntu.com/ubuntu jammy/main amd64 humanity-icon-theme all 0.6.16 [1282 kB]
Get:7 http://archive.ubuntu.com/ubuntu jammy/main amd64 ubuntu-mono all 20.10-0ubuntu2 [153 kB]
Get:8 http://archive.ubuntu.com/ubuntu jammy/main amd64 adwaita-icon-theme all 41.0-1ubuntu1 [3444 kB]
Get:9 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxi6 amd64 2:1.8-1build1 [32.6 kB]
Get:10 http://archive.ubuntu.com/ubuntu jammy/main amd64 libatspi2.0-0 amd64 2.44.0-3 [80.9 kB]
Get:11 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxtst6 amd64 2:1.2.3-1build4 [13.4 kB]
Get:12 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 dbus-user-session amd64 1.12.20-2ubuntu4.1 [9442 B]
Get:13 http://archive.ubuntu.com/ubuntu jammy/main amd64 libdconf1 amd64 0.40.0-3 [40.5 kB]
Get:14 http://archive.ubuntu.com/ubuntu jammy/main amd64 dconf-service amd64 0.40.0-3 [28.5 kB]
Get:15 http://archive.ubuntu.com/ubuntu jammy/main amd64 dconf-gsettings-backend amd64 0.40.0-3 [22.8 kB]
Get:16 http://archive.ubuntu.com/ubuntu jammy/main amd64 session-migration amd64 0.3.6 [9774 B]
Get:17 http://archive.ubuntu.com/ubuntu jammy/main amd64 gsettings-desktop-schemas all 42.0-1ubuntu1 [31.1 kB]
Get:18 http://archive.ubuntu.com/ubuntu jammy/main amd64 at-spi2-core amd64 2.44.0-3 [54.4 kB]
Get:19 http://archive.ubuntu.com/ubuntu jammy/main amd64 libatk1.0-data all 2.36.0-3build1 [2824 B]
Get:20 http://archive.ubuntu.com/ubuntu jammy/main amd64 libatk1.0-0 amd64 2.36.0-3build1 [51.9 kB]
Get:21 http://archive.ubuntu.com/ubuntu jammy/main amd64 gir1.2-atk-1.0 amd64 2.36.0-3build1 [21.0 kB]
Get:22 http://archive.ubuntu.com/ubuntu jammy/main amd64 gir1.2-freedesktop amd64 1.72.0-1 [22.3 kB]
Get:23 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gir1.2-gdkpixbuf-2.0 amd64 2.42.8+dfsg-1ubuntu0.2 [9482 B]
Get:24 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 gir1.2-harfbuzz-0.0 amd64 2.7.4-1ubuntu3.1 [31.6 kB]
Get:25 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpangoxft-1.0-0 amd64 1.50.6+ds-2ubuntu1 [31.0 kB]
Get:26 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gir1.2-pango-1.0 amd64 1.50.6+ds-2ubuntu1 [44.0 kB]
Get:27 http://archive.ubuntu.com/ubuntu jammy/main amd64 libatk-bridge2.0-0 amd64 2.38.0-3 [66.6 kB]
Get:28 http://archive.ubuntu.com/ubuntu jammy/main amd64 libcairo-gobject2 amd64 1.16.0-5ubuntu2 [19.4 kB]
Get:29 http://archive.ubuntu.com/ubuntu jammy/main amd64 libcolord2 amd64 1.4.6-1 [155 kB]
Get:30 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libavahi-common-data amd64 0.8-5ubuntu5.2 [23.8 kB]
Get:31 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libavahi-common3 amd64 0.8-5ubuntu5.2 [23.9 kB]
Get:32 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libavahi-client3 amd64 0.8-5ubuntu5.2 [28.0 kB]
Get:33 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libcups2 amd64 2.4.1op1-1ubuntu4.7 [264 kB]
Get:34 http://archive.ubuntu.com/ubuntu jammy/main amd64 libepoxy0 amd64 1.5.10-1 [237 kB]
Get:35 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libwayland-client0 amd64 1.20.0-1ubuntu0.1 [25.9 kB]
Get:36 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libwayland-cursor0 amd64 1.20.0-1ubuntu0.1 [10.7 kB]
Get:37 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 libwayland-egl1 amd64 1.20.0-1ubuntu0.1 [5582 B]
Get:38 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxcomposite1 amd64 1:0.4.5-1build2 [7192 B]
Get:39 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxfixes3 amd64 1:6.0.0-1 [11.7 kB]
Get:40 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxcursor1 amd64 1:1.2.0-2build4 [20.9 kB]
Get:41 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxdamage1 amd64 1:1.1.5-2build2 [7154 B]
Get:42 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxinerama1 amd64 2:1.1.4-3 [7382 B]
Get:43 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxkbcommon0 amd64 1.4.0-1 [125 kB]
Get:44 http://archive.ubuntu.com/ubuntu jammy/main amd64 libxrandr2 amd64 2:1.5.2-1build1 [20.4 kB]
Get:45 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libgtk-3-common all 3.24.33-1ubuntu2 [239 kB]
Get:46 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libgtk-3-0 amd64 3.24.33-1ubuntu2 [3053 kB]
Get:47 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gir1.2-gtk-3.0 amd64 3.24.33-1ubuntu2 [240 kB]
Get:48 http://archive.ubuntu.com/ubuntu jammy/main amd64 libsuitesparseconfig5 amd64 1:5.10.1+dfsg-4build1 [10.4 kB]
Get:49 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libamd2 amd64 1:5.10.1+dfsg-4build1 [21.6 kB]
Get:50 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libarpack2 amd64 3.8.0-1 [92.4 kB]
Get:51 http://archive.ubuntu.com/ubuntu jammy/main amd64 libboost-context1.74.0 amd64 1.74.0-14ubuntu3 [223 kB]
Get:52 http://archive.ubuntu.com/ubuntu jammy/main amd64 libboost-iostreams1.74.0 amd64 1.74.0-14ubuntu3 [245 kB]
Get:53 http://archive.ubuntu.com/ubuntu jammy/main amd64 libboost-python1.74.0 amd64 1.74.0-14ubuntu3 [299 kB]
Get:54 http://archive.ubuntu.com/ubuntu jammy/main amd64 libboost-regex1.74.0 amd64 1.74.0-14ubuntu3 [511 kB]
Get:55 http://archive.ubuntu.com/ubuntu jammy/main amd64 libsigc++-2.0-0v5 amd64 2.10.4-2ubuntu3 [12.1 kB]
Get:56 http://archive.ubuntu.com/ubuntu jammy/main amd64 libcairomm-1.0-1v5 amd64 1.12.2-4build3 [45.1 kB]
Get:57 http://archive.ubuntu.com/ubuntu jammy/main amd64 libcolamd2 amd64 1:5.10.1+dfsg-4build1 [18.0 kB]
Get:58 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libcxsparse3 amd64 1:5.10.1+dfsg-4build1 [70.8 kB]
Get:59 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libgdk-pixbuf2.0-bin amd64 2.42.8+dfsg-1ubuntu0.2 [14.2 kB]
Get:60 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libglpk40 amd64 5.0-1 [361 kB]
Get:61 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libgtk-3-bin amd64 3.24.33-1ubuntu2 [69.5 kB]
Get:62 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libplfit0 amd64 0.9.3+ds-1ubuntu1 [28.7 kB]
Get:63 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libigraph2 amd64 0.9.6+ds-2ubuntu1 [823 kB]
Get:64 http://archive.ubuntu.com/ubuntu jammy/universe amd64 libigraph-dev amd64 0.9.6+ds-2ubuntu1 [69.4 kB]
Get:65 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 librsvg2-2 amd64 2.52.5+dfsg-3ubuntu0.2 [2974 kB]
Get:66 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 librsvg2-common amd64 2.52.5+dfsg-3ubuntu0.2 [17.7 kB]
Get:67 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-cairo amd64 1.20.1-3build1 [73.7 kB]
Get:68 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-pycparser all 2.21-1 [76.9 kB]
Get:69 http://archive.ubuntu.com/ubuntu jammy/main amd64 python3-cffi all 1.15.0-1build2 [72.6 kB]
Get:70 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-xcffib all 0.11.1-2 [63.3 kB]
Get:71 http://archive.ubuntu.com/ubuntu jammy/universe amd64 python3-cairocffi all 1.2.0-2 [70.3 kB]
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin: 
Fetched 67.7 MB in 2s (44.2 MB/s)
Selecting previously unselected package hicolor-icon-theme.

(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 80086 files and directories currently installed.)

Preparing to unpack .../00-hicolor-icon-theme_0.17-2_all.deb ...

Unpacking hicolor-icon-theme (0.17-2) ...

Selecting previously unselected package libgdk-pixbuf2.0-common.

Preparing to unpack .../01-libgdk-pixbuf2.0-common_2.42.8+dfsg-1ubuntu0.2_all.deb ...

Unpacking libgdk-pixbuf2.0-common (2.42.8+dfsg-1ubuntu0.2) ...

Selecting previously unselected package libgdk-pixbuf-2.0-0:amd64.

Preparing to unpack .../02-libgdk-pixbuf-2.0-0_2.42.8+dfsg-1ubuntu0.2_amd64.deb ...

Unpacking libgdk-pixbuf-2.0-0:amd64 (2.42.8+dfsg-1ubuntu0.2) ...

Selecting previously unselected package gtk-update-icon-cache.

Preparing to unpack .../03-gtk-update-icon-cache_3.24.33-1ubuntu2_amd64.deb ...

Unpacking gtk-update-icon-cache (3.24.33-1ubuntu2) ...

Selecting previously unselected package humanity-icon-theme.

Preparing to unpack .../04-humanity-icon-theme_0.6.16_all.deb ...

Unpacking humanity-icon-theme (0.6.16) ...

Selecting previously unselected package ubuntu-mono.

Preparing to unpack .../05-ubuntu-mono_20.10-0ubuntu2_all.deb ...

Unpacking ubuntu-mono (20.10-0ubuntu2) ...

Selecting previously unselected package adwaita-icon-theme.

Preparing to unpack .../06-adwaita-icon-theme_41.0-1ubuntu1_all.deb ...

Unpacking adwaita-icon-theme (41.0-1ubuntu1) ...

Selecting previously unselected package libxi6:amd64.

Preparing to unpack .../07-libxi6_2%3a1.8-1build1_amd64.deb ...

Unpacking libxi6:amd64 (2:1.8-1build1) ...

Selecting previously unselected package libatspi2.0-0:amd64.

Preparing to unpack .../08-libatspi2.0-0_2.44.0-3_amd64.deb ...

Unpacking libatspi2.0-0:amd64 (2.44.0-3) ...

Selecting previously unselected package libxtst6:amd64.

Preparing to unpack .../09-libxtst6_2%3a1.2.3-1build4_amd64.deb ...

Unpacking libxtst6:amd64 (2:1.2.3-1build4) ...

Selecting previously unselected package dbus-user-session.

Preparing to unpack .../10-dbus-user-session_1.12.20-2ubuntu4.1_amd64.deb ...

Unpacking dbus-user-session (1.12.20-2ubuntu4.1) ...

Selecting previously unselected package libdconf1:amd64.

Preparing to unpack .../11-libdconf1_0.40.0-3_amd64.deb ...

Unpacking libdconf1:amd64 (0.40.0-3) ...

Selecting previously unselected package dconf-service.

Preparing to unpack .../12-dconf-service_0.40.0-3_amd64.deb ...

Unpacking dconf-service (0.40.0-3) ...

Selecting previously unselected package dconf-gsettings-backend:amd64.

Preparing to unpack .../13-dconf-gsettings-backend_0.40.0-3_amd64.deb ...

Unpacking dconf-gsettings-backend:amd64 (0.40.0-3) ...

Selecting previously unselected package session-migration.

Preparing to unpack .../14-session-migration_0.3.6_amd64.deb ...

Unpacking session-migration (0.3.6) ...

Selecting previously unselected package gsettings-desktop-schemas.

Preparing to unpack .../15-gsettings-desktop-schemas_42.0-1ubuntu1_all.deb ...

Unpacking gsettings-desktop-schemas (42.0-1ubuntu1) ...

Selecting previously unselected package at-spi2-core.

Preparing to unpack .../16-at-spi2-core_2.44.0-3_amd64.deb ...

Unpacking at-spi2-core (2.44.0-3) ...

Selecting previously unselected package libatk1.0-data.

Preparing to unpack .../17-libatk1.0-data_2.36.0-3build1_all.deb ...

Unpacking libatk1.0-data (2.36.0-3build1) ...

Selecting previously unselected package libatk1.0-0:amd64.

Preparing to unpack .../18-libatk1.0-0_2.36.0-3build1_amd64.deb ...

Unpacking libatk1.0-0:amd64 (2.36.0-3build1) ...

Selecting previously unselected package gir1.2-atk-1.0:amd64.

Preparing to unpack .../19-gir1.2-atk-1.0_2.36.0-3build1_amd64.deb ...

Unpacking gir1.2-atk-1.0:amd64 (2.36.0-3build1) ...

Selecting previously unselected package gir1.2-freedesktop:amd64.

Preparing to unpack .../20-gir1.2-freedesktop_1.72.0-1_amd64.deb ...

Unpacking gir1.2-freedesktop:amd64 (1.72.0-1) ...

Selecting previously unselected package gir1.2-gdkpixbuf-2.0:amd64.

Preparing to unpack .../21-gir1.2-gdkpixbuf-2.0_2.42.8+dfsg-1ubuntu0.2_amd64.deb ...

Unpacking gir1.2-gdkpixbuf-2.0:amd64 (2.42.8+dfsg-1ubuntu0.2) ...

Selecting previously unselected package gir1.2-harfbuzz-0.0:amd64.

Preparing to unpack .../22-gir1.2-harfbuzz-0.0_2.7.4-1ubuntu3.1_amd64.deb ...

Unpacking gir1.2-harfbuzz-0.0:amd64 (2.7.4-1ubuntu3.1) ...

Selecting previously unselected package libpangoxft-1.0-0:amd64.

Preparing to unpack .../23-libpangoxft-1.0-0_1.50.6+ds-2ubuntu1_amd64.deb ...

Unpacking libpangoxft-1.0-0:amd64 (1.50.6+ds-2ubuntu1) ...

Selecting previously unselected package gir1.2-pango-1.0:amd64.

Preparing to unpack .../24-gir1.2-pango-1.0_1.50.6+ds-2ubuntu1_amd64.deb ...

Unpacking gir1.2-pango-1.0:amd64 (1.50.6+ds-2ubuntu1) ...

Selecting previously unselected package libatk-bridge2.0-0:amd64.

Preparing to unpack .../25-libatk-bridge2.0-0_2.38.0-3_amd64.deb ...

Unpacking libatk-bridge2.0-0:amd64 (2.38.0-3) ...

Selecting previously unselected package libcairo-gobject2:amd64.

Preparing to unpack .../26-libcairo-gobject2_1.16.0-5ubuntu2_amd64.deb ...

Unpacking libcairo-gobject2:amd64 (1.16.0-5ubuntu2) ...

Selecting previously unselected package libcolord2:amd64.

Preparing to unpack .../27-libcolord2_1.4.6-1_amd64.deb ...

Unpacking libcolord2:amd64 (1.4.6-1) ...

Selecting previously unselected package libavahi-common-data:amd64.

Preparing to unpack .../28-libavahi-common-data_0.8-5ubuntu5.2_amd64.deb ...

Unpacking libavahi-common-data:amd64 (0.8-5ubuntu5.2) ...

Selecting previously unselected package libavahi-common3:amd64.

Preparing to unpack .../29-libavahi-common3_0.8-5ubuntu5.2_amd64.deb ...

Unpacking libavahi-common3:amd64 (0.8-5ubuntu5.2) ...

Selecting previously unselected package libavahi-client3:amd64.

Preparing to unpack .../30-libavahi-client3_0.8-5ubuntu5.2_amd64.deb ...

Unpacking libavahi-client3:amd64 (0.8-5ubuntu5.2) ...

Selecting previously unselected package libcups2:amd64.

Preparing to unpack .../31-libcups2_2.4.1op1-1ubuntu4.7_amd64.deb ...

Unpacking libcups2:amd64 (2.4.1op1-1ubuntu4.7) ...

Selecting previously unselected package libepoxy0:amd64.

Preparing to unpack .../32-libepoxy0_1.5.10-1_amd64.deb ...

Unpacking libepoxy0:amd64 (1.5.10-1) ...

Selecting previously unselected package libwayland-client0:amd64.

Preparing to unpack .../33-libwayland-client0_1.20.0-1ubuntu0.1_amd64.deb ...

Unpacking libwayland-client0:amd64 (1.20.0-1ubuntu0.1) ...

Selecting previously unselected package libwayland-cursor0:amd64.

Preparing to unpack .../34-libwayland-cursor0_1.20.0-1ubuntu0.1_amd64.deb ...

Unpacking libwayland-cursor0:amd64 (1.20.0-1ubuntu0.1) ...

Selecting previously unselected package libwayland-egl1:amd64.

Preparing to unpack .../35-libwayland-egl1_1.20.0-1ubuntu0.1_amd64.deb ...

Unpacking libwayland-egl1:amd64 (1.20.0-1ubuntu0.1) ...

Selecting previously unselected package libxcomposite1:amd64.

Preparing to unpack .../36-libxcomposite1_1%3a0.4.5-1build2_amd64.deb ...

Unpacking libxcomposite1:amd64 (1:0.4.5-1build2) ...

Selecting previously unselected package libxfixes3:amd64.

Preparing to unpack .../37-libxfixes3_1%3a6.0.0-1_amd64.deb ...

Unpacking libxfixes3:amd64 (1:6.0.0-1) ...

Selecting previously unselected package libxcursor1:amd64.

Preparing to unpack .../38-libxcursor1_1%3a1.2.0-2build4_amd64.deb ...

Unpacking libxcursor1:amd64 (1:1.2.0-2build4) ...

Selecting previously unselected package libxdamage1:amd64.

Preparing to unpack .../39-libxdamage1_1%3a1.1.5-2build2_amd64.deb ...

Unpacking libxdamage1:amd64 (1:1.1.5-2build2) ...

Selecting previously unselected package libxinerama1:amd64.

Preparing to unpack .../40-libxinerama1_2%3a1.1.4-3_amd64.deb ...

Unpacking libxinerama1:amd64 (2:1.1.4-3) ...

Selecting previously unselected package libxkbcommon0:amd64.

Preparing to unpack .../41-libxkbcommon0_1.4.0-1_amd64.deb ...

Unpacking libxkbcommon0:amd64 (1.4.0-1) ...

Selecting previously unselected package libxrandr2:amd64.

Preparing to unpack .../42-libxrandr2_2%3a1.5.2-1build1_amd64.deb ...

Unpacking libxrandr2:amd64 (2:1.5.2-1build1) ...

Selecting previously unselected package libgtk-3-common.

Preparing to unpack .../43-libgtk-3-common_3.24.33-1ubuntu2_all.deb ...

Unpacking libgtk-3-common (3.24.33-1ubuntu2) ...

Selecting previously unselected package libgtk-3-0:amd64.

Preparing to unpack .../44-libgtk-3-0_3.24.33-1ubuntu2_amd64.deb ...

Unpacking libgtk-3-0:amd64 (3.24.33-1ubuntu2) ...

Selecting previously unselected package gir1.2-gtk-3.0:amd64.

Preparing to unpack .../45-gir1.2-gtk-3.0_3.24.33-1ubuntu2_amd64.deb ...

Unpacking gir1.2-gtk-3.0:amd64 (3.24.33-1ubuntu2) ...

Selecting previously unselected package libsuitesparseconfig5:amd64.

Preparing to unpack .../46-libsuitesparseconfig5_1%3a5.10.1+dfsg-4build1_amd64.deb ...

Unpacking libsuitesparseconfig5:amd64 (1:5.10.1+dfsg-4build1) ...

Selecting previously unselected package libamd2:amd64.

Preparing to unpack .../47-libamd2_1%3a5.10.1+dfsg-4build1_amd64.deb ...

Unpacking libamd2:amd64 (1:5.10.1+dfsg-4build1) ...

Selecting previously unselected package libarpack2:amd64.

Preparing to unpack .../48-libarpack2_3.8.0-1_amd64.deb ...

Unpacking libarpack2:amd64 (3.8.0-1) ...

Selecting previously unselected package libboost-context1.74.0:amd64.

Preparing to unpack .../49-libboost-context1.74.0_1.74.0-14ubuntu3_amd64.deb ...

Unpacking libboost-context1.74.0:amd64 (1.74.0-14ubuntu3) ...

Selecting previously unselected package libboost-iostreams1.74.0:amd64.

Preparing to unpack .../50-libboost-iostreams1.74.0_1.74.0-14ubuntu3_amd64.deb ...

Unpacking libboost-iostreams1.74.0:amd64 (1.74.0-14ubuntu3) ...

Selecting previously unselected package libboost-python1.74.0.

Preparing to unpack .../51-libboost-python1.74.0_1.74.0-14ubuntu3_amd64.deb ...

Unpacking libboost-python1.74.0 (1.74.0-14ubuntu3) ...

Selecting previously unselected package libboost-regex1.74.0:amd64.

Preparing to unpack .../52-libboost-regex1.74.0_1.74.0-14ubuntu3_amd64.deb ...

Unpacking libboost-regex1.74.0:amd64 (1.74.0-14ubuntu3) ...

Selecting previously unselected package libsigc++-2.0-0v5:amd64.

Preparing to unpack .../53-libsigc++-2.0-0v5_2.10.4-2ubuntu3_amd64.deb ...

Unpacking libsigc++-2.0-0v5:amd64 (2.10.4-2ubuntu3) ...

Selecting previously unselected package libcairomm-1.0-1v5:amd64.

Preparing to unpack .../54-libcairomm-1.0-1v5_1.12.2-4build3_amd64.deb ...

Unpacking libcairomm-1.0-1v5:amd64 (1.12.2-4build3) ...

Selecting previously unselected package libcolamd2:amd64.

Preparing to unpack .../55-libcolamd2_1%3a5.10.1+dfsg-4build1_amd64.deb ...

Unpacking libcolamd2:amd64 (1:5.10.1+dfsg-4build1) ...

Selecting previously unselected package libcxsparse3:amd64.

Preparing to unpack .../56-libcxsparse3_1%3a5.10.1+dfsg-4build1_amd64.deb ...

Unpacking libcxsparse3:amd64 (1:5.10.1+dfsg-4build1) ...

Selecting previously unselected package libgdk-pixbuf2.0-bin.

Preparing to unpack .../57-libgdk-pixbuf2.0-bin_2.42.8+dfsg-1ubuntu0.2_amd64.deb ...

Unpacking libgdk-pixbuf2.0-bin (2.42.8+dfsg-1ubuntu0.2) ...

Selecting previously unselected package libglpk40:amd64.

Preparing to unpack .../58-libglpk40_5.0-1_amd64.deb ...

Unpacking libglpk40:amd64 (5.0-1) ...

Selecting previously unselected package libgtk-3-bin.

Preparing to unpack .../59-libgtk-3-bin_3.24.33-1ubuntu2_amd64.deb ...

Unpacking libgtk-3-bin (3.24.33-1ubuntu2) ...

Selecting previously unselected package libplfit0:amd64.

Preparing to unpack .../60-libplfit0_0.9.3+ds-1ubuntu1_amd64.deb ...

Unpacking libplfit0:amd64 (0.9.3+ds-1ubuntu1) ...

Selecting previously unselected package libigraph2:amd64.

Preparing to unpack .../61-libigraph2_0.9.6+ds-2ubuntu1_amd64.deb ...

Unpacking libigraph2:amd64 (0.9.6+ds-2ubuntu1) ...

Selecting previously unselected package libigraph-dev:amd64.

Preparing to unpack .../62-libigraph-dev_0.9.6+ds-2ubuntu1_amd64.deb ...

Unpacking libigraph-dev:amd64 (0.9.6+ds-2ubuntu1) ...

Selecting previously unselected package librsvg2-2:amd64.

Preparing to unpack .../63-librsvg2-2_2.52.5+dfsg-3ubuntu0.2_amd64.deb ...

Unpacking librsvg2-2:amd64 (2.52.5+dfsg-3ubuntu0.2) ...

Selecting previously unselected package librsvg2-common:amd64.

Preparing to unpack .../64-librsvg2-common_2.52.5+dfsg-3ubuntu0.2_amd64.deb ...

Unpacking librsvg2-common:amd64 (2.52.5+dfsg-3ubuntu0.2) ...

Selecting previously unselected package python3-cairo:amd64.

Preparing to unpack .../65-python3-cairo_1.20.1-3build1_amd64.deb ...

Unpacking python3-cairo:amd64 (1.20.1-3build1) ...

Selecting previously unselected package python3-pycparser.

Preparing to unpack .../66-python3-pycparser_2.21-1_all.deb ...

Unpacking python3-pycparser (2.21-1) ...

Selecting previously unselected package python3-cffi.

Preparing to unpack .../67-python3-cffi_1.15.0-1build2_all.deb ...

Unpacking python3-cffi (1.15.0-1build2) ...

Selecting previously unselected package python3-xcffib.

Preparing to unpack .../68-python3-xcffib_0.11.1-2_all.deb ...

Unpacking python3-xcffib (0.11.1-2) ...

Selecting previously unselected package python3-cairocffi.

Preparing to unpack .../69-python3-cairocffi_1.2.0-2_all.deb ...

Unpacking python3-cairocffi (1.2.0-2) ...

Selecting previously unselected package python3-graph-tool.

Preparing to unpack .../70-python3-graph-tool_2.59_amd64.deb ...

Unpacking python3-graph-tool (2.59) ...

Setting up session-migration (0.3.6) ...

Created symlink /etc/systemd/user/graphical-session-pre.target.wants/session-migration.service → /usr/lib/systemd/user/session-migration.service.

Setting up gir1.2-freedesktop:amd64 (1.72.0-1) ...

Setting up libxdamage1:amd64 (1:1.1.5-2build2) ...

Setting up python3-cairo:amd64 (1.20.1-3build1) ...

Setting up libpangoxft-1.0-0:amd64 (1.50.6+ds-2ubuntu1) ...

Setting up hicolor-icon-theme (0.17-2) ...

Setting up libxi6:amd64 (2:1.8-1build1) ...

Setting up libboost-iostreams1.74.0:amd64 (1.74.0-14ubuntu3) ...

Setting up libxtst6:amd64 (2:1.2.3-1build4) ...

Setting up libgdk-pixbuf2.0-common (2.42.8+dfsg-1ubuntu0.2) ...

Setting up libarpack2:amd64 (3.8.0-1) ...

Setting up libatspi2.0-0:amd64 (2.44.0-3) ...

Setting up gir1.2-harfbuzz-0.0:amd64 (2.7.4-1ubuntu3.1) ...

Setting up libcolord2:amd64 (1.4.6-1) ...

Setting up python3-pycparser (2.21-1) ...

Setting up libdconf1:amd64 (0.40.0-3) ...

Setting up dbus-user-session (1.12.20-2ubuntu4.1) ...

Setting up gir1.2-pango-1.0:amd64 (1.50.6+ds-2ubuntu1) ...

Setting up libepoxy0:amd64 (1.5.10-1) ...

Setting up libxfixes3:amd64 (1:6.0.0-1) ...

Setting up libsigc++-2.0-0v5:amd64 (2.10.4-2ubuntu3) ...

Setting up libavahi-common-data:amd64 (0.8-5ubuntu5.2) ...

Setting up libboost-regex1.74.0:amd64 (1.74.0-14ubuntu3) ...

Setting up libxinerama1:amd64 (2:1.1.4-3) ...

Setting up libboost-context1.74.0:amd64 (1.74.0-14ubuntu3) ...

Setting up libxrandr2:amd64 (2:1.5.2-1build1) ...

Setting up libatk1.0-data (2.36.0-3build1) ...

Setting up libgdk-pixbuf-2.0-0:amd64 (2.42.8+dfsg-1ubuntu0.2) ...

Setting up libcairo-gobject2:amd64 (1.16.0-5ubuntu2) ...

Setting up libcxsparse3:amd64 (1:5.10.1+dfsg-4build1) ...

Setting up libplfit0:amd64 (0.9.3+ds-1ubuntu1) ...

Setting up libatk1.0-0:amd64 (2.36.0-3build1) ...

Setting up libwayland-egl1:amd64 (1.20.0-1ubuntu0.1) ...

Setting up libboost-python1.74.0 (1.74.0-14ubuntu3) ...

Setting up libxcomposite1:amd64 (1:0.4.5-1build2) ...

Setting up libsuitesparseconfig5:amd64 (1:5.10.1+dfsg-4build1) ...

Setting up libxkbcommon0:amd64 (1.4.0-1) ...

Setting up libwayland-client0:amd64 (1.20.0-1ubuntu0.1) ...

Setting up libamd2:amd64 (1:5.10.1+dfsg-4build1) ...

Setting up gtk-update-icon-cache (3.24.33-1ubuntu2) ...

Setting up libcolamd2:amd64 (1:5.10.1+dfsg-4build1) ...

Setting up gir1.2-gdkpixbuf-2.0:amd64 (2.42.8+dfsg-1ubuntu0.2) ...

Setting up gir1.2-atk-1.0:amd64 (2.36.0-3build1) ...

Setting up libxcursor1:amd64 (1:1.2.0-2build4) ...

Setting up python3-cffi (1.15.0-1build2) ...

Setting up libavahi-common3:amd64 (0.8-5ubuntu5.2) ...

Setting up dconf-service (0.40.0-3) ...

Setting up librsvg2-2:amd64 (2.52.5+dfsg-3ubuntu0.2) ...

Setting up libcairomm-1.0-1v5:amd64 (1.12.2-4build3) ...

Setting up libatk-bridge2.0-0:amd64 (2.38.0-3) ...

Setting up libglpk40:amd64 (5.0-1) ...

Setting up libigraph2:amd64 (0.9.6+ds-2ubuntu1) ...

Setting up librsvg2-common:amd64 (2.52.5+dfsg-3ubuntu0.2) ...

Setting up python3-xcffib (0.11.1-2) ...

Setting up libgdk-pixbuf2.0-bin (2.42.8+dfsg-1ubuntu0.2) ...

Setting up libwayland-cursor0:amd64 (1.20.0-1ubuntu0.1) ...

Setting up libavahi-client3:amd64 (0.8-5ubuntu5.2) ...

Setting up libigraph-dev:amd64 (0.9.6+ds-2ubuntu1) ...

Setting up python3-graph-tool (2.59) ...

Setting up dconf-gsettings-backend:amd64 (0.40.0-3) ...

Setting up python3-cairocffi (1.2.0-2) ...

Setting up libcups2:amd64 (2.4.1op1-1ubuntu4.7) ...

Setting up libgtk-3-common (3.24.33-1ubuntu2) ...

Setting up gsettings-desktop-schemas (42.0-1ubuntu1) ...

Setting up adwaita-icon-theme (41.0-1ubuntu1) ...

update-alternatives: using /usr/share/icons/Adwaita/cursor.theme to provide /usr/share/icons/default/index.theme (x-cursor-theme) in auto mode

Setting up humanity-icon-theme (0.6.16) ...

Setting up ubuntu-mono (20.10-0ubuntu2) ...

Processing triggers for libglib2.0-0:amd64 (2.72.4-0ubuntu2.2) ...

Setting up libgtk-3-0:amd64 (3.24.33-1ubuntu2) ...

Processing triggers for libc-bin (2.35-0ubuntu3.5) ...

Setting up gir1.2-gtk-3.0:amd64 (3.24.33-1ubuntu2) ...

Setting up libgtk-3-bin (3.24.33-1ubuntu2) ...

Setting up at-spi2-core (2.44.0-3) ...

Processing triggers for libgdk-pixbuf-2.0-0:amd64 (2.42.8+dfsg-1ubuntu0.2) ...

+ pip3 install --upgrade pip setuptools
Defaulting to user installation because normal site-packages is not writeable
Requirement already satisfied: pip in /usr/lib/python3/dist-packages (22.0.2)
Collecting pip
  Downloading pip-24.0-py3-none-any.whl (2.1 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.1/2.1 MB 10.6 MB/s eta 0:00:00
Requirement already satisfied: setuptools in /usr/lib/python3/dist-packages (59.6.0)
Collecting setuptools
  Downloading setuptools-69.0.3-py3-none-any.whl (819 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 819.5/819.5 KB 19.1 MB/s eta 0:00:00
Installing collected packages: setuptools, pip
  WARNING: The scripts pip, pip3 and pip3.10 are installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
Successfully installed pip-24.0 setuptools-69.0.3
+ pip install --upgrade numpy scipy cython mpi4py
Defaulting to user installation because normal site-packages is not writeable
Requirement already satisfied: numpy in /usr/lib/python3/dist-packages (1.21.5)
Collecting numpy
  Downloading numpy-1.26.4-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (61 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 61.0/61.0 kB 4.8 MB/s eta 0:00:00
Requirement already satisfied: scipy in /usr/lib/python3/dist-packages (1.8.0)
Collecting scipy
  Downloading scipy-1.12.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (60 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 60.4/60.4 kB 26.4 MB/s eta 0:00:00
Requirement already satisfied: cython in /usr/lib/python3/dist-packages (0.29.28)
Collecting cython
  Downloading Cython-3.0.8-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (3.2 kB)
Requirement already satisfied: mpi4py in /usr/lib/python3/dist-packages (3.1.3)
Collecting mpi4py
  Downloading mpi4py-3.1.5.tar.gz (2.5 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.5/2.5 MB 148.7 MB/s eta 0:00:00
  Installing build dependencies: started
  Installing build dependencies: finished with status 'done'
  Getting requirements to build wheel: started
  Getting requirements to build wheel: finished with status 'done'
  Preparing metadata (pyproject.toml): started
  Preparing metadata (pyproject.toml): finished with status 'done'
Downloading numpy-1.26.4-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (18.2 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 18.2/18.2 MB 83.6 MB/s eta 0:00:00
Downloading scipy-1.12.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (38.4 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 38.4/38.4 MB 51.6 MB/s eta 0:00:00
Downloading Cython-3.0.8-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (3.6 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.6/3.6 MB 150.9 MB/s eta 0:00:00
Building wheels for collected packages: mpi4py
  Building wheel for mpi4py (pyproject.toml): started
  Building wheel for mpi4py (pyproject.toml): finished with status 'done'
  Created wheel for mpi4py: filename=mpi4py-3.1.5-cp310-cp310-linux_x86_64.whl size=2746524 sha256=fde7210f68d663035556425a0168ca350900331cc416b254600a66c602e71df5
  Stored in directory: /home/build/.cache/pip/wheels/18/2b/7f/c852523089e9182b45fca50ff56f49a51eeb6284fd25a66713
Successfully built mpi4py
Installing collected packages: numpy, mpi4py, cython, scipy
  WARNING: The script f2py is installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
  WARNING: The scripts cygdb, cython and cythonize are installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
Successfully installed cython-3.0.8 mpi4py-3.1.5 numpy-1.26.4 scipy-1.12.0
+ pip install --upgrade 'networkx>=2.4' python-igraph
Defaulting to user installation because normal site-packages is not writeable
Collecting networkx>=2.4
  Downloading networkx-3.2.1-py3-none-any.whl.metadata (5.2 kB)
Collecting python-igraph
  Downloading python_igraph-0.11.3-py3-none-any.whl.metadata (2.8 kB)
Collecting igraph==0.11.3 (from python-igraph)
  Downloading igraph-0.11.3-cp39-abi3-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (3.9 kB)
Collecting texttable>=1.6.2 (from igraph==0.11.3->python-igraph)
  Downloading texttable-1.7.0-py2.py3-none-any.whl.metadata (9.8 kB)
Downloading networkx-3.2.1-py3-none-any.whl (1.6 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.6/1.6 MB 64.5 MB/s eta 0:00:00
Downloading python_igraph-0.11.3-py3-none-any.whl (9.1 kB)
Downloading igraph-0.11.3-cp39-abi3-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (3.3 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.3/3.3 MB 173.5 MB/s eta 0:00:00
Downloading texttable-1.7.0-py2.py3-none-any.whl (10 kB)
Installing collected packages: texttable, networkx, igraph, python-igraph
  WARNING: The script igraph is installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
Successfully installed igraph-0.11.3 networkx-3.2.1 python-igraph-0.11.3 texttable-1.7.0
+ pip install --upgrade 'matplotlib<3.7' seaborn shapely svg.path dxfgrabber cartopy geopandas descartes lxml
Defaulting to user installation because normal site-packages is not writeable
Requirement already satisfied: matplotlib<3.7 in /usr/lib/python3/dist-packages (3.5.1)
Collecting matplotlib<3.7
  Downloading matplotlib-3.6.3-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (11.8 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 11.8/11.8 MB 151.4 MB/s eta 0:00:00
Collecting seaborn
  Downloading seaborn-0.13.2-py3-none-any.whl.metadata (5.4 kB)
Collecting shapely
  Downloading shapely-2.0.2-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (7.0 kB)
Collecting svg.path
  Downloading svg.path-6.3-py2.py3-none-any.whl (16 kB)
Collecting dxfgrabber
  Downloading dxfgrabber-1.0.1-py2.py3-none-any.whl (34 kB)
Collecting cartopy
  Downloading Cartopy-0.22.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (15 kB)
Collecting geopandas
  Downloading geopandas-0.14.3-py3-none-any.whl.metadata (1.5 kB)
Collecting descartes
  Downloading descartes-1.1.0-py3-none-any.whl (5.8 kB)
Requirement already satisfied: lxml in /usr/lib/python3/dist-packages (4.8.0)
Collecting lxml
  Downloading lxml-5.1.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (3.5 kB)
Collecting contourpy>=1.0.1 (from matplotlib<3.7)
  Downloading contourpy-1.2.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (5.8 kB)
Requirement already satisfied: cycler>=0.10 in /usr/lib/python3/dist-packages (from matplotlib<3.7) (0.11.0)
Requirement already satisfied: fonttools>=4.22.0 in /usr/lib/python3/dist-packages (from matplotlib<3.7) (4.29.1)
Requirement already satisfied: kiwisolver>=1.0.1 in /usr/lib/python3/dist-packages (from matplotlib<3.7) (1.3.2)
Requirement already satisfied: numpy>=1.19 in ./.local/lib/python3.10/site-packages (from matplotlib<3.7) (1.26.4)
Requirement already satisfied: packaging>=20.0 in /usr/lib/python3/dist-packages (from matplotlib<3.7) (21.3)
Requirement already satisfied: pillow>=6.2.0 in /usr/lib/python3/dist-packages (from matplotlib<3.7) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /usr/lib/python3/dist-packages (from matplotlib<3.7) (2.4.7)
Requirement already satisfied: python-dateutil>=2.7 in /usr/lib/python3/dist-packages (from matplotlib<3.7) (2.8.1)
Requirement already satisfied: pandas>=1.2 in /usr/lib/python3/dist-packages (from seaborn) (1.3.5)
Collecting pyshp>=2.1 (from cartopy)
  Downloading pyshp-2.3.1-py2.py3-none-any.whl (46 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 46.5/46.5 kB 24.7 MB/s eta 0:00:00
Collecting pyproj>=3.1.0 (from cartopy)
  Downloading pyproj-3.6.1-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (31 kB)
Collecting fiona>=1.8.21 (from geopandas)
  Downloading fiona-1.9.5-cp310-cp310-manylinux2014_x86_64.whl.metadata (49 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 49.7/49.7 kB 27.1 MB/s eta 0:00:00
Collecting pandas>=1.2 (from seaborn)
  Downloading pandas-2.2.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (19 kB)
Requirement already satisfied: attrs>=19.2.0 in /usr/lib/python3/dist-packages (from fiona>=1.8.21->geopandas) (21.2.0)
Collecting certifi (from fiona>=1.8.21->geopandas)
  Downloading certifi-2024.2.2-py3-none-any.whl.metadata (2.2 kB)
Collecting click~=8.0 (from fiona>=1.8.21->geopandas)
  Downloading click-8.1.7-py3-none-any.whl.metadata (3.0 kB)
Collecting click-plugins>=1.0 (from fiona>=1.8.21->geopandas)
  Downloading click_plugins-1.1.1-py2.py3-none-any.whl (7.5 kB)
Collecting cligj>=0.5 (from fiona>=1.8.21->geopandas)
  Downloading cligj-0.7.2-py3-none-any.whl (7.1 kB)
Requirement already satisfied: six in /usr/lib/python3/dist-packages (from fiona>=1.8.21->geopandas) (1.16.0)
Requirement already satisfied: setuptools in ./.local/lib/python3.10/site-packages (from fiona>=1.8.21->geopandas) (69.0.3)
Collecting python-dateutil>=2.7 (from matplotlib<3.7)
  Downloading python_dateutil-2.8.2-py2.py3-none-any.whl (247 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 247.7/247.7 kB 25.5 MB/s eta 0:00:00
Requirement already satisfied: pytz>=2020.1 in /usr/lib/python3/dist-packages (from pandas>=1.2->seaborn) (2022.1)
Collecting tzdata>=2022.7 (from pandas>=1.2->seaborn)
  Downloading tzdata-2023.4-py2.py3-none-any.whl.metadata (1.4 kB)
Downloading seaborn-0.13.2-py3-none-any.whl (294 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 294.9/294.9 kB 107.3 MB/s eta 0:00:00
Downloading shapely-2.0.2-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (2.5 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.5/2.5 MB 155.5 MB/s eta 0:00:00
Downloading Cartopy-0.22.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (11.8 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 11.8/11.8 MB 139.6 MB/s eta 0:00:00
Downloading geopandas-0.14.3-py3-none-any.whl (1.1 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.1/1.1 MB 176.6 MB/s eta 0:00:00
Downloading lxml-5.1.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (8.0 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 8.0/8.0 MB 91.6 MB/s eta 0:00:00
Downloading contourpy-1.2.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (310 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 310.7/310.7 kB 103.9 MB/s eta 0:00:00
Downloading fiona-1.9.5-cp310-cp310-manylinux2014_x86_64.whl (15.7 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 15.7/15.7 MB 95.1 MB/s eta 0:00:00
Downloading pandas-2.2.0-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (13.0 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 13.0/13.0 MB 166.3 MB/s eta 0:00:00
Downloading pyproj-3.6.1-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (8.3 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 8.3/8.3 MB 200.3 MB/s eta 0:00:00
Downloading click-8.1.7-py3-none-any.whl (97 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 97.9/97.9 kB 52.6 MB/s eta 0:00:00
Downloading tzdata-2023.4-py2.py3-none-any.whl (346 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 346.6/346.6 kB 121.6 MB/s eta 0:00:00
Downloading certifi-2024.2.2-py3-none-any.whl (163 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 163.8/163.8 kB 83.3 MB/s eta 0:00:00
Installing collected packages: dxfgrabber, tzdata, svg.path, shapely, python-dateutil, pyshp, lxml, contourpy, click, certifi, pyproj, pandas, matplotlib, cligj, click-plugins, seaborn, fiona, descartes, cartopy, geopandas
  WARNING: The script pyproj is installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
  WARNING: The script fio is installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
  WARNING: The script feature_download is installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
Successfully installed cartopy-0.22.0 certifi-2024.2.2 click-8.1.7 click-plugins-1.1.1 cligj-0.7.2 contourpy-1.2.0 descartes-1.1.0 dxfgrabber-1.0.1 fiona-1.9.5 geopandas-0.14.3 lxml-5.1.0 matplotlib-3.6.3 pandas-2.2.0 pyproj-3.6.1 pyshp-2.3.1 python-dateutil-2.8.2 seaborn-0.13.2 shapely-2.0.2 svg.path-6.3 tzdata-2023.4
+ pip install --upgrade pytest pytest-mpi cov-core coverage 'coveralls[yaml]'
Defaulting to user installation because normal site-packages is not writeable
Requirement already satisfied: pytest in /usr/lib/python3/dist-packages (6.2.5)
Collecting pytest
  Downloading pytest-8.0.0-py3-none-any.whl.metadata (7.8 kB)
Collecting pytest-mpi
  Downloading pytest_mpi-0.6-py2.py3-none-any.whl (5.9 kB)
Collecting cov-core
  Downloading cov-core-1.15.0.tar.gz (5.9 kB)
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting coverage
  Downloading coverage-7.4.1-cp310-cp310-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (8.2 kB)
Collecting coveralls[yaml]
  Downloading coveralls-3.3.1-py2.py3-none-any.whl (14 kB)
Requirement already satisfied: iniconfig in /usr/lib/python3/dist-packages (from pytest) (1.1.1)
Requirement already satisfied: packaging in /usr/lib/python3/dist-packages (from pytest) (21.3)
Collecting pluggy<2.0,>=1.3.0 (from pytest)
  Downloading pluggy-1.4.0-py3-none-any.whl.metadata (4.3 kB)
Collecting exceptiongroup>=1.0.0rc8 (from pytest)
  Downloading exceptiongroup-1.2.0-py3-none-any.whl.metadata (6.6 kB)
Collecting tomli>=1.0.0 (from pytest)
  Downloading tomli-2.0.1-py3-none-any.whl (12 kB)
Collecting coverage
  Downloading coverage-6.5.0-cp310-cp310-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_17_x86_64.manylinux2014_x86_64.whl (213 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 213.3/213.3 kB 36.4 MB/s eta 0:00:00
Collecting docopt>=0.6.1 (from coveralls[yaml])
  Downloading docopt-0.6.2.tar.gz (25 kB)
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting requests>=1.0.0 (from coveralls[yaml])
  Downloading requests-2.31.0-py3-none-any.whl.metadata (4.6 kB)
Requirement already satisfied: PyYAML>=3.10 in /usr/lib/python3/dist-packages (from coveralls[yaml]) (5.4.1)
Collecting charset-normalizer<4,>=2 (from requests>=1.0.0->coveralls[yaml])
  Downloading charset_normalizer-3.3.2-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl.metadata (33 kB)
Collecting idna<4,>=2.5 (from requests>=1.0.0->coveralls[yaml])
  Downloading idna-3.6-py3-none-any.whl.metadata (9.9 kB)
Collecting urllib3<3,>=1.21.1 (from requests>=1.0.0->coveralls[yaml])
  Downloading urllib3-2.2.0-py3-none-any.whl.metadata (6.4 kB)
Requirement already satisfied: certifi>=2017.4.17 in ./.local/lib/python3.10/site-packages (from requests>=1.0.0->coveralls[yaml]) (2024.2.2)
Downloading pytest-8.0.0-py3-none-any.whl (334 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 334.0/334.0 kB 118.5 MB/s eta 0:00:00
Downloading exceptiongroup-1.2.0-py3-none-any.whl (16 kB)
Downloading pluggy-1.4.0-py3-none-any.whl (20 kB)
Downloading requests-2.31.0-py3-none-any.whl (62 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 62.6/62.6 kB 33.4 MB/s eta 0:00:00
Downloading charset_normalizer-3.3.2-cp310-cp310-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (142 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 142.1/142.1 kB 43.7 MB/s eta 0:00:00
Downloading idna-3.6-py3-none-any.whl (61 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 61.6/61.6 kB 32.4 MB/s eta 0:00:00
Downloading urllib3-2.2.0-py3-none-any.whl (120 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 120.9/120.9 kB 37.7 MB/s eta 0:00:00
Building wheels for collected packages: cov-core, docopt
  Building wheel for cov-core (setup.py): started
  Building wheel for cov-core (setup.py): finished with status 'done'
  Created wheel for cov-core: filename=cov_core-1.15.0-py3-none-any.whl size=6011 sha256=5ef7aa317418bfd5253504a7b707631653e1f3c1503202c20909f1e556f20b19
  Stored in directory: /home/build/.cache/pip/wheels/80/73/f2/6e7f18d4d52855e20db9463f7a23679627c90d9e0c46fb9046
  Building wheel for docopt (setup.py): started
  Building wheel for docopt (setup.py): finished with status 'done'
  Created wheel for docopt: filename=docopt-0.6.2-py2.py3-none-any.whl size=13706 sha256=6fdf03f554d43cc69b93d54949cadf0ce852c0970f5adb97e3f424c54f8195bb
  Stored in directory: /home/build/.cache/pip/wheels/fc/ab/d4/5da2067ac95b36618c629a5f93f809425700506f72c9732fac
Successfully built cov-core docopt
Installing collected packages: docopt, urllib3, tomli, pluggy, idna, exceptiongroup, coverage, charset-normalizer, requests, pytest, cov-core, pytest-mpi, coveralls
  WARNING: The scripts coverage, coverage-3.10 and coverage3 are installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
  WARNING: The script normalizer is installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
  WARNING: The scripts py.test and pytest are installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
  WARNING: The script coveralls is installed in '/home/build/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
Successfully installed charset-normalizer-3.3.2 cov-core-1.15.0 coverage-6.5.0 coveralls-3.3.1 docopt-0.6.2 exceptiongroup-1.2.0 idna-3.6 pluggy-1.4.0 pytest-8.0.0 pytest-mpi-0.6 requests-2.31.0 tomli-2.0.1 urllib3-2.2.0
+ mv .coveralls.yml NNGT/.coveralls.yml
+ cd NNGT
+ pip install .
Defaulting to user installation because normal site-packages is not writeable
Processing /home/build/NNGT
  Installing build dependencies: started
  Installing build dependencies: finished with status 'done'
  Getting requirements to build wheel: started
  Getting requirements to build wheel: finished with status 'done'
  Installing backend dependencies: started
  Installing backend dependencies: finished with status 'done'
  Preparing metadata (pyproject.toml): started
  Preparing metadata (pyproject.toml): finished with status 'done'
Requirement already satisfied: cython in /home/build/.local/lib/python3.10/site-packages (from NNGT==2.7.3) (3.0.8)
Collecting platformdirs (from NNGT==2.7.3)
  Downloading platformdirs-4.2.0-py3-none-any.whl.metadata (11 kB)
Requirement already satisfied: numpy>=1.17 in /home/build/.local/lib/python3.10/site-packages (from NNGT==2.7.3) (1.26.4)
Requirement already satisfied: scipy>=0.11 in /home/build/.local/lib/python3.10/site-packages (from NNGT==2.7.3) (1.12.0)
Downloading platformdirs-4.2.0-py3-none-any.whl (17 kB)
Building wheels for collected packages: NNGT
  Building wheel for NNGT (pyproject.toml): started
  Building wheel for NNGT (pyproject.toml): finished with status 'done'
  Created wheel for NNGT: filename=NNGT-2.7.3-cp310-cp310-linux_x86_64.whl size=1625873 sha256=bff594eae9fe50a1bcead62bac06ab14b89d127530a32143db3e6a7b28a7175d
  Stored in directory: /tmp/pip-ephem-wheel-cache-zs5_x165/wheels/92/fa/40/bf3cd25b985bea2c1c5a04b1b799a3c432eded83a10407205a
Successfully built NNGT
Installing collected packages: platformdirs, NNGT
Successfully installed NNGT-2.7.3 platformdirs-4.2.0
+ echo 'export PATH=/home/build/.local/bin:$PATH'
test
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
+ cd NNGT
+ GL=all
+ coverage run -p -m pytest testing/library_compatibility.py
============================= test session starts ==============================
platform linux -- Python 3.10.12, pytest-8.0.0, pluggy-1.4.0
rootdir: /home/build/NNGT
plugins: mpi-0.6
collected 11 items

testing/library_compatibility.py ...........                             [100%]

=============================== warnings summary ===============================
nngt/geometry/shape.py:66
  /home/build/NNGT/nngt/geometry/shape.py:66: DeprecationWarning: invalid escape sequence '\m'
    """

nngt/geometry/shape.py:91
  /home/build/NNGT/nngt/geometry/shape.py:91: DeprecationWarning: invalid escape sequence '\m'
    '''

nngt/geometry/shape.py:134
  /home/build/NNGT/nngt/geometry/shape.py:134: DeprecationWarning: invalid escape sequence '\m'
    '''

nngt/geometry/shape.py:182
  /home/build/NNGT/nngt/geometry/shape.py:182: DeprecationWarning: invalid escape sequence '\m'
    '''

nngt/geometry/shape.py:225
  /home/build/NNGT/nngt/geometry/shape.py:225: DeprecationWarning: invalid escape sequence '\m'
    '''

nngt/geometry/shape.py:282
  /home/build/NNGT/nngt/geometry/shape.py:282: DeprecationWarning: invalid escape sequence '\m'
    '''

nngt/geometry/shape.py:333
  /home/build/NNGT/nngt/geometry/shape.py:333: DeprecationWarning: invalid escape sequence '\m'
    '''

nngt/geometry/shape.py:389
  /home/build/NNGT/nngt/geometry/shape.py:389: DeprecationWarning: invalid escape sequence '\m'
    '''

nngt/geometry/shape.py:1119
  /home/build/NNGT/nngt/geometry/shape.py:1119: DeprecationWarning: invalid escape sequence '\m'
    '''

../../../usr/lib/python3/dist-packages/pythran/config.py:8
  /usr/lib/python3/dist-packages/pythran/config.py:8: DeprecationWarning: 
  
    `numpy.distutils` is deprecated since NumPy 1.23.0, as a result
    of the deprecation of `distutils` itself. It will be removed for
    Python >= 3.12. For older Python versions it will remain present.
    It is recommended to use `setuptools < 60.0` for those Python versions.
    For more details, see:
      https://numpy.org/devdocs/reference/distutils_status_migration.html 
  
  
    import numpy.distutils.system_info as numpy_sys

../.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66
  /home/build/.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66: DeprecationWarning: msvccompiler is deprecated and slated to be removed in the future. Please discontinue use or file an issue with pypa/distutils describing your use case.
    warnings.warn(

../../../usr/lib/python3/dist-packages/pythran/tables.py:4520
  /usr/lib/python3/dist-packages/pythran/tables.py:4520: FutureWarning: In the future `np.bool` will be defined as the corresponding NumPy scalar.
    if not hasattr(numpy, method):

../../../usr/lib/python3/dist-packages/pythran/tables.py:4553
  /usr/lib/python3/dist-packages/pythran/tables.py:4553: FutureWarning: In the future `np.bytes` will be defined as the corresponding NumPy scalar.
    obj = getattr(themodule, elem)

../.local/lib/python3.10/site-packages/setuptools/sandbox.py:13
  /home/build/.local/lib/python3.10/site-packages/setuptools/sandbox.py:13: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
    import pkg_resources

../.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868
  /home/build/.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868: DeprecationWarning: Deprecated call to `pkg_resources.declare_namespace('mpl_toolkits')`.
  Implementing implicit namespace packages (as specified in PEP 420) is preferred to `pkg_resources.declare_namespace`. See https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages
    declare_namespace(pkg)

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group, newer

testing/library_compatibility.py::test_weighted_undirected_clustering
testing/library_compatibility.py::test_weighted_undirected_clustering
testing/library_compatibility.py::test_weighted_undirected_clustering
testing/library_compatibility.py::test_weighted_undirected_clustering
  /home/build/.local/lib/python3.10/site-packages/scipy/sparse/_index.py:145: SparseEfficiencyWarning: Changing the sparsity structure of a csr_matrix is expensive. lil_matrix is more efficient.
    self._set_arrayXarray(i, j, x)

testing/library_compatibility.py::test_binary_shortest_paths
  /home/build/NNGT/nngt/analysis/ig_functions.py:351: RuntimeWarning: Couldn't reach some vertices at src/paths/unweighted.c:440
    path = graph.get_shortest_paths(source, target, mode="out", weights=w)[0]

testing/library_compatibility.py::test_weighted_shortest_paths
  /home/build/NNGT/nngt/analysis/ig_functions.py:351: RuntimeWarning: Couldn't reach some vertices. at src/paths/dijkstra.c:528
    path = graph.get_shortest_paths(source, target, mode="out", weights=w)[0]

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
======================= 11 passed, 25 warnings in 14.87s =======================
+ GL=gt
+ coverage run -p -m pytest testing
============================= test session starts ==============================
platform linux -- Python 3.10.12, pytest-8.0.0, pluggy-1.4.0
rootdir: /home/build/NNGT
plugins: mpi-0.6
collected 91 items

testing/test_analysis.py ..........                                      [ 10%]
testing/test_attributes.py ...........                                   [ 23%]
testing/test_basics.py .............                                     [ 37%]
testing/test_connect_group_type.py ...                                   [ 40%]
testing/test_examples.py sss                                             [ 43%]
testing/test_gallery.py ..                                               [ 46%]
testing/test_generation.py .                                             [ 47%]
testing/test_generation2.py ...s.......                                  [ 59%]
testing/test_graphclasses.py ....                                        [ 63%]
testing/test_group_pop.py .....                                          [ 69%]
testing/test_io.py ........                                              [ 78%]
testing/test_mpi.py s                                                    [ 79%]
testing/test_nest.py ss                                                  [ 81%]
testing/test_plots.py ....s...                                           [ 90%]
testing/test_random.py ..                                                [ 92%]
testing/test_rewire.py .....                                             [ 97%]
testing/test_weights.py ..                                               [100%]

=============================== warnings summary ===============================
../../../usr/lib/python3/dist-packages/pythran/config.py:8
  /usr/lib/python3/dist-packages/pythran/config.py:8: DeprecationWarning: 
  
    `numpy.distutils` is deprecated since NumPy 1.23.0, as a result
    of the deprecation of `distutils` itself. It will be removed for
    Python >= 3.12. For older Python versions it will remain present.
    It is recommended to use `setuptools < 60.0` for those Python versions.
    For more details, see:
      https://numpy.org/devdocs/reference/distutils_status_migration.html 
  
  
    import numpy.distutils.system_info as numpy_sys

../.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66
  /home/build/.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66: DeprecationWarning: msvccompiler is deprecated and slated to be removed in the future. Please discontinue use or file an issue with pypa/distutils describing your use case.
    warnings.warn(

../../../usr/lib/python3/dist-packages/pythran/tables.py:4520
  /usr/lib/python3/dist-packages/pythran/tables.py:4520: FutureWarning: In the future `np.bool` will be defined as the corresponding NumPy scalar.
    if not hasattr(numpy, method):

../../../usr/lib/python3/dist-packages/pythran/tables.py:4553
  /usr/lib/python3/dist-packages/pythran/tables.py:4553: FutureWarning: In the future `np.bytes` will be defined as the corresponding NumPy scalar.
    obj = getattr(themodule, elem)

../.local/lib/python3.10/site-packages/setuptools/sandbox.py:13
  /home/build/.local/lib/python3.10/site-packages/setuptools/sandbox.py:13: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
    import pkg_resources

../.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868
  /home/build/.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868: DeprecationWarning: Deprecated call to `pkg_resources.declare_namespace('mpl_toolkits')`.
  Implementing implicit namespace packages (as specified in PEP 420) is preferred to `pkg_resources.declare_namespace`. See https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages
    declare_namespace(pkg)

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group, newer

testing/test_analysis.py: 7 warnings
testing/test_generation2.py: 1 warning
testing/test_plots.py: 2 warnings
testing/test_rewire.py: 1 warning
  /home/build/.local/lib/python3.10/site-packages/scipy/sparse/_index.py:145: SparseEfficiencyWarning: Changing the sparsity structure of a csr_matrix is expensive. lil_matrix is more efficient.
    self._set_arrayXarray(i, j, x)

testing/test_plots.py::test_hive_plot
  /home/build/NNGT/nngt/plot/plt_networks.py:975: RuntimeWarning: More than 20 figures have been opened. Figures created through the pyplot interface (`matplotlib.pyplot.figure`) are retained until explicitly closed and may consume too much memory. (To control this warning, see the rcParam `figure.max_open_warning`). Consider using `matplotlib.pyplot.close()`.
    _, axis = plt.subplots()

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
============ 83 passed, 8 skipped, 22 warnings in 62.80s (0:01:02) =============
+ GL=nx
+ coverage run -p -m pytest testing
============================= test session starts ==============================
platform linux -- Python 3.10.12, pytest-8.0.0, pluggy-1.4.0
rootdir: /home/build/NNGT
plugins: mpi-0.6
collected 91 items

testing/test_analysis.py ..........                                      [ 10%]
testing/test_attributes.py ...........                                   [ 23%]
testing/test_basics.py .............                                     [ 37%]
testing/test_connect_group_type.py ...                                   [ 40%]
testing/test_examples.py sss                                             [ 43%]
testing/test_gallery.py ..                                               [ 46%]
testing/test_generation.py .                                             [ 47%]
testing/test_generation2.py ...s.......                                  [ 59%]
testing/test_graphclasses.py ....                                        [ 63%]
testing/test_group_pop.py .....                                          [ 69%]
testing/test_io.py ........                                              [ 78%]
testing/test_mpi.py s                                                    [ 79%]
testing/test_nest.py ss                                                  [ 81%]
testing/test_plots.py ........                                           [ 90%]
testing/test_random.py ..                                                [ 92%]
testing/test_rewire.py .....                                             [ 97%]
testing/test_weights.py ..                                               [100%]

=============================== warnings summary ===============================
../../../usr/lib/python3/dist-packages/pythran/config.py:8
  /usr/lib/python3/dist-packages/pythran/config.py:8: DeprecationWarning: 
  
    `numpy.distutils` is deprecated since NumPy 1.23.0, as a result
    of the deprecation of `distutils` itself. It will be removed for
    Python >= 3.12. For older Python versions it will remain present.
    It is recommended to use `setuptools < 60.0` for those Python versions.
    For more details, see:
      https://numpy.org/devdocs/reference/distutils_status_migration.html 
  
  
    import numpy.distutils.system_info as numpy_sys

../.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66
  /home/build/.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66: DeprecationWarning: msvccompiler is deprecated and slated to be removed in the future. Please discontinue use or file an issue with pypa/distutils describing your use case.
    warnings.warn(

../../../usr/lib/python3/dist-packages/pythran/tables.py:4520
  /usr/lib/python3/dist-packages/pythran/tables.py:4520: FutureWarning: In the future `np.bool` will be defined as the corresponding NumPy scalar.
    if not hasattr(numpy, method):

../../../usr/lib/python3/dist-packages/pythran/tables.py:4553
  /usr/lib/python3/dist-packages/pythran/tables.py:4553: FutureWarning: In the future `np.bytes` will be defined as the corresponding NumPy scalar.
    obj = getattr(themodule, elem)

../.local/lib/python3.10/site-packages/setuptools/sandbox.py:13
  /home/build/.local/lib/python3.10/site-packages/setuptools/sandbox.py:13: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
    import pkg_resources

../.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868
  /home/build/.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868: DeprecationWarning: Deprecated call to `pkg_resources.declare_namespace('mpl_toolkits')`.
  Implementing implicit namespace packages (as specified in PEP 420) is preferred to `pkg_resources.declare_namespace`. See https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages
    declare_namespace(pkg)

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group, newer

testing/test_analysis.py: 7 warnings
testing/test_generation2.py: 1 warning
testing/test_plots.py: 2 warnings
testing/test_rewire.py: 1 warning
  /home/build/.local/lib/python3.10/site-packages/scipy/sparse/_index.py:145: SparseEfficiencyWarning: Changing the sparsity structure of a csr_matrix is expensive. lil_matrix is more efficient.
    self._set_arrayXarray(i, j, x)

testing/test_basics.py::test_delete
  /home/build/.local/lib/python3.10/site-packages/pandas/core/computation/expressions.py:21: UserWarning: Pandas requires version '2.8.4' or newer of 'numexpr' (version '2.8.1' currently installed).
    from pandas.core.computation.check import NUMEXPR_INSTALLED

testing/test_basics.py::test_delete
  /home/build/.local/lib/python3.10/site-packages/pandas/core/arrays/masked.py:60: UserWarning: Pandas requires version '1.3.6' or newer of 'bottleneck' (version '1.3.2' currently installed).
    from pandas.core import (

testing/test_basics.py::test_delete
  /home/build/.local/lib/python3.10/site-packages/networkx/convert.py:118: DeprecationWarning: 
  Pyarrow will become a required dependency of pandas in the next major release of pandas (pandas 3.0),
  (to allow more performant data types, such as the Arrow string type, and better interoperability with other libraries)
  but was not found to be installed on your system.
  If this would cause problems for you,
  please provide us feedback at https://github.com/pandas-dev/pandas/issues/54466
          
    import pandas as pd

testing/test_plots.py::test_library_plot
  /home/build/NNGT/nngt/plot/plt_networks.py:1247: RuntimeWarning: More than 20 figures have been opened. Figures created through the pyplot interface (`matplotlib.pyplot.figure`) are retained until explicitly closed and may consume too much memory. (To control this warning, see the rcParam `figure.max_open_warning`). Consider using `matplotlib.pyplot.close()`.
    fig, axis = plt.subplots(figsize=size_inches)

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
============ 84 passed, 7 skipped, 25 warnings in 221.83s (0:03:41) ============
+ GL=ig
+ coverage run -p -m pytest testing
============================= test session starts ==============================
platform linux -- Python 3.10.12, pytest-8.0.0, pluggy-1.4.0
rootdir: /home/build/NNGT
plugins: mpi-0.6
collected 91 items

testing/test_analysis.py ..........                                      [ 10%]
testing/test_attributes.py ...........                                   [ 23%]
testing/test_basics.py .............                                     [ 37%]
testing/test_connect_group_type.py ...                                   [ 40%]
testing/test_examples.py sss                                             [ 43%]
testing/test_gallery.py ..                                               [ 46%]
testing/test_generation.py .                                             [ 47%]
testing/test_generation2.py ...s.......                                  [ 59%]
testing/test_graphclasses.py ....                                        [ 63%]
testing/test_group_pop.py .....                                          [ 69%]
testing/test_io.py ........                                              [ 78%]
testing/test_mpi.py s                                                    [ 79%]
testing/test_nest.py ss                                                  [ 81%]
testing/test_plots.py ........                                           [ 90%]
testing/test_random.py ..                                                [ 92%]
testing/test_rewire.py .....                                             [ 97%]
testing/test_weights.py ..                                               [100%]

=============================== warnings summary ===============================
../../../usr/lib/python3/dist-packages/pythran/config.py:8
  /usr/lib/python3/dist-packages/pythran/config.py:8: DeprecationWarning: 
  
    `numpy.distutils` is deprecated since NumPy 1.23.0, as a result
    of the deprecation of `distutils` itself. It will be removed for
    Python >= 3.12. For older Python versions it will remain present.
    It is recommended to use `setuptools < 60.0` for those Python versions.
    For more details, see:
      https://numpy.org/devdocs/reference/distutils_status_migration.html 
  
  
    import numpy.distutils.system_info as numpy_sys

../.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66
  /home/build/.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66: DeprecationWarning: msvccompiler is deprecated and slated to be removed in the future. Please discontinue use or file an issue with pypa/distutils describing your use case.
    warnings.warn(

../../../usr/lib/python3/dist-packages/pythran/tables.py:4520
  /usr/lib/python3/dist-packages/pythran/tables.py:4520: FutureWarning: In the future `np.bool` will be defined as the corresponding NumPy scalar.
    if not hasattr(numpy, method):

../../../usr/lib/python3/dist-packages/pythran/tables.py:4553
  /usr/lib/python3/dist-packages/pythran/tables.py:4553: FutureWarning: In the future `np.bytes` will be defined as the corresponding NumPy scalar.
    obj = getattr(themodule, elem)

../.local/lib/python3.10/site-packages/setuptools/sandbox.py:13
  /home/build/.local/lib/python3.10/site-packages/setuptools/sandbox.py:13: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
    import pkg_resources

../.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868
  /home/build/.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868: DeprecationWarning: Deprecated call to `pkg_resources.declare_namespace('mpl_toolkits')`.
  Implementing implicit namespace packages (as specified in PEP 420) is preferred to `pkg_resources.declare_namespace`. See https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages
    declare_namespace(pkg)

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group, newer

testing/test_analysis.py: 7 warnings
testing/test_generation2.py: 1 warning
testing/test_plots.py: 2 warnings
testing/test_rewire.py: 1 warning
  /home/build/.local/lib/python3.10/site-packages/scipy/sparse/_index.py:145: SparseEfficiencyWarning: Changing the sparsity structure of a csr_matrix is expensive. lil_matrix is more efficient.
    self._set_arrayXarray(i, j, x)

testing/test_plots.py::test_library_plot
  /home/build/NNGT/nngt/plot/plt_networks.py:1247: RuntimeWarning: More than 20 figures have been opened. Figures created through the pyplot interface (`matplotlib.pyplot.figure`) are retained until explicitly closed and may consume too much memory. (To control this warning, see the rcParam `figure.max_open_warning`). Consider using `matplotlib.pyplot.close()`.
    fig, axis = plt.subplots(figsize=size_inches)

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
================= 84 passed, 7 skipped, 22 warnings in 46.44s ==================
+ GL=nngt
+ coverage run -p -m pytest testing
============================= test session starts ==============================
platform linux -- Python 3.10.12, pytest-8.0.0, pluggy-1.4.0
rootdir: /home/build/NNGT
plugins: mpi-0.6
collected 91 items

testing/test_analysis.py ........s.                                      [ 10%]
testing/test_attributes.py ...........                                   [ 23%]
testing/test_basics.py .............                                     [ 37%]
testing/test_connect_group_type.py ...                                   [ 40%]
testing/test_examples.py sss                                             [ 43%]
testing/test_gallery.py ..                                               [ 46%]
testing/test_generation.py .                                             [ 47%]
testing/test_generation2.py ...s.......                                  [ 59%]
testing/test_graphclasses.py ....                                        [ 63%]
testing/test_group_pop.py .....                                          [ 69%]
testing/test_io.py ........                                              [ 78%]
testing/test_mpi.py s                                                    [ 79%]
testing/test_nest.py ss                                                  [ 81%]
testing/test_plots.py .....s..                                           [ 90%]
testing/test_random.py ..                                                [ 92%]
testing/test_rewire.py .....                                             [ 97%]
testing/test_weights.py ..                                               [100%]

=============================== warnings summary ===============================
../../../usr/lib/python3/dist-packages/pythran/config.py:8
  /usr/lib/python3/dist-packages/pythran/config.py:8: DeprecationWarning: 
  
    `numpy.distutils` is deprecated since NumPy 1.23.0, as a result
    of the deprecation of `distutils` itself. It will be removed for
    Python >= 3.12. For older Python versions it will remain present.
    It is recommended to use `setuptools < 60.0` for those Python versions.
    For more details, see:
      https://numpy.org/devdocs/reference/distutils_status_migration.html 
  
  
    import numpy.distutils.system_info as numpy_sys

../.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66
  /home/build/.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66: DeprecationWarning: msvccompiler is deprecated and slated to be removed in the future. Please discontinue use or file an issue with pypa/distutils describing your use case.
    warnings.warn(

../../../usr/lib/python3/dist-packages/pythran/tables.py:4520
  /usr/lib/python3/dist-packages/pythran/tables.py:4520: FutureWarning: In the future `np.bool` will be defined as the corresponding NumPy scalar.
    if not hasattr(numpy, method):

../../../usr/lib/python3/dist-packages/pythran/tables.py:4553
  /usr/lib/python3/dist-packages/pythran/tables.py:4553: FutureWarning: In the future `np.bytes` will be defined as the corresponding NumPy scalar.
    obj = getattr(themodule, elem)

../.local/lib/python3.10/site-packages/setuptools/sandbox.py:13
  /home/build/.local/lib/python3.10/site-packages/setuptools/sandbox.py:13: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
    import pkg_resources

../.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868
  /home/build/.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868: DeprecationWarning: Deprecated call to `pkg_resources.declare_namespace('mpl_toolkits')`.
  Implementing implicit namespace packages (as specified in PEP 420) is preferred to `pkg_resources.declare_namespace`. See https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages
    declare_namespace(pkg)

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group, newer

testing/test_analysis.py: 7 warnings
testing/test_generation2.py: 1 warning
testing/test_plots.py: 1 warning
testing/test_rewire.py: 1 warning
  /home/build/.local/lib/python3.10/site-packages/scipy/sparse/_index.py:145: SparseEfficiencyWarning: Changing the sparsity structure of a csr_matrix is expensive. lil_matrix is more efficient.
    self._set_arrayXarray(i, j, x)

testing/test_plots.py::test_library_plot
  /home/build/NNGT/nngt/plot/plt_networks.py:1247: RuntimeWarning: More than 20 figures have been opened. Figures created through the pyplot interface (`matplotlib.pyplot.figure`) are retained until explicitly closed and may consume too much memory. (To control this warning, see the rcParam `figure.max_open_warning`). Consider using `matplotlib.pyplot.close()`.
    fig, axis = plt.subplots(figsize=size_inches)

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
================= 82 passed, 9 skipped, 21 warnings in 41.52s ==================
+ GL=ig
+ OMP=2
+ PYNEST_QUIET=1
+ coverage run -p -m pytest testing
============================= test session starts ==============================
platform linux -- Python 3.10.12, pytest-8.0.0, pluggy-1.4.0
rootdir: /home/build/NNGT
plugins: mpi-0.6
collected 91 items

testing/test_analysis.py ..........                                      [ 10%]
testing/test_attributes.py ...........                                   [ 23%]
testing/test_basics.py .............                                     [ 37%]
testing/test_connect_group_type.py ...                                   [ 40%]
testing/test_examples.py ...                                             [ 43%]
testing/test_gallery.py ..                                               [ 46%]
testing/test_generation.py .                                             [ 47%]
testing/test_generation2.py ...s.......                                  [ 59%]
testing/test_graphclasses.py ....                                        [ 63%]
testing/test_group_pop.py .....                                          [ 69%]
testing/test_io.py ........                                              [ 78%]
testing/test_mpi.py s                                                    [ 79%]
testing/test_nest.py ss                                                  [ 81%]
testing/test_plots.py ........                                           [ 90%]
testing/test_random.py ..                                                [ 92%]
testing/test_rewire.py .....                                             [ 97%]
testing/test_weights.py ..                                               [100%]

=============================== warnings summary ===============================
../../../usr/lib/python3/dist-packages/pythran/config.py:8
  /usr/lib/python3/dist-packages/pythran/config.py:8: DeprecationWarning: 
  
    `numpy.distutils` is deprecated since NumPy 1.23.0, as a result
    of the deprecation of `distutils` itself. It will be removed for
    Python >= 3.12. For older Python versions it will remain present.
    It is recommended to use `setuptools < 60.0` for those Python versions.
    For more details, see:
      https://numpy.org/devdocs/reference/distutils_status_migration.html 
  
  
    import numpy.distutils.system_info as numpy_sys

../.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66
  /home/build/.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66: DeprecationWarning: msvccompiler is deprecated and slated to be removed in the future. Please discontinue use or file an issue with pypa/distutils describing your use case.
    warnings.warn(

../../../usr/lib/python3/dist-packages/pythran/tables.py:4520
  /usr/lib/python3/dist-packages/pythran/tables.py:4520: FutureWarning: In the future `np.bool` will be defined as the corresponding NumPy scalar.
    if not hasattr(numpy, method):

../../../usr/lib/python3/dist-packages/pythran/tables.py:4553
  /usr/lib/python3/dist-packages/pythran/tables.py:4553: FutureWarning: In the future `np.bytes` will be defined as the corresponding NumPy scalar.
    obj = getattr(themodule, elem)

../.local/lib/python3.10/site-packages/setuptools/sandbox.py:13
  /home/build/.local/lib/python3.10/site-packages/setuptools/sandbox.py:13: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
    import pkg_resources

../.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868
  /home/build/.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868: DeprecationWarning: Deprecated call to `pkg_resources.declare_namespace('mpl_toolkits')`.
  Implementing implicit namespace packages (as specified in PEP 420) is preferred to `pkg_resources.declare_namespace`. See https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages
    declare_namespace(pkg)

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group, newer

testing/test_analysis.py: 7 warnings
testing/test_examples.py: 4 warnings
testing/test_generation2.py: 1 warning
testing/test_plots.py: 2 warnings
testing/test_rewire.py: 1 warning
  /home/build/.local/lib/python3.10/site-packages/scipy/sparse/_index.py:145: SparseEfficiencyWarning: Changing the sparsity structure of a csr_matrix is expensive. lil_matrix is more efficient.
    self._set_arrayXarray(i, j, x)

testing/test_examples.py::test_example_graph_struct
  /home/build/.local/lib/python3.10/site-packages/matplotlib/collections.py:967: RuntimeWarning: invalid value encountered in sqrt
    scale = np.sqrt(self._sizes) * dpi / 72.0 * self._factor

testing/test_examples.py::test_example_graph_struct
  /home/build/.local/lib/python3.10/site-packages/pandas/core/computation/expressions.py:21: UserWarning: Pandas requires version '2.8.4' or newer of 'numexpr' (version '2.8.1' currently installed).
    from pandas.core.computation.check import NUMEXPR_INSTALLED

testing/test_examples.py::test_example_graph_struct
  /home/build/.local/lib/python3.10/site-packages/pandas/core/arrays/masked.py:60: UserWarning: Pandas requires version '1.3.6' or newer of 'bottleneck' (version '1.3.2' currently installed).
    from pandas.core import (

testing/test_examples.py::test_example_graph_struct
  /home/build/.local/lib/python3.10/site-packages/geopandas/_compat.py:8: DeprecationWarning: 
  Pyarrow will become a required dependency of pandas in the next major release of pandas (pandas 3.0),
  (to allow more performant data types, such as the Arrow string type, and better interoperability with other libraries)
  but was not found to be installed on your system.
  If this would cause problems for you,
  please provide us feedback at https://github.com/pandas-dev/pandas/issues/54466
          
    import pandas as pd

testing/test_examples.py::test_example_graph_struct
  /home/build/.local/lib/python3.10/site-packages/cartopy/io/__init__.py:241: DownloadWarning: Downloading: https://naturalearth.s3.amazonaws.com/110m_cultural/ne_110m_admin_0_countries.zip
    warnings.warn(f'Downloading: {url}', DownloadWarning)

testing/test_examples.py::test_example_graph_struct
  /home/build/.local/lib/python3.10/site-packages/cartopy/io/__init__.py:241: DownloadWarning: Downloading: https://naturalearth.s3.amazonaws.com/50m_cultural/ne_50m_admin_0_countries.zip
    warnings.warn(f'Downloading: {url}', DownloadWarning)

testing/test_examples.py::test_example_graph_struct
  /home/build/.local/lib/python3.10/site-packages/cartopy/io/__init__.py:241: DownloadWarning: Downloading: https://naturalearth.s3.amazonaws.com/10m_cultural/ne_10m_admin_0_map_units.zip
    warnings.warn(f'Downloading: {url}', DownloadWarning)

testing/test_examples.py::test_example_graph_struct
  /home/build/.local/lib/python3.10/site-packages/cartopy/io/__init__.py:241: DownloadWarning: Downloading: https://naturalearth.s3.amazonaws.com/10m_cultural/ne_10m_populated_places_simple.zip
    warnings.warn(f'Downloading: {url}', DownloadWarning)

testing/test_examples.py::test_examples
  /home/build/NNGT/nngt/plot/plt_networks.py:185: RuntimeWarning: More than 20 figures have been opened. Figures created through the pyplot interface (`matplotlib.pyplot.figure`) are retained until explicitly closed and may consume too much memory. (To control this warning, see the rcParam `figure.max_open_warning`). Consider using `matplotlib.pyplot.close()`.
    fig = plt.figure(facecolor='white', figsize=size_inches,

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
============ 87 passed, 4 skipped, 34 warnings in 131.19s (0:02:11) ============
+ GL=gt
+ OMP=0
+ MPI=1
+ mpirun -n 2 coverage run -p -m pytest --with-mpi testing
============================= test session starts ==============================
platform linux -- Python 3.10.12, pytest-8.0.0, pluggy-1.4.0
rootdir: /home/build/NNGT
plugins: mpi-0.6
collecting ... ============================= test session starts ==============================
platform linux -- Python 3.10.12, pytest-8.0.0, pluggy-1.4.0
rootdir: /home/build/NNGT
plugins: mpi-0.6
collecting ... 
collecting 0 items                                                             
collecting 0 items                                                             
collected 91 items                                                             

collected 91 items                                                             

testing/test_analysis.py 
testing/test_analysis.py ssssssssssssssssssss                                      [ 10%]                                      [ 10%]

testing/test_attributes.py testing/test_attributes.py ssss.......sssss                                   [ 23%]
testing/test_basics.py .sssss                                   [ 23%]
testing/test_basics.py ..ssssss..ss......ssss.s.                                     [ 37%]
testing/test_connect_group_type.py ss                                     [ 37%]s
testing/test_connect_group_type.py ss.                                   [ 40%]
testing/test_examples.py sss                                             [ 43%]
testing/test_gallery.py ss                                               [ 46%]
testing/test_generation.py s                                             [ 47%]
testing/test_generation2.py sss.                                   [ 40%]
testing/test_examples.py sss                                             [ 43%]
testing/test_gallery.py ss                                               [ 46%]
testing/test_generation.py s                                             [ 47%]
testing/test_generation2.py sss..ssssssssssssss                                  [ 59%]                                  [ 59%]
testing/test_graphclasses.py 
testing/test_graphclasses.py ssssssss                                        [ 63%]
testing/test_group_pop.py                                         [ 63%]
testing/test_group_pop.py ........ss                                          [ 69%]
testing/test_io.py                                           [ 69%]
testing/test_io.py sssssssssssssss                                              [ 78%]
testing/test_mpi.py s                                              [ 78%]
testing/test_mpi.py .                                                    [ 79%]
testing/test_nest.py ss                                                  [ 81%]
testing/test_plots.py ssssssss                                           [ 90%]
testing/test_random.py .                                                    [ 79%]
testing/test_nest.py ss                                                  [ 81%]
testing/test_plots.py ssssssss                                           [ 90%]
testing/test_random.py ....                                                [ 92%]
testing/test_rewire.py                                                 [ 92%]
testing/test_rewire.py ssssssssss                                             [ 97%]
                                             [ 97%]testing/test_weights.py 
testing/test_weights.py ss..                                               [100%]                                               [100%]

=============================== warnings summary ===============================

../../../usr/lib/python3/dist-packages/pythran/config.py:8
  /usr/lib/python3/dist-packages/pythran/config.py:8: DeprecationWarning: 
  
    `numpy.distutils` is deprecated since NumPy 1.23.0, as a result
    of the deprecation of `distutils` itself. It will be removed for
    Python >= 3.12. For older Python versions it will remain present.
    It is recommended to use `setuptools < 60.0` for those Python versions.
    For more details, see:
      https://numpy.org/devdocs/reference/distutils_status_migration.html 
  
  
    import numpy.distutils.system_info as numpy_sys


=============================== warnings summary ===============================
../.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66
../../../usr/lib/python3/dist-packages/pythran/config.py:8
  /home/build/.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66: DeprecationWarning: msvccompiler is deprecated and slated to be removed in the future. Please discontinue use or file an issue with pypa/distutils describing your use case.
    warnings.warn(  /usr/lib/python3/dist-packages/pythran/config.py:8: DeprecationWarning: 
  
    `numpy.distutils` is deprecated since NumPy 1.23.0, as a result
    of the deprecation of `distutils` itself. It will be removed for
    Python >= 3.12. For older Python versions it will remain present.
    It is recommended to use `setuptools < 60.0` for those Python versions.
    For more details, see:
      https://numpy.org/devdocs/reference/distutils_status_migration.html 
  
  
    import numpy.distutils.system_info as numpy_sys



../../../usr/lib/python3/dist-packages/pythran/tables.py:4520
../.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66
  /home/build/.local/lib/python3.10/site-packages/setuptools/_distutils/msvccompiler.py:66: DeprecationWarning: msvccompiler is deprecated and slated to be removed in the future. Please discontinue use or file an issue with pypa/distutils describing your use case.
    warnings.warn(

  /usr/lib/python3/dist-packages/pythran/tables.py:4520: FutureWarning: In the future `np.bool` will be defined as the corresponding NumPy scalar.
    if not hasattr(numpy, method):

../../../usr/lib/python3/dist-packages/pythran/tables.py:4520
../../../usr/lib/python3/dist-packages/pythran/tables.py:4553
  /usr/lib/python3/dist-packages/pythran/tables.py:4553: FutureWarning: In the future `np.bytes` will be defined as the corresponding NumPy scalar.
    obj = getattr(themodule, elem)  /usr/lib/python3/dist-packages/pythran/tables.py:4520: FutureWarning: In the future `np.bool` will be defined as the corresponding NumPy scalar.
    if not hasattr(numpy, method):



../.local/lib/python3.10/site-packages/setuptools/sandbox.py:13
  /home/build/.local/lib/python3.10/site-packages/setuptools/sandbox.py:13: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
    import pkg_resources

../../../usr/lib/python3/dist-packages/pythran/tables.py:4553
  /usr/lib/python3/dist-packages/pythran/tables.py:4553: FutureWarning: In the future `np.bytes` will be defined as the corresponding NumPy scalar.
    obj = getattr(themodule, elem)

../.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868
  /home/build/.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868: DeprecationWarning: Deprecated call to `pkg_resources.declare_namespace('mpl_toolkits')`.
  Implementing implicit namespace packages (as specified in PEP 420) is preferred to `pkg_resources.declare_namespace`. See https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages
    declare_namespace(pkg)

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/setuptools/sandbox.py:13
  /home/build/.local/lib/python3.10/site-packages/setuptools/sandbox.py:13: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
    import pkg_resources

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

../.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868
  /home/build/.local/lib/python3.10/site-packages/pkg_resources/__init__.py:2868: DeprecationWarning: Deprecated call to `pkg_resources.declare_namespace('mpl_toolkits')`.
  Implementing implicit namespace packages (as specified in PEP 420) is preferred to `pkg_resources.declare_namespace`. See https://setuptools.pypa.io/en/latest/references/keywords.html#keyword-namespace-packages
    declare_namespace(pkg)

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group, newer

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8
=============================== MPI Information ================================
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_ext.py:8: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_grouprank: 1
size: 2
MPI version: 3.1
MPI library version: Open MPI v4.1.2, package: Debian OpenMPI, ident: 4.1.2, repo rev: v4.1.2, Nov 24, 2021

MPI vendor: Open MPI 4.1.2
mpi4py rc: 
mpi4py config:

../.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_clib.py:11: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group

 mpicc: /usr/bin/mpicc
 mpicxx: /usr/bin/mpicxx
 mpifort: /usr/bin/mpifort
 mpif90: /usr/bin/mpif90
 mpif77: /usr/bin/mpif77
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
../.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10
  /home/build/.local/lib/python3.10/site-packages/numpy/distutils/command/build_src.py:10: DeprecationWarning: dep_util is Deprecated. Use functions from setuptools instead.
    from distutils.dep_util import newer_group, newer

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
================= 20 passed, 71 skipped, 10 warnings in 18.14s =================
=============================== MPI Information ================================
rank: 0
size: 2
MPI version: 3.1
MPI library version: Open MPI v4.1.2, package: Debian OpenMPI, ident: 4.1.2, repo rev: v4.1.2, Nov 24, 2021
MPI vendor: Open MPI 4.1.2
mpi4py rc: 
mpi4py config:
 mpicc: /usr/bin/mpicc
 mpicxx: /usr/bin/mpicxx
 mpifort: /usr/bin/mpifort
 mpif90: /usr/bin/mpif90
 mpif77: /usr/bin/mpif77
================= 20 passed, 71 skipped, 10 warnings in 18.12s =================
+ coverage combine
Combined data file .coverage.build.7545.176707
Combined data file .coverage.build.7608.462783
Combined data file .coverage.build.7702.125466
Combined data file .coverage.build.7575.736605
Combined data file .coverage.build.7701.099438
Combined data file .coverage.build.7665.532244
Combined data file .coverage.build.7502.236208
Combined data file .coverage.build.7637.383532
++ git show -s --pretty=%D HEAD
++ grep -v HEAD
++ tr -s ', /' '\n'
++ sed -n 2p
+ GIT_BRANCH=v2.7.3
+ CI_NAME=git.sr.ht
+ CI_BUILD_NUMBER=1144258
+ CI_BUILD_URL=https://builds.sr.ht/~tfardet/job/1144258
+ CI_BRANCH=v2.7.3
+ coveralls
Submitting coverage to coveralls.io...
Coverage submitted!
Job #1144258.1
https://coveralls.io/jobs/135760848
doc
1
2
3
4
5
6
7
+ cd NNGT
++ git show -s --pretty=%D HEAD
++ grep -v HEAD
++ tr -s ', /' '\n'
++ sed -n 2p
+ GIT_BRANCH=v2.7.3
+ set +x
Build complete: success 4 months ago (took 11 minutes)